!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(3200)%branch(0:0))
      call av(3200, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_57])

      allocate(vertices(3201)%branch(0:0))
      call av(3201, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3202)%branch(0:0))
      call av(3202, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3203)%branch(0:0))
      call av(3203, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_86])

      allocate(vertices(3204)%branch(0:0))
      call av(3204, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_77])

      allocate(vertices(3205)%branch(0:0))
      call av(3205, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3206)%branch(0:0))
      call av(3206, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(3207)%branch(0:0))
      call av(3207, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_88])

      allocate(vertices(3208)%branch(0:0))
      call av(3208, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3209)%branch(0:0))
      call av(3209, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_42])

      allocate(vertices(3210)%branch(0:0))
      call av(3210, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_2266])

      allocate(vertices(3211)%branch(0:0))
      call av(3211, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3212)%branch(0:0))
      call av(3212, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3213)%branch(0:0))
      call av(3213, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_36])

      allocate(vertices(3214)%branch(0:0))
      call av(3214, 0, 85, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3215)%branch(0:0))
      call av(3215, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_96])

      allocate(vertices(3216)%branch(0:0))
      call av(3216, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_94])

      allocate(vertices(3217)%branch(0:0))
      call av(3217, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3218)%branch(0:0))
      call av(3218, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(3219)%branch(0:0))
      call av(3219, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3220)%branch(0:0))
      call av(3220, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3221)%branch(0:0))
      call av(3221, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3222)%branch(0:0))
      call av(3222, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3223)%branch(0:0))
      call av(3223, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_74])

      allocate(vertices(3224)%branch(0:0))
      call av(3224, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3225)%branch(0:0))
      call av(3225, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3226)%branch(0:0))
      call av(3226, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_115])

      allocate(vertices(3227)%branch(0:0))
      call av(3227, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3228)%branch(0:0))
      call av(3228, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3229)%branch(0:0))
      call av(3229, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3230)%branch(0:0))
      call av(3230, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_45])

      allocate(vertices(3231)%branch(0:0))
      call av(3231, 0, 85, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3232)%branch(0:0))
      call av(3232, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3233)%branch(0:0))
      call av(3233, 0, 83, 1, 0, FVFa1, 0, [0, 1], [nGC_62])

      allocate(vertices(3234)%branch(0:0))
      call av(3234, 0, 83, 1, 0, FSFa0, 0, [0, 1], [nGC_148, nGC_130])

      allocate(vertices(3235)%branch(0:0))
      call av(3235, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

      allocate(vertices(3236)%branch(0:0))
      call av(3236, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3237)%branch(0:0))
      call av(3237, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_4])

      allocate(vertices(3238)%branch(0:0))
      call av(3238, 0, 87, 1, 0, VFaF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3239)%branch(0:0))
      call av(3239, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3240)%branch(0:0))
      call av(3240, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3241)%branch(0:1))
      call av(3241, 0, 100, 6, 0, VUUa1, 0, [1, 0], [nGC_17])

      call av(3241, 1, 101, 7, 0, VUUa1, 0, [1, 0], [nGC_17])

      allocate(vertices(3242)%branch(0:0))
      call av(3242, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3243)%branch(0:0))
      call av(3243, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3244)%branch(0:0))
      call av(3244, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_51])

      allocate(vertices(3245)%branch(0:0))
      call av(3245, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3246)%branch(0:0))
      call av(3246, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_136])

      allocate(vertices(3247)%branch(0:0))
      call av(3247, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3248)%branch(0:0))
      call av(3248, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_16])

      allocate(vertices(3249)%branch(0:0))
      call av(3249, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_95])

      allocate(vertices(3250)%branch(0:0))
      call av(3250, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

      allocate(vertices(3251)%branch(0:0))
      call av(3251, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3252)%branch(0:0))
      call av(3252, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3253)%branch(0:0))
      call av(3253, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3254)%branch(0:0))
      call av(3254, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9])

      allocate(vertices(3255)%branch(0:0))
      call av(3255, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3256)%branch(0:0))
      call av(3256, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_104])

      allocate(vertices(3257)%branch(0:0))
      call av(3257, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3258)%branch(0:0))
      call av(3258, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(3259)%branch(0:0))
      call av(3259, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(3260)%branch(0:0))
      call av(3260, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3261)%branch(0:0))
      call av(3261, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3262)%branch(0:0))
      call av(3262, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3263)%branch(0:0))
      call av(3263, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3264)%branch(0:0))
      call av(3264, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_122])

      allocate(vertices(3265)%branch(0:0))
      call av(3265, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3266)%branch(0:0))
      call av(3266, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3267)%branch(0:0))
      call av(3267, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3268)%branch(0:0))
      call av(3268, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_16])

      allocate(vertices(3269)%branch(0:0))
      call av(3269, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_86])

      allocate(vertices(3270)%branch(0:0))
      call av(3270, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_13])

      allocate(vertices(3271)%branch(0:0))
      call av(3271, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3272)%branch(0:0))
      call av(3272, 0, 83, 1, 0, FSFa0, 0, [0, 1], [nGC_132, nGC_132])

      allocate(vertices(3273)%branch(0:0))
      call av(3273, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_674, nGC_134])

      allocate(vertices(3274)%branch(0:0))
      call av(3274, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3275)%branch(0:0))
      call av(3275, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_145])

      allocate(vertices(3276)%branch(0:0))
      call av(3276, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_60])

      allocate(vertices(3277)%branch(0:0))
      call av(3277, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3278)%branch(0:0))
      call av(3278, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_99])

      allocate(vertices(3279)%branch(0:0))
      call av(3279, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_44])

      allocate(vertices(3280)%branch(0:0))
      call av(3280, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3281)%branch(0:0))
      call av(3281, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_141, nGC_141])

      allocate(vertices(3282)%branch(0:0))
      call av(3282, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3283)%branch(0:0))
      call av(3283, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_65])

      allocate(vertices(3284)%branch(0:0))
      call av(3284, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_746])

      allocate(vertices(3285)%branch(0:0))
      call av(3285, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3286)%branch(0:0))
      call av(3286, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_142, nGC_124])

      allocate(vertices(3287)%branch(0:0))
      call av(3287, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3288)%branch(0:0))
      call av(3288, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3289)%branch(0:0))
      call av(3289, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3290)%branch(0:0))
      call av(3290, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_92])

      allocate(vertices(3291)%branch(0:0))
      call av(3291, 0, 85, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3292)%branch(0:0))
      call av(3292, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3293)%branch(0:0))
      call av(3293, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_55])

      allocate(vertices(3294)%branch(0:0))
      call av(3294, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3295)%branch(0:0))
      call av(3295, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3296)%branch(0:0))
      call av(3296, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3297)%branch(0:0))
      call av(3297, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3298)%branch(0:0))
      call av(3298, 0, 83, 1, 0, FSFa0, 0, [0, 1], [nGC_1832, nGC_125])

      allocate(vertices(3299)%branch(0:0))
      call av(3299, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_33])

      allocate(vertices(3300)%branch(0:0))
      call av(3300, 0, 1, 1, 0, SFFa1, 0, [0, 1], [nGC_145])

      allocate(vertices(3301)%branch(0:0))
      call av(3301, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3302)%branch(0:0))
      call av(3302, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3303)%branch(0:0))
      call av(3303, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_35])

      allocate(vertices(3304)%branch(0:0))
      call av(3304, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3305)%branch(0:0))
      call av(3305, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_53])

      allocate(vertices(3306)%branch(0:0))
      call av(3306, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_66])

      allocate(vertices(3307)%branch(0:0))
      call av(3307, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_52])

      allocate(vertices(3308)%branch(0:0))
      call av(3308, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3309)%branch(0:0))
      call av(3309, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_1048, nGC_146])

      allocate(vertices(3310)%branch(0:0))
      call av(3310, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3311)%branch(0:0))
      call av(3311, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3312)%branch(0:0))
      call av(3312, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3313)%branch(0:0))
      call av(3313, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3314)%branch(0:0))
      call av(3314, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_74])

      allocate(vertices(3315)%branch(0:0))
      call av(3315, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_133])

      allocate(vertices(3316)%branch(0:0))
      call av(3316, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_92])

      allocate(vertices(3317)%branch(0:0))
      call av(3317, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3318)%branch(0:0))
      call av(3318, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3319)%branch(0:0))
      call av(3319, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3320)%branch(0:0))
      call av(3320, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_66])

      allocate(vertices(3321)%branch(0:0))
      call av(3321, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3322)%branch(0:0))
      call av(3322, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3323)%branch(0:0))
      call av(3323, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3324)%branch(0:0))
      call av(3324, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3325)%branch(0:0))
      call av(3325, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_33])

      allocate(vertices(3326)%branch(0:0))
      call av(3326, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3327)%branch(0:0))
      call av(3327, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3328)%branch(0:0))
      call av(3328, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3329)%branch(0:0))
      call av(3329, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_40])

      allocate(vertices(3330)%branch(0:0))
      call av(3330, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3331)%branch(0:0))
      call av(3331, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_1514])

      allocate(vertices(3332)%branch(0:0))
      call av(3332, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_72])

      allocate(vertices(3333)%branch(0:0))
      call av(3333, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_308, nGC_140])

      allocate(vertices(3334)%branch(0:0))
      call av(3334, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_91])

      allocate(vertices(3335)%branch(0:0))
      call av(3335, 0, 83, 1, 0, FVFa0, 0, [0, 1], [nGC_78, nGC_82])

      allocate(vertices(3336)%branch(0:0))
      call av(3336, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_94])

      allocate(vertices(3337)%branch(0:0))
      call av(3337, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3338)%branch(0:0))
      call av(3338, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_120])

      allocate(vertices(3339)%branch(0:0))
      call av(3339, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_72])

      allocate(vertices(3340)%branch(0:0))
      call av(3340, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3341)%branch(0:0))
      call av(3341, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3342)%branch(0:0))
      call av(3342, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3343)%branch(0:0))
      call av(3343, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_53])

      allocate(vertices(3344)%branch(0:0))
      call av(3344, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3345)%branch(0:0))
      call av(3345, 0, 83, 1, 0, FSFa0, 0, [0, 1], [nGC_127, nGC_139])

      allocate(vertices(3346)%branch(0:0))
      call av(3346, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3347)%branch(0:0))
      call av(3347, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_55, nGC_56, nGC_57])

      allocate(vertices(3348)%branch(0:0))
      call av(3348, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3349)%branch(0:0))
      call av(3349, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_36])

      allocate(vertices(3350)%branch(0:0))
      call av(3350, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3351)%branch(0:0))
      call av(3351, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_72])

      allocate(vertices(3352)%branch(0:0))
      call av(3352, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_114])

      allocate(vertices(3353)%branch(0:0))
      call av(3353, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_68])

      allocate(vertices(3354)%branch(0:0))
      call av(3354, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3355)%branch(0:0))
      call av(3355, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_126, nGC_126])

      allocate(vertices(3356)%branch(0:0))
      call av(3356, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3357)%branch(0:0))
      call av(3357, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3358)%branch(0:0))
      call av(3358, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3359)%branch(0:5))
      call av(3359, 0, 52, 4, 0, VVUUa0, 0, [2, 0], [nGC_480])

      call av(3359, 1, 49, 5, 0, VVUUa0, 0, [2, 0], [nGC_21])

      call av(3359, 2, 47, 5, 0, VVUUa0, 0, [2, 0], [nGC_21])

      call av(3359, 3, 48, 5, 0, VVUUa0, 0, [2, 0], [nGC_21])

      call av(3359, 4, 51, 4, 0, VVUUa0, 0, [2, 0], [nGC_480])

      call av(3359, 5, 50, 5, 0, VVUUa0, 0, [2, 0], [nGC_21])

      allocate(vertices(3360)%branch(0:0))
      call av(3360, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3361)%branch(0:0))
      call av(3361, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3362)%branch(0:0))
      call av(3362, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_73])

      allocate(vertices(3363)%branch(0:0))
      call av(3363, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

      allocate(vertices(3364)%branch(0:0))
      call av(3364, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3365)%branch(0:0))
      call av(3365, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_65])

      allocate(vertices(3366)%branch(0:0))
      call av(3366, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3367)%branch(0:0))
      call av(3367, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_100])

      allocate(vertices(3368)%branch(0:0))
      call av(3368, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_25])

      allocate(vertices(3369)%branch(0:0))
      call av(3369, 0, 83, 1, 0, FVFa0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3370)%branch(0:0))
      call av(3370, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3371)%branch(0:0))
      call av(3371, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3372)%branch(0:0))
      call av(3372, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3373)%branch(0:0))
      call av(3373, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3374)%branch(0:0))
      call av(3374, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_922, nGC_137])

      allocate(vertices(3375)%branch(0:0))
      call av(3375, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_9])

      allocate(vertices(3376)%branch(0:0))
      call av(3376, 0, 83, 1, 0, FVFa0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3377)%branch(0:0))
      call av(3377, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3378)%branch(0:0))
      call av(3378, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_65])

      allocate(vertices(3379)%branch(0:0))
      call av(3379, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3380)%branch(0:0))
      call av(3380, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3381)%branch(0:0))
      call av(3381, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3382)%branch(0:0))
      call av(3382, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_78, nGC_82])

      allocate(vertices(3383)%branch(0:0))
      call av(3383, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3384)%branch(0:0))
      call av(3384, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_1048, nGC_146])

      allocate(vertices(3385)%branch(0:0))
      call av(3385, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_10])

      allocate(vertices(3386)%branch(0:0))
      call av(3386, 0, 86, 1, 0, SFFa0, 0, [0, 1], [nGC_142, nGC_124])

      allocate(vertices(3387)%branch(0:0))
      call av(3387, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3388)%branch(0:0))
      call av(3388, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3389)%branch(0:0))
      call av(3389, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3390)%branch(0:0))
      call av(3390, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3391)%branch(0:0))
      call av(3391, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_86])

      allocate(vertices(3392)%branch(0:0))
      call av(3392, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_123])

      allocate(vertices(3393)%branch(0:0))
      call av(3393, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_72])

      allocate(vertices(3394)%branch(0:0))
      call av(3394, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3395)%branch(0:0))
      call av(3395, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3396)%branch(0:0))
      call av(3396, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3397)%branch(0:0))
      call av(3397, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_5])

      allocate(vertices(3398)%branch(0:0))
      call av(3398, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_57])

      allocate(vertices(3399)%branch(0:0))
      call av(3399, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_49])

      allocate(vertices(3400)%branch(0:0))
      call av(3400, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_33])

      allocate(vertices(3401)%branch(0:0))
      call av(3401, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3402)%branch(0:0))
      call av(3402, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3403)%branch(0:0))
      call av(3403, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3404)%branch(0:0))
      call av(3404, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_57])

      allocate(vertices(3405)%branch(0:0))
      call av(3405, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3406)%branch(0:0))
      call av(3406, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3407)%branch(0:0))
      call av(3407, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_94])

      allocate(vertices(3408)%branch(0:0))
      call av(3408, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

      allocate(vertices(3409)%branch(0:0))
      call av(3409, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_10])

      allocate(vertices(3410)%branch(0:0))
      call av(3410, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3411)%branch(0:0))
      call av(3411, 0, 86, 1, 0, SFFa0, 0, [0, 1], [nGC_124, nGC_142])

      allocate(vertices(3412)%branch(0:0))
      call av(3412, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_38])

      allocate(vertices(3413)%branch(0:0))
      call av(3413, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3414)%branch(0:0))
      call av(3414, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(3415)%branch(0:0))
      call av(3415, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3416)%branch(0:0))
      call av(3416, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3417)%branch(0:0))
      call av(3417, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3418)%branch(0:0))
      call av(3418, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_506, nGC_129])

      allocate(vertices(3419)%branch(0:0))
      call av(3419, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3420)%branch(0:0))
      call av(3420, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3421)%branch(0:0))
      call av(3421, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_136])

      allocate(vertices(3422)%branch(0:0))
      call av(3422, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_7])

      allocate(vertices(3423)%branch(0:0))
      call av(3423, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3424)%branch(0:0))
      call av(3424, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_16])

      allocate(vertices(3425)%branch(0:0))
      call av(3425, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3426)%branch(0:0))
      call av(3426, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_111])

      allocate(vertices(3427)%branch(0:0))
      call av(3427, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_52])

      allocate(vertices(3428)%branch(0:0))
      call av(3428, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3429)%branch(0:0))
      call av(3429, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3430)%branch(0:0))
      call av(3430, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3431)%branch(0:0))
      call av(3431, 0, 1, 1, 0, FaSF0, 0, [0, 1], [nGC_1048, nGC_146])

      allocate(vertices(3432)%branch(0:0))
      call av(3432, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3433)%branch(0:0))
      call av(3433, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_124, nGC_142])

      allocate(vertices(3434)%branch(0:0))
      call av(3434, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3435)%branch(0:0))
      call av(3435, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3436)%branch(0:0))
      call av(3436, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(3437)%branch(0:0))
      call av(3437, 0, 87, 1, 0, VFaF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3438)%branch(0:0))
      call av(3438, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(3439)%branch(0:0))
      call av(3439, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_35])

      allocate(vertices(3440)%branch(0:0))
      call av(3440, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3441)%branch(0:0))
      call av(3441, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_49])

      allocate(vertices(3442)%branch(0:0))
      call av(3442, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3443)%branch(0:0))
      call av(3443, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_100])

      allocate(vertices(3444)%branch(0:0))
      call av(3444, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3445)%branch(0:0))
      call av(3445, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3446)%branch(0:0))
      call av(3446, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3447)%branch(0:0))
      call av(3447, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3448)%branch(0:0))
      call av(3448, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_148, nGC_130])

      allocate(vertices(3449)%branch(0:0))
      call av(3449, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3450)%branch(0:0))
      call av(3450, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3451)%branch(0:0))
      call av(3451, 0, 83, 1, 0, FVFa0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3452)%branch(0:0))
      call av(3452, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3453)%branch(0:0))
      call av(3453, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3454)%branch(0:0))
      call av(3454, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3455)%branch(0:0))
      call av(3455, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3456)%branch(0:0))
      call av(3456, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3457)%branch(0:0))
      call av(3457, 0, 86, 1, 0, SFFa0, 0, [0, 1], [nGC_1832, nGC_125])

      allocate(vertices(3458)%branch(0:0))
      call av(3458, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3459)%branch(0:0))
      call av(3459, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_8, nGC_8, nGC_2546])

      allocate(vertices(3460)%branch(0:0))
      call av(3460, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3461)%branch(0:0))
      call av(3461, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_86])

      allocate(vertices(3462)%branch(0:0))
      call av(3462, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3463)%branch(0:0))
      call av(3463, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_121])

      allocate(vertices(3464)%branch(0:0))
      call av(3464, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_132, nGC_132])

      allocate(vertices(3465)%branch(0:0))
      call av(3465, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3466)%branch(0:0))
      call av(3466, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3467)%branch(0:0))
      call av(3467, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_746])

      allocate(vertices(3468)%branch(0:0))
      call av(3468, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3469)%branch(0:0))
      call av(3469, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3470)%branch(0:0))
      call av(3470, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_61])

      allocate(vertices(3471)%branch(0:0))
      call av(3471, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3472)%branch(0:0))
      call av(3472, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_135, nGC_135])

      allocate(vertices(3473)%branch(0:0))
      call av(3473, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3474)%branch(0:0))
      call av(3474, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3475)%branch(0:0))
      call av(3475, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_574, nGC_131])

      allocate(vertices(3476)%branch(0:0))
      call av(3476, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(3477)%branch(0:0))
      call av(3477, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3478)%branch(0:0))
      call av(3478, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_49])

      allocate(vertices(3479)%branch(0:0))
      call av(3479, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3480)%branch(0:0))
      call av(3480, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_68])

      allocate(vertices(3481)%branch(0:0))
      call av(3481, 0, 86, 1, 0, SFFa0, 0, [0, 1], [nGC_130, nGC_148])

      allocate(vertices(3482)%branch(0:0))
      call av(3482, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_77])

      allocate(vertices(3483)%branch(0:1))
      call av(3483, 0, 102, 6, 0, VUaU0, 0, [1, 0], [nGC_1160])

      call av(3483, 1, 103, 7, 0, VUaU0, 0, [1, 0], [nGC_1160])

      allocate(vertices(3484)%branch(0:0))
      call av(3484, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_52])

      allocate(vertices(3485)%branch(0:0))
      call av(3485, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3486)%branch(0:0))
      call av(3486, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3487)%branch(0:0))
      call av(3487, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3488)%branch(0:0))
      call av(3488, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3489)%branch(0:0))
      call av(3489, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3490)%branch(0:0))
      call av(3490, 0, 85, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3491)%branch(0:0))
      call av(3491, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_68])

      allocate(vertices(3492)%branch(0:0))
      call av(3492, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_68])

      allocate(vertices(3493)%branch(0:0))
      call av(3493, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_94])

      allocate(vertices(3494)%branch(0:0))
      call av(3494, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_57])

      allocate(vertices(3495)%branch(0:0))
      call av(3495, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_92])

      allocate(vertices(3496)%branch(0:0))
      call av(3496, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_85])

      allocate(vertices(3497)%branch(0:0))
      call av(3497, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_45])

      allocate(vertices(3498)%branch(0:0))
      call av(3498, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3499)%branch(0:0))
      call av(3499, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_55, nGC_57, nGC_56])

      allocate(vertices(3500)%branch(0:0))
      call av(3500, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3501)%branch(0:0))
      call av(3501, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_5])

      allocate(vertices(3502)%branch(0:0))
      call av(3502, 0, 84, 1, 0, FaSF0, 0, [0, 1], [nGC_139, nGC_127])

      allocate(vertices(3503)%branch(0:0))
      call av(3503, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3504)%branch(0:0))
      call av(3504, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3505)%branch(0:0))
      call av(3505, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_91])

      allocate(vertices(3506)%branch(0:0))
      call av(3506, 0, 83, 1, 0, FVFa1, 0, [0, 1], [nGC_62])

      allocate(vertices(3507)%branch(0:0))
      call av(3507, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3508)%branch(0:0))
      call av(3508, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3509)%branch(0:0))
      call av(3509, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_59])

      allocate(vertices(3510)%branch(0:0))
      call av(3510, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_96])

      allocate(vertices(3511)%branch(0:0))
      call av(3511, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3512)%branch(0:0))
      call av(3512, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_1514])

      allocate(vertices(3513)%branch(0:0))
      call av(3513, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_49])

      allocate(vertices(3514)%branch(0:0))
      call av(3514, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_117])

      allocate(vertices(3515)%branch(0:0))
      call av(3515, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_8, nGC_8, nGC_2546])

      allocate(vertices(3516)%branch(0:0))
      call av(3516, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3517)%branch(0:0))
      call av(3517, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_1206])

      allocate(vertices(3518)%branch(0:0))
      call av(3518, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3519)%branch(0:0))
      call av(3519, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_9])

      allocate(vertices(3520)%branch(0:0))
      call av(3520, 0, 1, 1, 0, VUUa1, 0, [0, 1], [nGC_66])

      allocate(vertices(3521)%branch(0:0))
      call av(3521, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_57])

      allocate(vertices(3522)%branch(0:0))
      call av(3522, 0, 86, 1, 0, VFFa1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3523)%branch(0:0))
      call av(3523, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3524)%branch(0:0))
      call av(3524, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3525)%branch(0:0))
      call av(3525, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3526)%branch(0:0))
      call av(3526, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_88])

      allocate(vertices(3527)%branch(0:0))
      call av(3527, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3528)%branch(0:0))
      call av(3528, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3529)%branch(0:0))
      call av(3529, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_72])

      allocate(vertices(3530)%branch(0:0))
      call av(3530, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3531)%branch(0:0))
      call av(3531, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_8])

      allocate(vertices(3532)%branch(0:0))
      call av(3532, 0, 86, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3533)%branch(0:0))
      call av(3533, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3534)%branch(0:0))
      call av(3534, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_398])

      allocate(vertices(3535)%branch(0:0))
      call av(3535, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_48, nGC_1596, nGC_48])

      allocate(vertices(3536)%branch(0:0))
      call av(3536, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3537)%branch(0:0))
      call av(3537, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3538)%branch(0:0))
      call av(3538, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_119])

      allocate(vertices(3539)%branch(0:0))
      call av(3539, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_3140, nGC_10, nGC_3142])

      allocate(vertices(3540)%branch(0:0))
      call av(3540, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3541)%branch(0:0))
      call av(3541, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3542)%branch(0:0))
      call av(3542, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_57])

      allocate(vertices(3543)%branch(0:1))
      call av(3543, 0, 11, 2, 0, FFaV1, 0, [1, 0], [nGC_19, nGC_19])

      call av(3543, 1, 12, 3, 0, FFaV1, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3544)%branch(0:0))
      call av(3544, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_74])

      allocate(vertices(3545)%branch(0:0))
      call av(3545, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3546)%branch(0:0))
      call av(3546, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3547)%branch(0:0))
      call av(3547, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3548)%branch(0:0))
      call av(3548, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3549)%branch(0:0))
      call av(3549, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3550)%branch(0:0))
      call av(3550, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_48])

      allocate(vertices(3551)%branch(0:0))
      call av(3551, 0, 86, 1, 0, VFFa0, 0, [0, 1], [nGC_62])

      allocate(vertices(3552)%branch(0:0))
      call av(3552, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3553)%branch(0:0))
      call av(3553, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3554)%branch(0:0))
      call av(3554, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3555)%branch(0:0))
      call av(3555, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3556)%branch(0:0))
      call av(3556, 0, 1, 1, 0, FSFa1, 0, [0, 1], [nGC_136])

      allocate(vertices(3557)%branch(0:0))
      call av(3557, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3558)%branch(0:1))
      call av(3558, 0, 92, 2, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3558, 1, 93, 3, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3559)%branch(0:1))
      call av(3559, 0, 96, 6, 0, UUaV1, 0, [1, 0], [nGC_17])

      call av(3559, 1, 97, 7, 0, UUaV1, 0, [1, 0], [nGC_17])

      allocate(vertices(3560)%branch(0:0))
      call av(3560, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_93])

      allocate(vertices(3561)%branch(0:0))
      call av(3561, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_93])

      allocate(vertices(3562)%branch(0:0))
      call av(3562, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(3563)%branch(0:0))
      call av(3563, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3564)%branch(0:0))
      call av(3564, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3565)%branch(0:0))
      call av(3565, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3566)%branch(0:0))
      call av(3566, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_118])

      allocate(vertices(3567)%branch(0:0))
      call av(3567, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3568)%branch(0:0))
      call av(3568, 0, 85, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3569)%branch(0:0))
      call av(3569, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3570)%branch(0:0))
      call av(3570, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_119])

      allocate(vertices(3571)%branch(0:0))
      call av(3571, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3572)%branch(0:0))
      call av(3572, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3573)%branch(0:0))
      call av(3573, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_48])

      allocate(vertices(3574)%branch(0:0))
      call av(3574, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3575)%branch(0:0))
      call av(3575, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3576)%branch(0:0))
      call av(3576, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_1514])

      allocate(vertices(3577)%branch(0:0))
      call av(3577, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_72])

      allocate(vertices(3578)%branch(0:0))
      call av(3578, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3579)%branch(0:0))
      call av(3579, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3580)%branch(0:0))
      call av(3580, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3581)%branch(0:0))
      call av(3581, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_96])

      allocate(vertices(3582)%branch(0:0))
      call av(3582, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(3583)%branch(0:0))
      call av(3583, 0, 1, 1, 0, SFaF1, 0, [0, 1], [nGC_136])

      allocate(vertices(3584)%branch(0:0))
      call av(3584, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_57])

      allocate(vertices(3585)%branch(0:1))
      call av(3585, 0, 92, 2, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3585, 1, 93, 3, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3586)%branch(0:0))
      call av(3586, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3587)%branch(0:0))
      call av(3587, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_133])

      allocate(vertices(3588)%branch(0:0))
      call av(3588, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_9])

      allocate(vertices(3589)%branch(0:0))
      call av(3589, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_111])

      allocate(vertices(3590)%branch(0:0))
      call av(3590, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3591)%branch(0:0))
      call av(3591, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_16])

      allocate(vertices(3592)%branch(0:0))
      call av(3592, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_1446, nGC_150])

      allocate(vertices(3593)%branch(0:0))
      call av(3593, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(3594)%branch(0:1))
      call av(3594, 0, 88, 2, 0, FaFV0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3594, 1, 89, 3, 0, FaFV0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3595)%branch(0:0))
      call av(3595, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3596)%branch(0:0))
      call av(3596, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3597)%branch(0:0))
      call av(3597, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

      allocate(vertices(3598)%branch(0:0))
      call av(3598, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_68])

      allocate(vertices(3599)%branch(0:0))
      call av(3599, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_145])

      allocate(vertices(3600)%branch(0:0))
      call av(3600, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3601)%branch(0:0))
      call av(3601, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3602)%branch(0:0))
      call av(3602, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3603)%branch(0:0))
      call av(3603, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(3604)%branch(0:0))
      call av(3604, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3605)%branch(0:0))
      call av(3605, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_81])

      allocate(vertices(3606)%branch(0:0))
      call av(3606, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3607)%branch(0:0))
      call av(3607, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_89])

      allocate(vertices(3608)%branch(0:0))
      call av(3608, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3609)%branch(0:0))
      call av(3609, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_52])

      allocate(vertices(3610)%branch(0:0))
      call av(3610, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3611)%branch(0:0))
      call av(3611, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3612)%branch(0:0))
      call av(3612, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3613)%branch(0:0))
      call av(3613, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3614)%branch(0:0))
      call av(3614, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3615)%branch(0:0))
      call av(3615, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_101])

      allocate(vertices(3616)%branch(0:0))
      call av(3616, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3617)%branch(0:0))
      call av(3617, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_674, nGC_134])

      allocate(vertices(3618)%branch(0:0))
      call av(3618, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_9])

      allocate(vertices(3619)%branch(0:0))
      call av(3619, 0, 87, 1, 0, VFaF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3620)%branch(0:0))
      call av(3620, 0, 1, 1, 0, FFaS2, 0, [0, 1], [nGC_145])

      allocate(vertices(3621)%branch(0:0))
      call av(3621, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_95])

      allocate(vertices(3622)%branch(0:0))
      call av(3622, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_67])

      allocate(vertices(3623)%branch(0:0))
      call av(3623, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_574, nGC_131])

      allocate(vertices(3624)%branch(0:0))
      call av(3624, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3625)%branch(0:0))
      call av(3625, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_122])

      allocate(vertices(3626)%branch(0:0))
      call av(3626, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_76])

      allocate(vertices(3627)%branch(0:0))
      call av(3627, 0, 84, 1, 0, FaSF0, 0, [0, 1], [nGC_126, nGC_126])

      allocate(vertices(3628)%branch(0:0))
      call av(3628, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_10])

      allocate(vertices(3629)%branch(0:0))
      call av(3629, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_42])

      allocate(vertices(3630)%branch(0:0))
      call av(3630, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3631)%branch(0:0))
      call av(3631, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_136])

      allocate(vertices(3632)%branch(0:0))
      call av(3632, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_50])

      allocate(vertices(3633)%branch(0:0))
      call av(3633, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_101])

      allocate(vertices(3634)%branch(0:0))
      call av(3634, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_398])

      allocate(vertices(3635)%branch(0:0))
      call av(3635, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3636)%branch(0:0))
      call av(3636, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

      allocate(vertices(3637)%branch(0:0))
      call av(3637, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_36])

      allocate(vertices(3638)%branch(0:1))
      call av(3638, 0, 88, 2, 0, FaFV0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3638, 1, 89, 3, 0, FaFV0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3639)%branch(0:0))
      call av(3639, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_95])

      allocate(vertices(3640)%branch(0:0))
      call av(3640, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3641)%branch(0:0))
      call av(3641, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_94])

      allocate(vertices(3642)%branch(0:0))
      call av(3642, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3643)%branch(0:0))
      call av(3643, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_136])

      allocate(vertices(3644)%branch(0:0))
      call av(3644, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_16])

      allocate(vertices(3645)%branch(0:0))
      call av(3645, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_1048, nGC_146])

      allocate(vertices(3646)%branch(0:0))
      call av(3646, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(3647)%branch(0:0))
      call av(3647, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_746])

      allocate(vertices(3648)%branch(0:0))
      call av(3648, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_13])

      allocate(vertices(3649)%branch(0:0))
      call av(3649, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3650)%branch(0:0))
      call av(3650, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3651)%branch(0:0))
      call av(3651, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_100])

      allocate(vertices(3652)%branch(0:0))
      call av(3652, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_50])

      allocate(vertices(3653)%branch(0:0))
      call av(3653, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3654)%branch(0:0))
      call av(3654, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_110])

      allocate(vertices(3655)%branch(0:0))
      call av(3655, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_70])

      allocate(vertices(3656)%branch(0:0))
      call av(3656, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3657)%branch(0:0))
      call av(3657, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3658)%branch(0:0))
      call av(3658, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_506, nGC_129])

      allocate(vertices(3659)%branch(0:0))
      call av(3659, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_65])

      allocate(vertices(3660)%branch(0:0))
      call av(3660, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_92])

      allocate(vertices(3661)%branch(0:0))
      call av(3661, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3662)%branch(0:0))
      call av(3662, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3663)%branch(0:0))
      call av(3663, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_76])

      allocate(vertices(3664)%branch(0:0))
      call av(3664, 0, 85, 1, 0, FaFS0, 0, [0, 1], [nGC_149, nGC_149])

      allocate(vertices(3665)%branch(0:0))
      call av(3665, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_41])

      allocate(vertices(3666)%branch(0:0))
      call av(3666, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_47])

      allocate(vertices(3667)%branch(0:0))
      call av(3667, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_72])

      allocate(vertices(3668)%branch(0:0))
      call av(3668, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_57])

      allocate(vertices(3669)%branch(0:0))
      call av(3669, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3670)%branch(0:0))
      call av(3670, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_139, nGC_127])

      allocate(vertices(3671)%branch(0:0))
      call av(3671, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3672)%branch(0:0))
      call av(3672, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

      allocate(vertices(3673)%branch(0:0))
      call av(3673, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_107])

      allocate(vertices(3674)%branch(0:0))
      call av(3674, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32])

      allocate(vertices(3675)%branch(0:0))
      call av(3675, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_46])

      allocate(vertices(3676)%branch(0:0))
      call av(3676, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_46])

      allocate(vertices(3677)%branch(0:0))
      call av(3677, 0, 83, 1, 0, FVFa0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3678)%branch(0:0))
      call av(3678, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(3679)%branch(0:0))
      call av(3679, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3680)%branch(0:0))
      call av(3680, 0, 87, 1, 0, SFaF0, 0, [0, 1], [nGC_1446, nGC_150])

      allocate(vertices(3681)%branch(0:0))
      call av(3681, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3682)%branch(0:0))
      call av(3682, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_94])

      allocate(vertices(3683)%branch(0:0))
      call av(3683, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(3684)%branch(0:0))
      call av(3684, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3685)%branch(0:0))
      call av(3685, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3686)%branch(0:0))
      call av(3686, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3687)%branch(0:0))
      call av(3687, 0, 84, 1, 0, FaVF0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3688)%branch(0:0))
      call av(3688, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

      allocate(vertices(3689)%branch(0:0))
      call av(3689, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_48])

      allocate(vertices(3690)%branch(0:0))
      call av(3690, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_398])

      allocate(vertices(3691)%branch(0:0))
      call av(3691, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3692)%branch(0:0))
      call av(3692, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3693)%branch(0:0))
      call av(3693, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_84])

      allocate(vertices(3694)%branch(0:0))
      call av(3694, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(3695)%branch(0:0))
      call av(3695, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_43])

      allocate(vertices(3696)%branch(0:0))
      call av(3696, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_1514])

      allocate(vertices(3697)%branch(0:0))
      call av(3697, 0, 86, 1, 0, VFFa1, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3698)%branch(0:0))
      call av(3698, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_68])

      allocate(vertices(3699)%branch(0:0))
      call av(3699, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3700)%branch(0:0))
      call av(3700, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_94])

      allocate(vertices(3701)%branch(0:0))
      call av(3701, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_43])

      allocate(vertices(3702)%branch(0:0))
      call av(3702, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_6])

      allocate(vertices(3703)%branch(0:0))
      call av(3703, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3704)%branch(0:0))
      call av(3704, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_62])

      allocate(vertices(3705)%branch(0:0))
      call av(3705, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_111])

      allocate(vertices(3706)%branch(0:0))
      call av(3706, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_143, nGC_143])

      allocate(vertices(3707)%branch(0:0))
      call av(3707, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3708)%branch(0:0))
      call av(3708, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3709)%branch(0:0))
      call av(3709, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_62])

      allocate(vertices(3710)%branch(0:0))
      call av(3710, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(3711)%branch(0:0))
      call av(3711, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

      allocate(vertices(3712)%branch(0:0))
      call av(3712, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_308, nGC_140])

      allocate(vertices(3713)%branch(0:0))
      call av(3713, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_97])

      allocate(vertices(3714)%branch(0:0))
      call av(3714, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_9])

      allocate(vertices(3715)%branch(0:0))
      call av(3715, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(3716)%branch(0:0))
      call av(3716, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_61])

      allocate(vertices(3717)%branch(0:0))
      call av(3717, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_12])

      allocate(vertices(3718)%branch(0:0))
      call av(3718, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_16])

      allocate(vertices(3719)%branch(0:0))
      call av(3719, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3720)%branch(0:5))
      call av(3720, 0, 8, 4, 0, VVVV1, 0, [2, 0], [nGC_1562, nGC_1564, nGC_1566&
      ])

      call av(3720, 1, 9, 5, 0, VVVV1, 0, [2, 0], [nGC_1570, nGC_480, nGC_1572])

      call av(3720, 2, 7, 5, 0, VVVV1, 0, [2, 0], [nGC_1570, nGC_480, nGC_1572])

      call av(3720, 3, 6, 4, 0, VVVV1, 0, [2, 0], [nGC_1562, nGC_1564, nGC_1566&
      ])

      call av(3720, 4, 5, 5, 0, VVVV1, 0, [2, 0], [nGC_20, nGC_1562, nGC_1584])

      call av(3720, 5, 4, 5, 0, VVVV1, 0, [2, 0], [nGC_20, nGC_1562, nGC_1584])

      allocate(vertices(3721)%branch(0:0))
      call av(3721, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_3140, nGC_3142, nGC_10])

      allocate(vertices(3722)%branch(0:0))
      call av(3722, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

      allocate(vertices(3723)%branch(0:0))
      call av(3723, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_15])

      allocate(vertices(3724)%branch(0:0))
      call av(3724, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_68])

      allocate(vertices(3725)%branch(0:0))
      call av(3725, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3726)%branch(0:0))
      call av(3726, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3727)%branch(0:0))
      call av(3727, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_89])

      allocate(vertices(3728)%branch(0:0))
      call av(3728, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(3729)%branch(0:0))
      call av(3729, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_10])

      allocate(vertices(3730)%branch(0:0))
      call av(3730, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_122])

      allocate(vertices(3731)%branch(0:0))
      call av(3731, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_94])

      allocate(vertices(3732)%branch(0:0))
      call av(3732, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(3733)%branch(0:0))
      call av(3733, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3734)%branch(0:0))
      call av(3734, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_111])

      allocate(vertices(3735)%branch(0:0))
      call av(3735, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_8])

      allocate(vertices(3736)%branch(0:0))
      call av(3736, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_45])

      allocate(vertices(3737)%branch(0:0))
      call av(3737, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_15])

      allocate(vertices(3738)%branch(0:0))
      call av(3738, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_101])

      allocate(vertices(3739)%branch(0:0))
      call av(3739, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_16])

      allocate(vertices(3740)%branch(0:0))
      call av(3740, 0, 86, 1, 0, VFFa1, 0, [0, 1], [nGC_78, nGC_82])

      allocate(vertices(3741)%branch(0:0))
      call av(3741, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3742)%branch(0:0))
      call av(3742, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_59])

      allocate(vertices(3743)%branch(0:0))
      call av(3743, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_73])

      allocate(vertices(3744)%branch(0:0))
      call av(3744, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_11])

      allocate(vertices(3745)%branch(0:0))
      call av(3745, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_86])

      allocate(vertices(3746)%branch(0:0))
      call av(3746, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_746])

      allocate(vertices(3747)%branch(0:0))
      call av(3747, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_72])

      allocate(vertices(3748)%branch(0:0))
      call av(3748, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_66])

      allocate(vertices(3749)%branch(0:0))
      call av(3749, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_69])

      allocate(vertices(3750)%branch(0:0))
      call av(3750, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3751)%branch(0:0))
      call av(3751, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_62])

      allocate(vertices(3752)%branch(0:0))
      call av(3752, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_1048, nGC_146])

      allocate(vertices(3753)%branch(0:0))
      call av(3753, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_106])

      allocate(vertices(3754)%branch(0:0))
      call av(3754, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3755)%branch(0:0))
      call av(3755, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_2266])

      allocate(vertices(3756)%branch(0:0))
      call av(3756, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3757)%branch(0:0))
      call av(3757, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(3758)%branch(0:0))
      call av(3758, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_746])

      allocate(vertices(3759)%branch(0:0))
      call av(3759, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3760)%branch(0:0))
      call av(3760, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_111])

      allocate(vertices(3761)%branch(0:0))
      call av(3761, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_1752])

      allocate(vertices(3762)%branch(0:0))
      call av(3762, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_33])

      allocate(vertices(3763)%branch(0:0))
      call av(3763, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3764)%branch(0:1))
      call av(3764, 0, 100, 6, 0, VUUa0, 0, [1, 0], [nGC_1160])

      call av(3764, 1, 101, 7, 0, VUUa0, 0, [1, 0], [nGC_1160])

      allocate(vertices(3765)%branch(0:0))
      call av(3765, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3766)%branch(0:0))
      call av(3766, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_88])

      allocate(vertices(3767)%branch(0:0))
      call av(3767, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_68])

      allocate(vertices(3768)%branch(0:0))
      call av(3768, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(3769)%branch(0:0))
      call av(3769, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(3770)%branch(0:0))
      call av(3770, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_1446, nGC_150])

      allocate(vertices(3771)%branch(0:0))
      call av(3771, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3772)%branch(0:0))
      call av(3772, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9])

      allocate(vertices(3773)%branch(0:0))
      call av(3773, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_2546, nGC_8, nGC_8])

      allocate(vertices(3774)%branch(0:0))
      call av(3774, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_2266])

      allocate(vertices(3775)%branch(0:0))
      call av(3775, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_65])

      allocate(vertices(3776)%branch(0:0))
      call av(3776, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_65])

      allocate(vertices(3777)%branch(0:0))
      call av(3777, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_57])

      allocate(vertices(3778)%branch(0:0))
      call av(3778, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

      allocate(vertices(3779)%branch(0:0))
      call av(3779, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(3780)%branch(0:0))
      call av(3780, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_54])

      allocate(vertices(3781)%branch(0:0))
      call av(3781, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(3782)%branch(0:0))
      call av(3782, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_47])

      allocate(vertices(3783)%branch(0:0))
      call av(3783, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_88])

      allocate(vertices(3784)%branch(0:0))
      call av(3784, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_100])

      allocate(vertices(3785)%branch(0:0))
      call av(3785, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_13])

      allocate(vertices(3786)%branch(0:0))
      call av(3786, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_93])

      allocate(vertices(3787)%branch(0:0))
      call av(3787, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_105])

      allocate(vertices(3788)%branch(0:0))
      call av(3788, 0, 86, 1, 0, SFFa0, 0, [0, 1], [nGC_139, nGC_127])

      allocate(vertices(3789)%branch(0:0))
      call av(3789, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

      allocate(vertices(3790)%branch(0:0))
      call av(3790, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_89])

      allocate(vertices(3791)%branch(0:0))
      call av(3791, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(3792)%branch(0:0))
      call av(3792, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_74])

      allocate(vertices(3793)%branch(0:1))
      call av(3793, 0, 92, 2, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      call av(3793, 1, 93, 3, 0, VFaF0, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3794)%branch(0:0))
      call av(3794, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_65])

      allocate(vertices(3795)%branch(0:0))
      call av(3795, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_3140, nGC_10, nGC_3142])

      allocate(vertices(3796)%branch(0:0))
      call av(3796, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

      allocate(vertices(3797)%branch(0:0))
      call av(3797, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_80, nGC_85])

      allocate(vertices(3798)%branch(0:0))
      call av(3798, 0, 86, 1, 0, VFFa1, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3799)%branch(0:0))
      call av(3799, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_72])

      allocate(vertices(3800)%branch(0:0))
      call av(3800, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

      allocate(vertices(3801)%branch(0:0))
      call av(3801, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_105])

      allocate(vertices(3802)%branch(0:1))
      call av(3802, 0, 91, 3, 0, VFFa1, 0, [1, 0], [nGC_19, nGC_19])

      call av(3802, 1, 90, 2, 0, VFFa1, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(3803)%branch(0:0))
      call av(3803, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_10])

      allocate(vertices(3804)%branch(0:0))
      call av(3804, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_76])

      allocate(vertices(3805)%branch(0:0))
      call av(3805, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_90])

      allocate(vertices(3806)%branch(0:0))
      call av(3806, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_674, nGC_134])

      allocate(vertices(3807)%branch(0:0))
      call av(3807, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_49])

      allocate(vertices(3808)%branch(0:0))
      call av(3808, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_15])

      allocate(vertices(3809)%branch(0:0))
      call av(3809, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(3810)%branch(0:0))
      call av(3810, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

      allocate(vertices(3811)%branch(0:0))
      call av(3811, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_50])

      allocate(vertices(3812)%branch(0:0))
      call av(3812, 0, 87, 1, 0, VFaF0, 0, [0, 1], [nGC_79, nGC_83])

      allocate(vertices(3813)%branch(0:0))
      call av(3813, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(3814)%branch(0:0))
      call av(3814, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_74])

      allocate(vertices(3815)%branch(0:0))
      call av(3815, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3816)%branchCT(0:0))
      call avCT(3816, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(7)%branchCT(0:1))
      call avCT(7, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_13976, nGC_13977])

      call avCT(7, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_13968, nGC_13971])

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_13987, nGC_13987])

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13990])

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_13993])

      allocate(vertices(1688)%branchCT(0:0))
      call avCT(1688, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2443)%branchCT(0:0))
      call avCT(2443, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14004])

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14014, nGC_14015])

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14026])

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14029])

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,       &
      nGC_14036])

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14040])

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(37)%branchCT(0:1))
      call avCT(37, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_14054])

      call avCT(37, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_14053])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14057])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14063])

      allocate(vertices(1175)%branchCT(0:0))
      call avCT(1175, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_14088, nGC_14089])

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14095])

      allocate(vertices(1184)%branchCT(0:0))
      call avCT(1184, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3817)%branchCT(0:0))
      call avCT(3817, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_14102, nGC_14099])

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3818)%branchCT(0:0))
      call avCT(3818, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14107])

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3107)%branchCT(0:0))
      call avCT(3107, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,       &
      nGC_14036])

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(69)%branchCT(0:1))
      call avCT(69, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14127, nGC_14127])

      call avCT(69, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14129, nGC_14129])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3819)%branchCT(0:0))
      call avCT(3819, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_14136])

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(75)%branchCT(0:3))
      call avCT(75, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(75, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_14146, nGC_14147])

      call avCT(75, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(75, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_14146, nGC_14147])

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(92)%branchCT(0:1))
      call avCT(92, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_14181, nGC_14182])

      call avCT(92, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_14171, nGC_14174])

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3820)%branchCT(0:0))
      call avCT(3820, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_14194])

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1431)%branchCT(0:1))
      call avCT(1431, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14204, nGC_14205])

      call avCT(1431, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14206, nGC_14207])

      allocate(vertices(3767)%branchCT(0:0))
      call avCT(3767, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14211])

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14215])

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1790)%branchCT(0:0))
      call avCT(1790, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14226, nGC_14225,      &
      nGC_14225])

      allocate(vertices(117)%branchCT(0:0))
      call avCT(117, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3601)%branchCT(0:0))
      call avCT(3601, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14238])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(3460)%branchCT(0:0))
      call avCT(3460, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(134)%branchCT(0:0))
      call avCT(134, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(138)%branchCT(0:1))
      call avCT(138, 0, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14266, nGC_14267])

      call avCT(138, 1, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14268, nGC_14269])

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14278, nGC_14279])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14076])

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1192)%branchCT(0:0))
      call avCT(1192, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14290])

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14294])

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14302])

      allocate(vertices(354)%branchCT(0:1))
      call avCT(354, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_14312, nGC_14313])

      call avCT(354, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_14306, nGC_14309])

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(157)%branchCT(0:0))
      call avCT(157, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,      &
      nGC_14036])

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(159)%branchCT(0:3))
      call avCT(159, 0, 107, 3, 0, FaVF0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(159, 1, 107, 3, 0, FaVF0, 0, [3, 0], [nGC_14333, nGC_14334])

      call avCT(159, 2, 106, 2, 0, FaVF0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(159, 3, 106, 2, 0, FaVF0, 0, [3, 0], [nGC_14333, nGC_14334])

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,      &
      nGC_14036])

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(163)%branchCT(0:1))
      call avCT(163, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14357, nGC_14358])

      call avCT(163, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14359, nGC_14360])

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14369])

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(171)%branchCT(0:1))
      call avCT(171, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_14375])

      call avCT(171, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_14374])

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(175)%branchCT(0:1))
      call avCT(175, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14382])

      call avCT(175, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14381])

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14057])

      allocate(vertices(1544)%branchCT(0:0))
      call avCT(1544, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14395, nGC_14396,      &
      nGC_14396])

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_13993])

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(187)%branchCT(0:0))
      call avCT(187, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(191)%branchCT(0:1))
      call avCT(191, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14418, nGC_14419])

      call avCT(191, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14420, nGC_14421])

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14433])

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14062])

      allocate(vertices(3129)%branchCT(0:0))
      call avCT(3129, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1273)%branchCT(0:1))
      call avCT(1273, 0, 85, 1, 0, FaFV1, 0, [0, 3], [nGC_14054])

      call avCT(1273, 1, 85, 1, 0, FaFV1, 0, [2, 1], [nGC_14053])

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14014, nGC_14015])

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_13987, nGC_13987])

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14076])

      allocate(vertices(214)%branchCT(0:1))
      call avCT(214, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_14312, nGC_14313])

      call avCT(214, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_14306, nGC_14309])

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3661)%branchCT(0:0))
      call avCT(3661, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3821)%branchCT(0:0))
      call avCT(3821, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14483])

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14489])

      allocate(vertices(1351)%branchCT(0:0))
      call avCT(1351, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14278, nGC_14279])

      allocate(vertices(3398)%branchCT(0:0))
      call avCT(3398, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(3822)%branchCT(0:0))
      call avCT(3822, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14510])

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14076])

      allocate(vertices(242)%branchCT(0:0))
      call avCT(242, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(2947)%branchCT(0:0))
      call avCT(2947, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(247)%branchCT(0:1))
      call avCT(247, 0, 84, 1, 0, FaVF1, 0, [0, 3], [nGC_14382])

      call avCT(247, 1, 84, 1, 0, FaVF1, 0, [2, 1], [nGC_14381])

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(250)%branchCT(0:3))
      call avCT(250, 0, 104, 2, 0, FVFa0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(250, 1, 104, 2, 0, FVFa0, 0, [3, 0], [nGC_14542, nGC_14543])

      call avCT(250, 2, 105, 3, 0, FVFa0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(250, 3, 105, 3, 0, FVFa0, 0, [3, 0], [nGC_14542, nGC_14543])

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14026])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14562, nGC_14563])

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14567])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(262)%branchCT(0:1))
      call avCT(262, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14580, nGC_14580])

      call avCT(262, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14582, nGC_14582])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14590])

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14594])

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1906)%branchCT(0:0))
      call avCT(1906, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1966)%branchCT(0:0))
      call avCT(1966, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3602)%branchCT(0:0))
      call avCT(3602, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14614])

      allocate(vertices(1217)%branchCT(0:0))
      call avCT(1217, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

    end subroutine fill_vertices_mdl5
end module vertices_info5
