!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1767)%branchCT(0:0))
      call avCT(1767, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14635,     &
      nGC_14636])

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14639])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1809)%branchCT(0:0))
      call avCT(1809, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14652])

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(299)%branchCT(0:1))
      call avCT(299, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14418, nGC_14419])

      call avCT(299, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14420, nGC_14421])

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14675])

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14483])

      allocate(vertices(3784)%branchCT(0:0))
      call avCT(3784, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14682])

      allocate(vertices(1220)%branchCT(0:0))
      call avCT(1220, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(314)%branchCT(0:1))
      call avCT(314, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14700, nGC_14701])

      call avCT(314, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14702, nGC_14703])

      allocate(vertices(3824)%branchCT(0:0))
      call avCT(3824, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14706])

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14712])

      allocate(vertices(3825)%branchCT(0:0))
      call avCT(3825, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_14713])

      allocate(vertices(320)%branchCT(0:1))
      call avCT(320, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14722, nGC_14723])

      call avCT(320, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14724, nGC_14725])

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14483])

      allocate(vertices(2081)%branchCT(0:0))
      call avCT(2081, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2067)%branchCT(0:0))
      call avCT(2067, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(333)%branchCT(0:1))
      call avCT(333, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14741, nGC_14741])

      call avCT(333, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14743, nGC_14743])

      allocate(vertices(3011)%branchCT(0:0))
      call avCT(3011, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_14756])

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2138)%branchCT(0:0))
      call avCT(2138, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14433])

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2257)%branchCT(0:0))
      call avCT(2257, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(361)%branchCT(0:1))
      call avCT(361, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14779, nGC_14779])

      call avCT(361, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14781, nGC_14781])

      allocate(vertices(1229)%branchCT(0:0))
      call avCT(1229, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_14784])

      allocate(vertices(365)%branchCT(0:1))
      call avCT(365, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14791, nGC_14792])

      call avCT(365, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14793, nGC_14794])

      allocate(vertices(2245)%branchCT(0:0))
      call avCT(2245, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(2885)%branchCT(0:1))
      call avCT(2885, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_14809, nGC_14810])

      call avCT(2885, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_14802, nGC_14805])

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,      &
      nGC_14036])

      allocate(vertices(369)%branchCT(0:1))
      call avCT(369, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_14382])

      call avCT(369, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_14381])

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3192)%branchCT(0:0))
      call avCT(3192, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3354)%branchCT(0:0))
      call avCT(3354, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14106])

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2409)%branchCT(0:0))
      call avCT(2409, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(2482)%branchCT(0:1))
      call avCT(2482, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14793, nGC_14794])

      call avCT(2482, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14791, nGC_14792])

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_14855, nGC_14851,      &
      nGC_14854])

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14859])

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2484)%branchCT(0:0))
      call avCT(2484, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3830)%branchCT(0:0))
      call avCT(3830, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14483])

      allocate(vertices(3831)%branchCT(0:1))
      call avCT(3831, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_14877, nGC_14871,     &
      nGC_14879, nGC_14879])

      call avCT(3831, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_14878, nGC_14872,     &
      nGC_14880, nGC_14880])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1148)%branchCT(0:0))
      call avCT(1148, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3832)%branchCT(0:0))
      call avCT(3832, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14483])

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14215])

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14907, nGC_14908])

      allocate(vertices(2645)%branchCT(0:0))
      call avCT(2645, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2431)%branchCT(0:1))
      call avCT(2431, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14791, nGC_14792])

      call avCT(2431, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14793, nGC_14794])

      allocate(vertices(3663)%branchCT(0:0))
      call avCT(3663, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(846)%branchCT(0:0))
      call avCT(846, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(423)%branchCT(0:0))
      call avCT(423, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1961)%branchCT(0:0))
      call avCT(1961, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(563)%branchCT(0:1))
      call avCT(563, 0, 85, 1, 0, FaFV1, 0, [0, 3], [nGC_14382])

      call avCT(563, 1, 85, 1, 0, FaFV1, 0, [2, 1], [nGC_14381])

      allocate(vertices(3652)%branchCT(0:0))
      call avCT(3652, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14156])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3782)%branchCT(0:0))
      call avCT(3782, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14489])

      allocate(vertices(2896)%branchCT(0:0))
      call avCT(2896, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(455)%branchCT(0:1))
      call avCT(455, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_14988, nGC_14989])

      call avCT(455, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_14985, nGC_14982])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(462)%branchCT(0:3))
      call avCT(462, 0, 92, 2, 0, VFaF0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(462, 1, 92, 2, 0, VFaF0, 0, [3, 0], [nGC_15003, nGC_15004])

      call avCT(462, 2, 93, 3, 0, VFaF0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(462, 3, 93, 3, 0, VFaF0, 0, [3, 0], [nGC_15003, nGC_15004])

      allocate(vertices(2497)%branchCT(0:0))
      call avCT(2497, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(466)%branchCT(0:1))
      call avCT(466, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14206, nGC_14207])

      call avCT(466, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14204, nGC_14205])

      allocate(vertices(1863)%branchCT(0:0))
      call avCT(1863, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3339)%branchCT(0:0))
      call avCT(3339, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14029])

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(652)%branchCT(0:1))
      call avCT(652, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14781, nGC_14781])

      call avCT(652, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14779, nGC_14779])

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(485)%branchCT(0:1))
      call avCT(485, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_15060, nGC_15061])

      call avCT(485, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_15057, nGC_15054])

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(489)%branchCT(0:1))
      call avCT(489, 0, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_15073, nGC_15074])

      call avCT(489, 1, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_15075, nGC_15076])

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3239)%branchCT(0:0))
      call avCT(3239, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14248])

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3302)%branchCT(0:0))
      call avCT(3302, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14215])

      allocate(vertices(503)%branchCT(0:3))
      call avCT(503, 0, 107, 3, 0, FaVF0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(503, 1, 107, 3, 0, FaVF0, 0, [3, 0], [nGC_15098, nGC_15099])

      call avCT(503, 2, 106, 2, 0, FaVF0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(503, 3, 106, 2, 0, FaVF0, 0, [3, 0], [nGC_15098, nGC_15099])

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(510)%branchCT(0:0))
      call avCT(510, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14095])

      allocate(vertices(512)%branchCT(0:1))
      call avCT(512, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14357, nGC_14358])

      call avCT(512, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14359, nGC_14360])

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3627)%branchCT(0:1))
      call avCT(3627, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14741, nGC_14741])

      call avCT(3627, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14743, nGC_14743])

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14614])

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(525)%branchCT(0:3))
      call avCT(525, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(525, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_15098, nGC_15099])

      call avCT(525, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(525, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_15098, nGC_15099])

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14639])

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_15158, nGC_15157])

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_14004])

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3547)%branchCT(0:0))
      call avCT(3547, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3560)%branchCT(0:0))
      call avCT(3560, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(536)%branchCT(0:0))
      call avCT(536, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_14004])

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_15173, nGC_15173])

      allocate(vertices(1876)%branchCT(0:0))
      call avCT(1876, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14567])

      allocate(vertices(3579)%branchCT(0:0))
      call avCT(3579, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(552)%branchCT(0:0))
      call avCT(552, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_13993])

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1341)%branchCT(0:0))
      call avCT(1341, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(559)%branchCT(0:1))
      call avCT(559, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14127, nGC_14127])

      call avCT(559, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14129, nGC_14129])

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14156])

      allocate(vertices(3608)%branchCT(0:0))
      call avCT(3608, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14784])

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_15204])

      allocate(vertices(3653)%branchCT(0:0))
      call avCT(3653, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(568)%branchCT(0:1))
      call avCT(568, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_15060, nGC_15061])

      call avCT(568, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_15057, nGC_15054])

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(571)%branchCT(0:0))
      call avCT(571, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3200)%branchCT(0:0))
      call avCT(3200, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14076])

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14756])

      allocate(vertices(3172)%branchCT(0:0))
      call avCT(3172, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_14784])

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1793)%branchCT(0:0))
      call avCT(1793, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_14614])

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_15173, nGC_15173])

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(599)%branchCT(0:0))
      call avCT(599, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15266])

      allocate(vertices(604)%branchCT(0:0))
      call avCT(604, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1932)%branchCT(0:0))
      call avCT(1932, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14369])

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14302])

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(627)%branchCT(0:0))
      call avCT(627, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14248])

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_15312, nGC_15313])

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14026])

      allocate(vertices(1124)%branchCT(0:1))
      call avCT(1124, 0, 98, 6, 0, UaVU0, 0, [3, 0], [nGC_15318])

      call avCT(1124, 1, 99, 7, 0, UaVU0, 0, [3, 0], [nGC_15318])

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(641)%branchCT(0:3))
      call avCT(641, 0, 88, 2, 0, FaFV0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(641, 1, 88, 2, 0, FaFV0, 0, [3, 0], [nGC_15334, nGC_15335])

      call avCT(641, 2, 89, 3, 0, FaFV0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(641, 3, 89, 3, 0, FaFV0, 0, [3, 0], [nGC_15334, nGC_15335])

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(650)%branchCT(0:0))
      call avCT(650, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14483])

      allocate(vertices(2525)%branchCT(0:0))
      call avCT(2525, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14614])

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15369])

      allocate(vertices(1896)%branchCT(0:0))
      call avCT(1896, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(657)%branchCT(0:0))
      call avCT(657, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_15380])

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2526)%branchCT(0:0))
      call avCT(2526, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2276)%branchCT(0:0))
      call avCT(2276, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(621)%branchCT(0:0))
      call avCT(621, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15407])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14062])

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14302])

      allocate(vertices(677)%branchCT(0:1))
      call avCT(677, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15419, nGC_15414])

      call avCT(677, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15423, nGC_15424])

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3084)%branchCT(0:0))
      call avCT(3084, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14057])

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14026])

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(687)%branchCT(0:1))
      call avCT(687, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_14382])

      call avCT(687, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_14381])

      allocate(vertices(688)%branchCT(0:0))
      call avCT(688, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_15449])

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(739)%branchCT(0:0))
      call avCT(739, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2536)%branchCT(0:5))
      call avCT(2536, 0, 9, 5, 0, VVVV1, 0, [4, 0], [nGC_15463, nGC_15464,     &
      nGC_15463])

      call avCT(2536, 1, 7, 5, 0, VVVV1, 0, [4, 0], [nGC_15463, nGC_15464,     &
      nGC_15463])

      call avCT(2536, 2, 8, 5, 0, VVVV1, 0, [4, 0], [nGC_15464, nGC_15463,     &
      nGC_15463])

      call avCT(2536, 3, 6, 5, 0, VVVV1, 0, [4, 0], [nGC_15464, nGC_15463,     &
      nGC_15463])

      call avCT(2536, 4, 5, 4, 0, VVVV1, 0, [4, 0], [nGC_15462, nGC_15462,     &
      nGC_15473])

      call avCT(2536, 5, 4, 4, 0, VVVV1, 0, [4, 0], [nGC_15462, nGC_15462,     &
      nGC_15473])

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2031)%branchCT(0:0))
      call avCT(2031, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15369])

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14562, nGC_14563])

      allocate(vertices(708)%branchCT(0:1))
      call avCT(708, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14358, nGC_14357])

      call avCT(708, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14360, nGC_14359])

      allocate(vertices(2043)%branchCT(0:0))
      call avCT(2043, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2539)%branchCT(0:0))
      call avCT(2539, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14396,      &
      nGC_14395])

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_13993])

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2583)%branchCT(0:0))
      call avCT(2583, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3525)%branchCT(0:0))
      call avCT(3525, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14225, nGC_14225,      &
      nGC_14226])

      allocate(vertices(986)%branchCT(0:0))
      call avCT(986, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14278, nGC_14279])

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3643)%branchCT(0:0))
      call avCT(3643, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14784])

      allocate(vertices(733)%branchCT(0:1))
      call avCT(733, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_14382])

      call avCT(733, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_14381])

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(745)%branchCT(0:0))
      call avCT(745, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14225, nGC_14225,      &
      nGC_14226])

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3738)%branchCT(0:0))
      call avCT(3738, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(755)%branchCT(0:1))
      call avCT(755, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14266, nGC_14267])

      call avCT(755, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14268, nGC_14269])

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(128)%branchCT(0:1))
      call avCT(128, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_14809, nGC_14810])

      call avCT(128, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_14802, nGC_14805])

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(767)%branchCT(0:0))
      call avCT(767, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(776)%branchCT(0:0))
      call avCT(776, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_13993])

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15380])

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_15607, nGC_15607])

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14136])

      allocate(vertices(787)%branchCT(0:1))
      call avCT(787, 0, 84, 1, 0, FaVF1, 0, [0, 3], [nGC_14375])

      call avCT(787, 1, 84, 1, 0, FaVF1, 0, [2, 1], [nGC_14374])

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1359)%branchCT(0:0))
      call avCT(1359, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3558)%branchCT(0:3))
      call avCT(3558, 0, 92, 2, 0, VFaF0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(3558, 1, 92, 2, 0, VFaF0, 0, [3, 0], [nGC_15098, nGC_15099])

      call avCT(3558, 2, 93, 3, 0, VFaF0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(3558, 3, 93, 3, 0, VFaF0, 0, [3, 0], [nGC_15098, nGC_15099])

      allocate(vertices(795)%branchCT(0:0))
      call avCT(795, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(796)%branchCT(0:1))
      call avCT(796, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14206, nGC_14207])

      call avCT(796, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14204, nGC_14205])

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(805)%branchCT(0:0))
      call avCT(805, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(808)%branchCT(0:1))
      call avCT(808, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14741, nGC_14741])

      call avCT(808, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14743, nGC_14743])

      allocate(vertices(810)%branchCT(0:0))
      call avCT(810, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(812)%branchCT(0:1))
      call avCT(812, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14779, nGC_14779])

      call avCT(812, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14781, nGC_14781])

      allocate(vertices(1302)%branchCT(0:0))
      call avCT(1302, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3838)%branchCT(0:0))
      call avCT(3838, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14106])

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14215])

      allocate(vertices(2300)%branchCT(0:0))
      call avCT(2300, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_14614])

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3777)%branchCT(0:0))
      call avCT(3777, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14076])

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15695])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14859])

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1586)%branchCT(0:0))
      call avCT(1586, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1306)%branchCT(0:0))
      call avCT(1306, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14040])

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1634)%branchCT(0:0))
      call avCT(1634, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(843)%branchCT(0:1))
      call avCT(843, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14779, nGC_14779])

      call avCT(843, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14781, nGC_14781])

      allocate(vertices(850)%branchCT(0:0))
      call avCT(850, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1724)%branchCT(0:0))
      call avCT(1724, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_15725])

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14859])

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(860)%branchCT(0:1))
      call avCT(860, 0, 2, 6, 0, UaUV1, 0, [3, 0], [nGC_15318])

      call avCT(860, 1, 3, 7, 0, UaUV1, 0, [3, 0], [nGC_15318])

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(1777)%branchCT(0:0))
      call avCT(1777, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1309)%branchCT(0:0))
      call avCT(1309, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(869)%branchCT(0:0))
      call avCT(869, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(871)%branchCT(0:1))
      call avCT(871, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_15060, nGC_15061])

      call avCT(871, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_15057, nGC_15054])

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(875)%branchCT(0:0))
      call avCT(875, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(877)%branchCT(0:0))
      call avCT(877, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14433])

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1641)%branchCT(0:0))
      call avCT(1641, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_13987, nGC_13987])

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(884)%branchCT(0:1))
      call avCT(884, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_14181, nGC_14182])

      call avCT(884, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_14171, nGC_14174])

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_15790, nGC_15787,     &
      nGC_15791, nGC_15791])

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14040])

      allocate(vertices(3524)%branchCT(0:0))
      call avCT(3524, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3369)%branchCT(0:1))
      call avCT(3369, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_15811, nGC_15812])

      call avCT(3369, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_15805, nGC_15808])

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13990])

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14278, nGC_14279])

      allocate(vertices(2575)%branchCT(0:0))
      call avCT(2575, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14510])

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14057])

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2127)%branchCT(0:0))
      call avCT(2127, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15380])

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_15607, nGC_15607])

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(930)%branchCT(0:0))
      call avCT(930, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14594])

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2180)%branchCT(0:0))
      call avCT(2180, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_13987, nGC_13987])

      allocate(vertices(938)%branchCT(0:0))
      call avCT(938, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(939)%branchCT(0:0))
      call avCT(939, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(940)%branchCT(0:3))
      call avCT(940, 0, 88, 2, 0, FaFV0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(940, 1, 88, 2, 0, FaFV0, 0, [3, 0], [nGC_14542, nGC_14543])

      call avCT(940, 2, 89, 3, 0, FaFV0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(940, 3, 89, 3, 0, FaFV0, 0, [3, 0], [nGC_14542, nGC_14543])

      allocate(vertices(2216)%branchCT(0:0))
      call avCT(2216, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2242)%branchCT(0:0))
      call avCT(2242, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_14004])

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14014, nGC_14015])

      allocate(vertices(947)%branchCT(0:0))
      call avCT(947, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,      &
      nGC_14036])

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(953)%branchCT(0:0))
      call avCT(953, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(954)%branchCT(0:0))
      call avCT(954, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14395,      &
      nGC_14396])

      allocate(vertices(2303)%branchCT(0:0))
      call avCT(2303, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_15380])

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(958)%branchCT(0:0))
      call avCT(958, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14594])

      allocate(vertices(960)%branchCT(0:0))
      call avCT(960, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14095])

      allocate(vertices(2350)%branchCT(0:0))
      call avCT(2350, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_15933])

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_15204])

      allocate(vertices(965)%branchCT(0:1))
      call avCT(965, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14375])

      call avCT(965, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14374])

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,      &
      nGC_14036])

      allocate(vertices(968)%branchCT(0:0))
      call avCT(968, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(971)%branchCT(0:0))
      call avCT(971, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(973)%branchCT(0:1))
      call avCT(973, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14419, nGC_14418])

      call avCT(973, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14421, nGC_14420])

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14088, nGC_14089])

      allocate(vertices(979)%branchCT(0:3))
      call avCT(979, 0, 107, 3, 0, FaVF0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(979, 1, 107, 3, 0, FaVF0, 0, [3, 0], [nGC_15334, nGC_15335])

      call avCT(979, 2, 106, 2, 0, FaVF0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(979, 3, 106, 2, 0, FaVF0, 0, [3, 0], [nGC_15334, nGC_15335])

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_15407])

      allocate(vertices(3769)%branchCT(0:0))
      call avCT(3769, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3841)%branchCT(0:1))
      call avCT(3841, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_15996, nGC_15990,     &
      nGC_15998, nGC_15998])

      call avCT(3841, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_15997, nGC_15991,     &
      nGC_15999, nGC_15999])

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14237])

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14076])

      allocate(vertices(1953)%branchCT(0:0))
      call avCT(1953, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14040])

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_16016, nGC_16017])

      allocate(vertices(2460)%branchCT(0:0))
      call avCT(2460, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3842)%branchCT(0:1))
      call avCT(3842, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_16027, nGC_16023,    &
      nGC_16029, nGC_16029])

      call avCT(3842, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_16028, nGC_16024,    &
      nGC_16030, nGC_16030])

      allocate(vertices(2893)%branchCT(0:0))
      call avCT(2893, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(994)%branchCT(0:0))
      call avCT(994, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_13993])

      allocate(vertices(996)%branchCT(0:0))
      call avCT(996, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(916)%branchCT(0:0))
      call avCT(916, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(999)%branchCT(0:0))
      call avCT(999, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3843)%branchCT(0:0))
      call avCT(3843, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(2630)%branchCT(0:0))
      call avCT(2630, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14489])

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_16053, nGC_16054])

      allocate(vertices(1006)%branchCT(0:0))
      call avCT(1006, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3270)%branchCT(0:0))
      call avCT(3270, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1013)%branchCT(0:0))
      call avCT(1013, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1015)%branchCT(0:0))
      call avCT(1015, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_15173, nGC_15173])

      allocate(vertices(1016)%branchCT(0:0))
      call avCT(1016, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1342)%branchCT(0:0))
      call avCT(1342, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14395, nGC_14396,     &
      nGC_14396])

      allocate(vertices(1020)%branchCT(0:0))
      call avCT(1020, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1022)%branchCT(0:0))
      call avCT(1022, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1024)%branchCT(0:3))
      call avCT(1024, 0, 91, 3, 0, VFFa1, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(1024, 1, 91, 3, 0, VFFa1, 0, [3, 0], [nGC_15334, nGC_15335])

      call avCT(1024, 2, 90, 2, 0, VFFa1, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(1024, 3, 90, 2, 0, VFFa1, 0, [3, 0], [nGC_15334, nGC_15335])

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1027)%branchCT(0:1))
      call avCT(1027, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_14375])

      call avCT(1027, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_14374])

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(2836)%branchCT(0:0))
      call avCT(2836, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1032)%branchCT(0:0))
      call avCT(1032, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14026])

      allocate(vertices(1033)%branchCT(0:1))
      call avCT(1033, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14722, nGC_14723])

      call avCT(1033, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14724, nGC_14725])

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16117])

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14682])

      allocate(vertices(3292)%branchCT(0:0))
      call avCT(3292, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1042)%branchCT(0:0))
      call avCT(1042, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1957)%branchCT(0:0))
      call avCT(1957, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14156])

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14057])

      allocate(vertices(1052)%branchCT(0:3))
      call avCT(1052, 0, 104, 2, 0, FVFa0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(1052, 1, 104, 2, 0, FVFa0, 0, [3, 0], [nGC_14146, nGC_14147])

      call avCT(1052, 2, 105, 3, 0, FVFa0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(1052, 3, 105, 3, 0, FVFa0, 0, [3, 0], [nGC_14146, nGC_14147])

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_14855, nGC_14851,      &
      nGC_14854])

      allocate(vertices(3152)%branchCT(0:0))
      call avCT(3152, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,     &
      nGC_14037])

      allocate(vertices(3536)%branchCT(0:0))
      call avCT(3536, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1063)%branchCT(0:0))
      call avCT(1063, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14095])

      allocate(vertices(2175)%branchCT(0:0))
      call avCT(2175, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3121)%branchCT(0:0))
      call avCT(3121, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(816)%branchCT(0:1))
      call avCT(816, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14268, nGC_14269])

      call avCT(816, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14266, nGC_14267])

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14014, nGC_14015])

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3703)%branchCT(0:0))
      call avCT(3703, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1080)%branchCT(0:1))
      call avCT(1080, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_16214, nGC_16215])

      call avCT(1080, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_16210, nGC_16207])

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,     &
      nGC_14036])

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_16223, nGC_16224,      &
      nGC_16223, nGC_16224, nGC_16225])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14433])

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3520)%branchCT(0:0))
      call avCT(3520, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_16240])

      allocate(vertices(3238)%branchCT(0:1))
      call avCT(3238, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_14054])

      call avCT(3238, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_14053])

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14088, nGC_14089])

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1098)%branchCT(0:1))
      call avCT(1098, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14268, nGC_14269])

      call avCT(1098, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14266, nGC_14267])

      allocate(vertices(3328)%branchCT(0:0))
      call avCT(3328, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1101)%branchCT(0:0))
      call avCT(1101, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15266])

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14076])

      allocate(vertices(2610)%branchCT(0:0))
      call avCT(2610, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3363)%branchCT(0:0))
      call avCT(3363, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1107)%branchCT(0:0))
      call avCT(1107, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14302])

      allocate(vertices(1108)%branchCT(0:0))
      call avCT(1108, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_15380])

      allocate(vertices(1109)%branchCT(0:0))
      call avCT(1109, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1110)%branchCT(0:0))
      call avCT(1110, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14433])

      allocate(vertices(1111)%branchCT(0:0))
      call avCT(1111, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1115)%branchCT(0:0))
      call avCT(1115, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1116)%branchCT(0:0))
      call avCT(1116, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,     &
      nGC_14037])

      allocate(vertices(1121)%branchCT(0:0))
      call avCT(1121, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_16299])

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_16016, nGC_16017])

      allocate(vertices(1126)%branchCT(0:0))
      call avCT(1126, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1128)%branchCT(0:0))
      call avCT(1128, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1130)%branchCT(0:0))
      call avCT(1130, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14156])

      allocate(vertices(3607)%branchCT(0:0))
      call avCT(3607, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1138)%branchCT(0:0))
      call avCT(1138, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14029])

      allocate(vertices(1142)%branchCT(0:0))
      call avCT(1142, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1143)%branchCT(0:0))
      call avCT(1143, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2314)%branchCT(0:0))
      call avCT(2314, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(1149)%branchCT(0:0))
      call avCT(1149, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2974)%branchCT(0:0))
      call avCT(2974, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3745)%branchCT(0:0))
      call avCT(3745, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14682])

      allocate(vertices(1157)%branchCT(0:0))
      call avCT(1157, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3847)%branchCT(0:0))
      call avCT(3847, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_16342])

      allocate(vertices(1161)%branchCT(0:3))
      call avCT(1161, 0, 88, 2, 0, FaFV0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(1161, 1, 88, 2, 0, FaFV0, 0, [3, 0], [nGC_15003, nGC_15004])

      call avCT(1161, 2, 89, 3, 0, FaFV0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(1161, 3, 89, 3, 0, FaFV0, 0, [3, 0], [nGC_15003, nGC_15004])

      allocate(vertices(3780)%branchCT(0:0))
      call avCT(3780, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1165)%branchCT(0:0))
      call avCT(1165, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(1166)%branchCT(0:0))
      call avCT(1166, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1167)%branchCT(0:0))
      call avCT(1167, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(1169)%branchCT(0:0))
      call avCT(1169, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14510])

      allocate(vertices(1170)%branchCT(0:0))
      call avCT(1170, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1984)%branchCT(0:0))
      call avCT(1984, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_14706])

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1182)%branchCT(0:1))
      call avCT(1182, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14357, nGC_14358])

      call avCT(1182, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14359, nGC_14360])

      allocate(vertices(1183)%branchCT(0:0))
      call avCT(1183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(2654)%branchCT(0:0))
      call avCT(2654, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14510])

      allocate(vertices(3849)%branchCT(0:0))
      call avCT(3849, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_16224, nGC_16223,      &
      nGC_16224, nGC_16223, nGC_16225])

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1188)%branchCT(0:0))
      call avCT(1188, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1742)%branchCT(0:0))
      call avCT(1742, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1696)%branchCT(0:3))
      call avCT(1696, 0, 104, 2, 0, FVFa0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(1696, 1, 104, 2, 0, FVFa0, 0, [3, 0], [nGC_15003, nGC_15004])

      call avCT(1696, 2, 105, 3, 0, FVFa0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(1696, 3, 105, 3, 0, FVFa0, 0, [3, 0], [nGC_15003, nGC_15004])

      allocate(vertices(1988)%branchCT(0:0))
      call avCT(1988, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1194)%branchCT(0:0))
      call avCT(1194, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1195)%branchCT(0:1))
      call avCT(1195, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14358, nGC_14357])

      call avCT(1195, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14360, nGC_14359])

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14395,     &
      nGC_14396])

      allocate(vertices(1206)%branchCT(0:0))
      call avCT(1206, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1208)%branchCT(0:0))
      call avCT(1208, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_16299])

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1211)%branchCT(0:0))
      call avCT(1211, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1212)%branchCT(0:0))
      call avCT(1212, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14095])

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14211])

      allocate(vertices(1215)%branchCT(0:0))
      call avCT(1215, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13990])

      allocate(vertices(1216)%branchCT(0:0))
      call avCT(1216, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1218)%branchCT(0:0))
      call avCT(1218, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1219)%branchCT(0:0))
      call avCT(1219, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14859])

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_16475])

      allocate(vertices(1224)%branchCT(0:0))
      call avCT(1224, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14238])

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_13993])

      allocate(vertices(1230)%branchCT(0:3))
      call avCT(1230, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(1230, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_15334, nGC_15335])

      call avCT(1230, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(1230, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_15334, nGC_15335])

      allocate(vertices(3330)%branchCT(0:0))
      call avCT(3330, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1233)%branchCT(0:0))
      call avCT(1233, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1237)%branchCT(0:0))
      call avCT(1237, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1238)%branchCT(0:0))
      call avCT(1238, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1239)%branchCT(0:0))
      call avCT(1239, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_16240])

      allocate(vertices(1241)%branchCT(0:1))
      call avCT(1241, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_15423, nGC_15424])

      call avCT(1241, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_15419, nGC_15414])

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14682])

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(2166)%branchCT(0:0))
      call avCT(2166, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1252)%branchCT(0:0))
      call avCT(1252, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14652])

      allocate(vertices(1257)%branchCT(0:0))
      call avCT(1257, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(543)%branchCT(0:0))
      call avCT(543, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(1266)%branchCT(0:0))
      call avCT(1266, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1267)%branchCT(0:0))
      call avCT(1267, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14614])

      allocate(vertices(3341)%branchCT(0:0))
      call avCT(3341, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1269)%branchCT(0:0))
      call avCT(1269, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2477)%branchCT(0:3))
      call avCT(2477, 0, 107, 3, 0, FaVF0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(2477, 1, 107, 3, 0, FaVF0, 0, [3, 0], [nGC_14542, nGC_14543])

      call avCT(2477, 2, 106, 2, 0, FaVF0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(2477, 3, 106, 2, 0, FaVF0, 0, [3, 0], [nGC_14542, nGC_14543])

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1279)%branchCT(0:0))
      call avCT(1279, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2302)%branchCT(0:1))
      call avCT(2302, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14382])

      call avCT(2302, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14381])

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1283)%branchCT(0:0))
      call avCT(1283, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_15204])

      allocate(vertices(3852)%branchCT(0:1))
      call avCT(3852, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_15996, nGC_15990,    &
      nGC_15998, nGC_15998])

      call avCT(3852, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_15997, nGC_15991,    &
      nGC_15999, nGC_15999])

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1287)%branchCT(0:1))
      call avCT(1287, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14268, nGC_14269])

      call avCT(1287, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14266, nGC_14267])

      allocate(vertices(1288)%branchCT(0:0))
      call avCT(1288, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1291)%branchCT(0:0))
      call avCT(1291, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1294)%branchCT(0:1))
      call avCT(1294, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_14809, nGC_14810])

      call avCT(1294, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_14802, nGC_14805])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1299)%branchCT(0:0))
      call avCT(1299, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(813)%branchCT(0:0))
      call avCT(813, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1303)%branchCT(0:0))
      call avCT(1303, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_15449])

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1307)%branchCT(0:0))
      call avCT(1307, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_16240])

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14278, nGC_14279])

      allocate(vertices(1311)%branchCT(0:0))
      call avCT(1311, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1312)%branchCT(0:1))
      call avCT(1312, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14700, nGC_14701])

      call avCT(1312, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14702, nGC_14703])

      allocate(vertices(1313)%branchCT(0:0))
      call avCT(1313, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1314)%branchCT(0:0))
      call avCT(1314, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1316)%branchCT(0:0))
      call avCT(1316, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_14004])

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1322)%branchCT(0:1))
      call avCT(1322, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14580, nGC_14580])

      call avCT(1322, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14582, nGC_14582])

      allocate(vertices(2063)%branchCT(0:0))
      call avCT(2063, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1324)%branchCT(0:0))
      call avCT(1324, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14040])

      allocate(vertices(1325)%branchCT(0:0))
      call avCT(1325, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2347)%branchCT(0:0))
      call avCT(2347, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1329)%branchCT(0:1))
      call avCT(1329, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_15075, nGC_15076])

      call avCT(1329, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_15073, nGC_15074])

      allocate(vertices(1330)%branchCT(0:0))
      call avCT(1330, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(980)%branchCT(0:0))
      call avCT(980, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1333)%branchCT(0:0))
      call avCT(1333, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14226, nGC_14225,     &
      nGC_14225])

      allocate(vertices(1334)%branchCT(0:1))
      call avCT(1334, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_15423, nGC_15424])

      call avCT(1334, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_15419, nGC_15414])

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1000)%branchCT(0:0))
      call avCT(1000, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_15204])

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1348)%branchCT(0:0))
      call avCT(1348, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(1350)%branchCT(0:0))
      call avCT(1350, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(3521)%branchCT(0:0))
      call avCT(3521, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14076])

      allocate(vertices(1354)%branchCT(0:0))
      call avCT(1354, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1355)%branchCT(0:0))
      call avCT(1355, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14907, nGC_14908])

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_16750])

      allocate(vertices(1364)%branchCT(0:5))
      call avCT(1364, 0, 73, 5, 0, VUVUa0, 0, [4, 0], [nGC_16753])

      call avCT(1364, 1, 71, 5, 0, VUVUa0, 0, [4, 0], [nGC_16753])

      call avCT(1364, 2, 72, 5, 0, VUVUa0, 0, [4, 0], [nGC_16753])

      call avCT(1364, 3, 76, 4, 0, VUVUa0, 0, [4, 0], [nGC_16760])

      call avCT(1364, 4, 74, 5, 0, VUVUa0, 0, [4, 0], [nGC_16753])

      call avCT(1364, 5, 75, 4, 0, VUVUa0, 0, [4, 0], [nGC_16760])

      allocate(vertices(1367)%branchCT(0:0))
      call avCT(1367, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14211])

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1186)%branchCT(0:0))
      call avCT(1186, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3668)%branchCT(0:0))
      call avCT(3668, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(3853)%branchCT(0:1))
      call avCT(3853, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_16784, nGC_16780,    &
      nGC_16786, nGC_16786])

      call avCT(3853, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_16785, nGC_16781,    &
      nGC_16787, nGC_16787])

      allocate(vertices(1702)%branchCT(0:0))
      call avCT(1702, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14433])

      allocate(vertices(1373)%branchCT(0:0))
      call avCT(1373, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(1375)%branchCT(0:1))
      call avCT(1375, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14419, nGC_14418])

      call avCT(1375, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14421, nGC_14420])

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14302])

      allocate(vertices(1377)%branchCT(0:1))
      call avCT(1377, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_13976, nGC_13977])

      call avCT(1377, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_13968, nGC_13971])

      allocate(vertices(3257)%branchCT(0:0))
      call avCT(3257, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13990])

      allocate(vertices(2670)%branchCT(0:1))
      call avCT(2670, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_16821, nGC_16821])

      call avCT(2670, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_16823, nGC_16823])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1383)%branchCT(0:0))
      call avCT(1383, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1388)%branchCT(0:0))
      call avCT(1388, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14395,     &
      nGC_14396])

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1390)%branchCT(0:1))
      call avCT(1390, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_16821, nGC_16821])

      call avCT(1390, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_16823, nGC_16823])

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1400)%branchCT(0:0))
      call avCT(1400, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1406)%branchCT(0:1))
      call avCT(1406, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_16853, nGC_16854])

      call avCT(1406, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_16849, nGC_16846])

      allocate(vertices(2857)%branchCT(0:0))
      call avCT(2857, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_16053, nGC_16054])

      allocate(vertices(800)%branchCT(0:0))
      call avCT(800, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1414)%branchCT(0:1))
      call avCT(1414, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_14312, nGC_14313])

      call avCT(1414, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_14306, nGC_14309])

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(2198)%branchCT(0:0))
      call avCT(2198, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(1416)%branchCT(0:3))
      call avCT(1416, 0, 91, 3, 0, VFFa1, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(1416, 1, 91, 3, 0, VFFa1, 0, [3, 0], [nGC_15003, nGC_15004])

      call avCT(1416, 2, 90, 2, 0, VFFa1, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(1416, 3, 90, 2, 0, VFFa1, 0, [3, 0], [nGC_15003, nGC_15004])

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1493)%branchCT(0:0))
      call avCT(1493, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3790)%branchCT(0:0))
      call avCT(3790, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1423)%branchCT(0:1))
      call avCT(1423, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14781, nGC_14781])

      call avCT(1423, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14779, nGC_14779])

      allocate(vertices(3855)%branchCT(0:0))
      call avCT(3855, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_16909])

      allocate(vertices(1427)%branchCT(0:0))
      call avCT(1427, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14784])

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2625)%branchCT(0:0))
      call avCT(2625, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_16918, nGC_16919])

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2428)%branchCT(0:1))
      call avCT(2428, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_14181, nGC_14182])

      call avCT(2428, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_14171, nGC_14174])

      allocate(vertices(1698)%branchCT(0:0))
      call avCT(1698, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_14614])

      allocate(vertices(3372)%branchCT(0:0))
      call avCT(3372, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1441)%branchCT(0:0))
      call avCT(1441, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14858])

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_14004])

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(1651)%branchCT(0:0))
      call avCT(1651, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14014, nGC_14015])

      allocate(vertices(1451)%branchCT(0:1))
      call avCT(1451, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_15423, nGC_15424])

      call avCT(1451, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_15419, nGC_15414])

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1734)%branchCT(0:0))
      call avCT(1734, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1719)%branchCT(0:0))
      call avCT(1719, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1732)%branchCT(0:0))
      call avCT(1732, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_14004])

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_16918, nGC_16919])

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2247)%branchCT(0:0))
      call avCT(2247, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3857)%branchCT(0:0))
      call avCT(3857, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14483])

      allocate(vertices(1784)%branchCT(0:0))
      call avCT(1784, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3379)%branchCT(0:0))
      call avCT(3379, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,     &
      nGC_14036])

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1840)%branchCT(0:0))
      call avCT(1840, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_15312, nGC_15313])

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15407])

      allocate(vertices(1482)%branchCT(0:0))
      call avCT(1482, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1485)%branchCT(0:0))
      call avCT(1485, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1487)%branchCT(0:1))
      call avCT(1487, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_17031, nGC_17026])

      call avCT(1487, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_17035, nGC_17036])

      allocate(vertices(1488)%branchCT(0:0))
      call avCT(1488, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14215])

      allocate(vertices(1419)%branchCT(0:1))
      call avCT(1419, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14204, nGC_14205])

      call avCT(1419, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14206, nGC_14207])

      allocate(vertices(1494)%branchCT(0:0))
      call avCT(1494, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1496)%branchCT(0:0))
      call avCT(1496, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1497)%branchCT(0:0))
      call avCT(1497, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14489])

      allocate(vertices(1499)%branchCT(0:0))
      call avCT(1499, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1503)%branchCT(0:0))
      call avCT(1503, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

    end subroutine fill_vertices_mdl6
end module vertices_info6
