!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(1506)%branchCT(0:0))
      call avCT(1506, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_15449])

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1510)%branchCT(0:0))
      call avCT(1510, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2071)%branchCT(0:0))
      call avCT(2071, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3858)%branchCT(0:0))
      call avCT(3858, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14004])

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2121)%branchCT(0:0))
      call avCT(2121, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_14784])

      allocate(vertices(1527)%branchCT(0:0))
      call avCT(1527, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14590])

      allocate(vertices(1529)%branchCT(0:0))
      call avCT(1529, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1530)%branchCT(0:0))
      call avCT(1530, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2698)%branchCT(0:5))
      call avCT(2698, 0, 67, 5, 0, VUaVU0, 0, [4, 0], [nGC_16753])

      call avCT(2698, 1, 66, 5, 0, VUaVU0, 0, [4, 0], [nGC_16753])

      call avCT(2698, 2, 69, 4, 0, VUaVU0, 0, [4, 0], [nGC_16760])

      call avCT(2698, 3, 70, 4, 0, VUaVU0, 0, [4, 0], [nGC_16760])

      call avCT(2698, 4, 68, 5, 0, VUaVU0, 0, [4, 0], [nGC_16753])

      call avCT(2698, 5, 65, 5, 0, VUaVU0, 0, [4, 0], [nGC_16753])

      allocate(vertices(2494)%branchCT(0:0))
      call avCT(2494, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1540)%branchCT(0:0))
      call avCT(1540, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(235)%branchCT(0:1))
      call avCT(235, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14419, nGC_14418])

      call avCT(235, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14421, nGC_14420])

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1546)%branchCT(0:0))
      call avCT(1546, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_16299])

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1549)%branchCT(0:0))
      call avCT(1549, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2942)%branchCT(0:0))
      call avCT(2942, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14057])

      allocate(vertices(1551)%branchCT(0:0))
      call avCT(1551, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1554)%branchCT(0:0))
      call avCT(1554, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1555)%branchCT(0:1))
      call avCT(1555, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14723, nGC_14722])

      call avCT(1555, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14725, nGC_14724])

      allocate(vertices(3327)%branchCT(0:0))
      call avCT(3327, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,      &
      nGC_14037])

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_17164, nGC_17161,     &
      nGC_17165, nGC_17165])

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14076])

      allocate(vertices(1565)%branchCT(0:0))
      call avCT(1565, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1566)%branchCT(0:0))
      call avCT(1566, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1569)%branchCT(0:0))
      call avCT(1569, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1570)%branchCT(0:0))
      call avCT(1570, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14215])

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2491)%branchCT(0:1))
      call avCT(2491, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_17035, nGC_17036])

      call avCT(2491, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_17031, nGC_17026])

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_17194, nGC_17192,     &
      nGC_17195, nGC_17195])

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15369])

      allocate(vertices(1577)%branchCT(0:0))
      call avCT(1577, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_15933])

      allocate(vertices(1580)%branchCT(0:0))
      call avCT(1580, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14156])

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1585)%branchCT(0:1))
      call avCT(1585, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_17217, nGC_17217])

      call avCT(1585, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_17219, nGC_17219])

      allocate(vertices(1589)%branchCT(0:0))
      call avCT(1589, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1591)%branchCT(0:0))
      call avCT(1591, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14215])

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(1599)%branchCT(0:0))
      call avCT(1599, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(1600)%branchCT(0:0))
      call avCT(1600, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14076])

      allocate(vertices(1603)%branchCT(0:1))
      call avCT(1603, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_16214, nGC_16215])

      call avCT(1603, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_16210, nGC_16207])

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1606)%branchCT(0:0))
      call avCT(1606, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_15607, nGC_15607])

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1610)%branchCT(0:0))
      call avCT(1610, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14858])

      allocate(vertices(1611)%branchCT(0:0))
      call avCT(1611, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,     &
      nGC_14036])

      allocate(vertices(1612)%branchCT(0:0))
      call avCT(1612, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1615)%branchCT(0:0))
      call avCT(1615, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_17265])

      allocate(vertices(3862)%branchCT(0:0))
      call avCT(3862, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14483])

      allocate(vertices(1617)%branchCT(0:0))
      call avCT(1617, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14858])

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1626)%branchCT(0:0))
      call avCT(1626, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13990])

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1629)%branchCT(0:0))
      call avCT(1629, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1326)%branchCT(0:0))
      call avCT(1326, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_14369])

      allocate(vertices(2919)%branchCT(0:0))
      call avCT(2919, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1635)%branchCT(0:0))
      call avCT(1635, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1637)%branchCT(0:0))
      call avCT(1637, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2346)%branchCT(0:0))
      call avCT(2346, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(1639)%branchCT(0:0))
      call avCT(1639, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1644)%branchCT(0:0))
      call avCT(1644, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1646)%branchCT(0:3))
      call avCT(1646, 0, 92, 2, 0, VFaF0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(1646, 1, 92, 2, 0, VFaF0, 0, [3, 0], [nGC_15334, nGC_15335])

      call avCT(1646, 2, 93, 3, 0, VFaF0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(1646, 3, 93, 3, 0, VFaF0, 0, [3, 0], [nGC_15334, nGC_15335])

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13990])

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1649)%branchCT(0:0))
      call avCT(1649, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1650)%branchCT(0:1))
      call avCT(1650, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_15073, nGC_15074])

      call avCT(1650, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_15075, nGC_15076])

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1652)%branchCT(0:0))
      call avCT(1652, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,     &
      nGC_14037])

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1654)%branchCT(0:0))
      call avCT(1654, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14095])

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3863)%branchCT(0:0))
      call avCT(3863, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15695])

      allocate(vertices(1660)%branchCT(0:0))
      call avCT(1660, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_16299])

      allocate(vertices(1661)%branchCT(0:0))
      call avCT(1661, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_16053, nGC_16054])

      allocate(vertices(3056)%branchCT(0:0))
      call avCT(3056, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3788)%branchCT(0:1))
      call avCT(3788, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14723, nGC_14722])

      call avCT(3788, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14725, nGC_14724])

      allocate(vertices(1667)%branchCT(0:1))
      call avCT(1667, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_17369, nGC_17370])

      call avCT(1667, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_17366, nGC_17363])

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3087)%branchCT(0:1))
      call avCT(3087, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_14375])

      call avCT(3087, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_14374])

      allocate(vertices(1672)%branchCT(0:3))
      call avCT(1672, 0, 88, 2, 0, FaFV0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(1672, 1, 88, 2, 0, FaFV0, 0, [3, 0], [nGC_14146, nGC_14147])

      call avCT(1672, 2, 89, 3, 0, FaFV0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(1672, 3, 89, 3, 0, FaFV0, 0, [3, 0], [nGC_14146, nGC_14147])

      allocate(vertices(1674)%branchCT(0:0))
      call avCT(1674, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(1677)%branchCT(0:0))
      call avCT(1677, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(3139)%branchCT(0:0))
      call avCT(3139, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1680)%branchCT(0:0))
      call avCT(1680, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15695])

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2072)%branchCT(0:0))
      call avCT(2072, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1687)%branchCT(0:1))
      call avCT(1687, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14791, nGC_14792])

      call avCT(1687, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14793, nGC_14794])

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1691)%branchCT(0:1))
      call avCT(1691, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14127, nGC_14127])

      call avCT(1691, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14129, nGC_14129])

      allocate(vertices(3232)%branchCT(0:0))
      call avCT(3232, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3633)%branchCT(0:0))
      call avCT(3633, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(3266)%branchCT(0:0))
      call avCT(3266, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_15449])

      allocate(vertices(3283)%branchCT(0:0))
      call avCT(3283, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14652])

      allocate(vertices(1703)%branchCT(0:0))
      call avCT(1703, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13990])

      allocate(vertices(1704)%branchCT(0:0))
      call avCT(1704, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(3322)%branchCT(0:0))
      call avCT(3322, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3336)%branchCT(0:0))
      call avCT(3336, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1709)%branchCT(0:1))
      call avCT(1709, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14723, nGC_14722])

      call avCT(1709, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14725, nGC_14724])

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1712)%branchCT(0:0))
      call avCT(1712, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1716)%branchCT(0:0))
      call avCT(1716, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1718)%branchCT(0:0))
      call avCT(1718, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_16918, nGC_16919])

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1720)%branchCT(0:5))
      call avCT(1720, 0, 26, 5, 0, UVUaV0, 0, [4, 0], [nGC_16753])

      call avCT(1720, 1, 27, 4, 0, UVUaV0, 0, [4, 0], [nGC_16760])

      call avCT(1720, 2, 25, 5, 0, UVUaV0, 0, [4, 0], [nGC_16753])

      call avCT(1720, 3, 23, 5, 0, UVUaV0, 0, [4, 0], [nGC_16753])

      call avCT(1720, 4, 24, 5, 0, UVUaV0, 0, [4, 0], [nGC_16753])

      call avCT(1720, 5, 28, 4, 0, UVUaV0, 0, [4, 0], [nGC_16760])

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_16299])

      allocate(vertices(2252)%branchCT(0:0))
      call avCT(2252, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1727)%branchCT(0:0))
      call avCT(1727, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1728)%branchCT(0:1))
      call avCT(1728, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_17219, nGC_17219])

      call avCT(1728, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_17217, nGC_17217])

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1733)%branchCT(0:0))
      call avCT(1733, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1735)%branchCT(0:0))
      call avCT(1735, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14294])

      allocate(vertices(1736)%branchCT(0:0))
      call avCT(1736, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(1737)%branchCT(0:0))
      call avCT(1737, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14057])

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_15725])

      allocate(vertices(1743)%branchCT(0:0))
      call avCT(1743, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3603)%branchCT(0:0))
      call avCT(3603, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3618)%branchCT(0:0))
      call avCT(3618, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1746)%branchCT(0:1))
      call avCT(1746, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_17522, nGC_17523])

      call avCT(1746, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_17524, nGC_17525])

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14483])

      allocate(vertices(1752)%branchCT(0:0))
      call avCT(1752, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_15204])

      allocate(vertices(1753)%branchCT(0:0))
      call avCT(1753, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3437)%branchCT(0:1))
      call avCT(3437, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_14054])

      call avCT(3437, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_14053])

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_15266])

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14026])

      allocate(vertices(2937)%branchCT(0:0))
      call avCT(2937, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14029])

      allocate(vertices(3866)%branchCT(0:1))
      call avCT(3866, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_17549, nGC_17543,     &
      nGC_17551, nGC_17551])

      call avCT(3866, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_17550, nGC_17544,     &
      nGC_17552, nGC_17552])

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1762)%branchCT(0:0))
      call avCT(1762, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3752)%branchCT(0:0))
      call avCT(3752, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_15312, nGC_15313])

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1769)%branchCT(0:1))
      call avCT(1769, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14722, nGC_14723])

      call avCT(1769, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14724, nGC_14725])

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1771)%branchCT(0:0))
      call avCT(1771, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_13993])

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1774)%branchCT(0:1))
      call avCT(1774, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_14375])

      call avCT(1774, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_14374])

      allocate(vertices(3443)%branchCT(0:0))
      call avCT(3443, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1776)%branchCT(0:0))
      call avCT(1776, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(1778)%branchCT(0:0))
      call avCT(1778, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1780)%branchCT(0:0))
      call avCT(1780, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1782)%branchCT(0:0))
      call avCT(1782, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1783)%branchCT(0:1))
      call avCT(1783, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14582, nGC_14582])

      call avCT(1783, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14580, nGC_14580])

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1789)%branchCT(0:0))
      call avCT(1789, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14290])

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1791)%branchCT(0:0))
      call avCT(1791, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2078)%branchCT(0:0))
      call avCT(2078, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(1800)%branchCT(0:0))
      call avCT(1800, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14594])

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1806)%branchCT(0:0))
      call avCT(1806, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14395, nGC_14396,     &
      nGC_14396])

      allocate(vertices(1808)%branchCT(0:1))
      call avCT(1808, 0, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_16849, nGC_16846])

      call avCT(1808, 1, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_16853, nGC_16854])

      allocate(vertices(3781)%branchCT(0:0))
      call avCT(3781, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1811)%branchCT(0:0))
      call avCT(1811, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1813)%branchCT(0:0))
      call avCT(1813, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1815)%branchCT(0:0))
      call avCT(1815, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1816)%branchCT(0:0))
      call avCT(1816, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14057])

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14156])

      allocate(vertices(1820)%branchCT(0:0))
      call avCT(1820, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(1821)%branchCT(0:1))
      call avCT(1821, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14793, nGC_14794])

      call avCT(1821, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14791, nGC_14792])

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(1828)%branchCT(0:1))
      call avCT(1828, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14722, nGC_14723])

      call avCT(1828, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14724, nGC_14725])

      allocate(vertices(1830)%branchCT(0:0))
      call avCT(1830, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14095])

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14302])

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1843)%branchCT(0:0))
      call avCT(1843, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14040])

      allocate(vertices(1844)%branchCT(0:0))
      call avCT(1844, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1847)%branchCT(0:0))
      call avCT(1847, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14489])

      allocate(vertices(1848)%branchCT(0:0))
      call avCT(1848, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(829)%branchCT(0:1))
      call avCT(829, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14358, nGC_14357])

      call avCT(829, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14360, nGC_14359])

      allocate(vertices(1851)%branchCT(0:0))
      call avCT(1851, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16750])

      allocate(vertices(1852)%branchCT(0:0))
      call avCT(1852, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_16342])

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14489])

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(1862)%branchCT(0:0))
      call avCT(1862, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1864)%branchCT(0:0))
      call avCT(1864, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1870)%branchCT(0:0))
      call avCT(1870, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1872)%branchCT(0:1))
      call avCT(1872, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15060, nGC_15061])

      call avCT(1872, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15057, nGC_15054])

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2540)%branchCT(0:0))
      call avCT(2540, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14652])

      allocate(vertices(3641)%branchCT(0:0))
      call avCT(3641, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_13987, nGC_13987])

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,      &
      nGC_14037])

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2660)%branchCT(0:1))
      call avCT(2660, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14723, nGC_14722])

      call avCT(2660, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14725, nGC_14724])

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14040])

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_16053, nGC_16054])

      allocate(vertices(1897)%branchCT(0:1))
      call avCT(1897, 0, 84, 1, 0, FaVF1, 0, [0, 3], [nGC_14382])

      call avCT(1897, 1, 84, 1, 0, FaVF1, 0, [2, 1], [nGC_14381])

      allocate(vertices(3469)%branchCT(0:0))
      call avCT(3469, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1901)%branchCT(0:0))
      call avCT(1901, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1903)%branchCT(0:0))
      call avCT(1903, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14396,     &
      nGC_14395])

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14675])

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1910)%branchCT(0:0))
      call avCT(1910, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1911)%branchCT(0:0))
      call avCT(1911, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(1912)%branchCT(0:0))
      call avCT(1912, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3174)%branchCT(0:0))
      call avCT(3174, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_17837])

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_15725])

      allocate(vertices(1921)%branchCT(0:0))
      call avCT(1921, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1930)%branchCT(0:0))
      call avCT(1930, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14225, nGC_14226,     &
      nGC_14225])

      allocate(vertices(1533)%branchCT(0:0))
      call avCT(1533, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1940)%branchCT(0:3))
      call avCT(1940, 0, 92, 2, 0, VFaF0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(1940, 1, 92, 2, 0, VFaF0, 0, [3, 0], [nGC_14542, nGC_14543])

      call avCT(1940, 2, 93, 3, 0, VFaF0, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(1940, 3, 93, 3, 0, VFaF0, 0, [3, 0], [nGC_14542, nGC_14543])

      allocate(vertices(1943)%branchCT(0:0))
      call avCT(1943, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_15204])

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1952)%branchCT(0:0))
      call avCT(1952, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15695])

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_14088, nGC_14089])

      allocate(vertices(1956)%branchCT(0:0))
      call avCT(1956, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2867)%branchCT(0:0))
      call avCT(2867, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14302])

      allocate(vertices(1962)%branchCT(0:1))
      call avCT(1962, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_16853, nGC_16854])

      call avCT(1962, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_16849, nGC_16846])

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_15449])

      allocate(vertices(1967)%branchCT(0:0))
      call avCT(1967, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,     &
      nGC_14037])

      allocate(vertices(1968)%branchCT(0:0))
      call avCT(1968, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_15380])

      allocate(vertices(1970)%branchCT(0:0))
      call avCT(1970, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1972)%branchCT(0:0))
      call avCT(1972, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1210)%branchCT(0:0))
      call avCT(1210, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_13993])

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(1976)%branchCT(0:0))
      call avCT(1976, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_15204])

      allocate(vertices(1978)%branchCT(0:1))
      call avCT(1978, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14054])

      call avCT(1978, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14053])

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3089)%branchCT(0:0))
      call avCT(3089, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3355)%branchCT(0:1))
      call avCT(3355, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14741, nGC_14741])

      call avCT(3355, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14743, nGC_14743])

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1994)%branchCT(0:1))
      call avCT(1994, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14809, nGC_14810])

      call avCT(1994, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14802, nGC_14805])

      allocate(vertices(1999)%branchCT(0:1))
      call avCT(1999, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_14375])

      call avCT(1999, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_14374])

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1285)%branchCT(0:0))
      call avCT(1285, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2005)%branchCT(0:0))
      call avCT(2005, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3055)%branchCT(0:1))
      call avCT(3055, 0, 102, 6, 0, VUaU1, 0, [3, 0], [nGC_15318])

      call avCT(3055, 1, 103, 7, 0, VUaU1, 0, [3, 0], [nGC_15318])

      allocate(vertices(2008)%branchCT(0:0))
      call avCT(2008, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_15380])

      allocate(vertices(2009)%branchCT(0:0))
      call avCT(2009, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14057])

      allocate(vertices(2010)%branchCT(0:0))
      call avCT(2010, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1340)%branchCT(0:0))
      call avCT(1340, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14594])

      allocate(vertices(2014)%branchCT(0:0))
      call avCT(2014, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,     &
      nGC_14037])

      allocate(vertices(2017)%branchCT(0:0))
      call avCT(2017, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(1536)%branchCT(0:0))
      call avCT(1536, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2019)%branchCT(0:0))
      call avCT(2019, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16750])

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2027)%branchCT(0:0))
      call avCT(2027, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_15449])

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1509)%branchCT(0:0))
      call avCT(1509, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2041)%branchCT(0:0))
      call avCT(2041, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2042)%branchCT(0:0))
      call avCT(2042, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14712])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14433])

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2048)%branchCT(0:0))
      call avCT(2048, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_15449])

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2052)%branchCT(0:1))
      call avCT(2052, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_14312, nGC_14313])

      call avCT(2052, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_14306, nGC_14309])

      allocate(vertices(2053)%branchCT(0:0))
      call avCT(2053, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2054)%branchCT(0:0))
      call avCT(2054, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2057)%branchCT(0:0))
      call avCT(2057, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13990])

      allocate(vertices(2058)%branchCT(0:0))
      call avCT(2058, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_14784])

      allocate(vertices(2060)%branchCT(0:0))
      call avCT(2060, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13990])

      allocate(vertices(3498)%branchCT(0:0))
      call avCT(3498, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14907, nGC_14908])

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_15407])

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14107])

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,     &
      nGC_14036])

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_15266])

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2449)%branchCT(0:0))
      call avCT(2449, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2077)%branchCT(0:1))
      call avCT(2077, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14127, nGC_14127])

      call avCT(2077, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14129, nGC_14129])

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2079)%branchCT(0:1))
      call avCT(2079, 0, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_17524, nGC_17525])

      call avCT(2079, 1, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_17522, nGC_17523])

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2082)%branchCT(0:1))
      call avCT(2082, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14204, nGC_14205])

      call avCT(2082, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14206, nGC_14207])

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14433])

      allocate(vertices(3874)%branchCT(0:0))
      call avCT(3874, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14483])

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15695])

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14784])

      allocate(vertices(2093)%branchCT(0:0))
      call avCT(2093, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2095)%branchCT(0:0))
      call avCT(2095, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2097)%branchCT(0:0))
      call avCT(2097, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2098)%branchCT(0:1))
      call avCT(2098, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_13968, nGC_13971])

      call avCT(2098, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_13976, nGC_13977])

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_15204])

      allocate(vertices(2100)%branchCT(0:0))
      call avCT(2100, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2853)%branchCT(0:0))
      call avCT(2853, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_16117])

      allocate(vertices(1893)%branchCT(0:0))
      call avCT(1893, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14483])

      allocate(vertices(2111)%branchCT(0:0))
      call avCT(2111, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2112)%branchCT(0:0))
      call avCT(2112, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1960)%branchCT(0:0))
      call avCT(1960, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(2115)%branchCT(0:0))
      call avCT(2115, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2117)%branchCT(0:0))
      call avCT(2117, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3513)%branchCT(0:0))
      call avCT(3513, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3794)%branchCT(0:0))
      call avCT(3794, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_15380])

      allocate(vertices(3586)%branchCT(0:0))
      call avCT(3586, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14107])

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2109)%branchCT(0:0))
      call avCT(2109, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(2136)%branchCT(0:0))
      call avCT(2136, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2139)%branchCT(0:0))
      call avCT(2139, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2142)%branchCT(0:0))
      call avCT(2142, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14489])

      allocate(vertices(2150)%branchCT(0:0))
      call avCT(2150, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2144)%branchCT(0:0))
      call avCT(2144, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3445)%branchCT(0:0))
      call avCT(3445, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2151)%branchCT(0:0))
      call avCT(2151, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(2155)%branchCT(0:0))
      call avCT(2155, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2158)%branchCT(0:1))
      call avCT(2158, 0, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_14802, nGC_14805])

      call avCT(2158, 1, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_14809, nGC_14810])

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14712])

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2888)%branchCT(0:0))
      call avCT(2888, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2167)%branchCT(0:0))
      call avCT(2167, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14156])

      allocate(vertices(2168)%branchCT(0:0))
      call avCT(2168, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(2170)%branchCT(0:0))
      call avCT(2170, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_13987, nGC_13987])

      allocate(vertices(3623)%branchCT(0:1))
      call avCT(3623, 0, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14206, nGC_14207])

      call avCT(3623, 1, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14204, nGC_14205])

      allocate(vertices(2172)%branchCT(0:0))
      call avCT(2172, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2174)%branchCT(0:1))
      call avCT(2174, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_14312, nGC_14313])

      call avCT(2174, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_14306, nGC_14309])

      allocate(vertices(1981)%branchCT(0:0))
      call avCT(1981, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(2366)%branchCT(0:0))
      call avCT(2366, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(935)%branchCT(0:1))
      call avCT(935, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_16849, nGC_16846])

      call avCT(935, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_16853, nGC_16854])

      allocate(vertices(2181)%branchCT(0:5))
      call avCT(2181, 0, 40, 4, 0, UaVVU0, 0, [4, 0], [nGC_16760])

      call avCT(2181, 1, 38, 5, 0, UaVVU0, 0, [4, 0], [nGC_16753])

      call avCT(2181, 2, 35, 5, 0, UaVVU0, 0, [4, 0], [nGC_16753])

      call avCT(2181, 3, 39, 4, 0, UaVVU0, 0, [4, 0], [nGC_16760])

      call avCT(2181, 4, 37, 5, 0, UaVVU0, 0, [4, 0], [nGC_16753])

      call avCT(2181, 5, 36, 5, 0, UaVVU0, 0, [4, 0], [nGC_16753])

      allocate(vertices(2182)%branchCT(0:0))
      call avCT(2182, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(2185)%branchCT(0:0))
      call avCT(2185, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2186)%branchCT(0:1))
      call avCT(2186, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14779, nGC_14779])

      call avCT(2186, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14781, nGC_14781])

      allocate(vertices(2188)%branchCT(0:0))
      call avCT(2188, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2703)%branchCT(0:1))
      call avCT(2703, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_14181, nGC_14182])

      call avCT(2703, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_14171, nGC_14174])

      allocate(vertices(2193)%branchCT(0:0))
      call avCT(2193, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2194)%branchCT(0:0))
      call avCT(2194, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(1715)%branchCT(0:0))
      call avCT(1715, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2201)%branchCT(0:1))
      call avCT(2201, 0, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_15073, nGC_15074])

      call avCT(2201, 1, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_15075, nGC_15076])

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2203)%branchCT(0:0))
      call avCT(2203, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3804)%branchCT(0:0))
      call avCT(3804, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14237])

      allocate(vertices(2336)%branchCT(0:0))
      call avCT(2336, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2208)%branchCT(0:0))
      call avCT(2208, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14215])

      allocate(vertices(2210)%branchCT(0:0))
      call avCT(2210, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2211)%branchCT(0:1))
      call avCT(2211, 0, 84, 1, 0, FaVF1, 0, [0, 3], [nGC_14375])

      call avCT(2211, 1, 84, 1, 0, FaVF1, 0, [2, 1], [nGC_14374])

      allocate(vertices(2524)%branchCT(0:0))
      call avCT(2524, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2215)%branchCT(0:0))
      call avCT(2215, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(2586)%branchCT(0:0))
      call avCT(2586, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2222)%branchCT(0:0))
      call avCT(2222, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3878)%branchCT(0:0))
      call avCT(3878, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2705)%branchCT(0:1))
      call avCT(2705, 0, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_17031, nGC_17026])

      call avCT(2705, 1, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_17035, nGC_17036])

      allocate(vertices(3533)%branchCT(0:0))
      call avCT(3533, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2227)%branchCT(0:0))
      call avCT(2227, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2230)%branchCT(0:0))
      call avCT(2230, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(1681)%branchCT(0:0))
      call avCT(1681, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(2232)%branchCT(0:0))
      call avCT(2232, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14636,     &
      nGC_14635])

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2235)%branchCT(0:0))
      call avCT(2235, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3074)%branchCT(0:3))
      call avCT(3074, 0, 91, 3, 0, VFFa1, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(3074, 1, 91, 3, 0, VFFa1, 0, [3, 0], [nGC_14146, nGC_14147])

      call avCT(3074, 2, 90, 2, 0, VFFa1, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(3074, 3, 90, 2, 0, VFFa1, 0, [3, 0], [nGC_14146, nGC_14147])

      allocate(vertices(2249)%branchCT(0:1))
      call avCT(2249, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14419, nGC_14418])

      call avCT(2249, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14421, nGC_14420])

      allocate(vertices(2250)%branchCT(0:0))
      call avCT(2250, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14859])

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14594])

      allocate(vertices(2255)%branchCT(0:0))
      call avCT(2255, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2259)%branchCT(0:0))
      call avCT(2259, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3381)%branchCT(0:0))
      call avCT(3381, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2261)%branchCT(0:0))
      call avCT(2261, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_14614])

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14215])

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14562, nGC_14563])

      allocate(vertices(2267)%branchCT(0:0))
      call avCT(2267, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2268)%branchCT(0:0))
      call avCT(2268, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2850)%branchCT(0:0))
      call avCT(2850, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2270)%branchCT(0:0))
      call avCT(2270, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14636, nGC_14635,     &
      nGC_14635])

      allocate(vertices(2983)%branchCT(0:0))
      call avCT(2983, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3383)%branchCT(0:0))
      call avCT(3383, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_15266])

      allocate(vertices(2884)%branchCT(0:0))
      call avCT(2884, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2277)%branchCT(0:0))
      call avCT(2277, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1196)%branchCT(0:0))
      call avCT(1196, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14095])

      allocate(vertices(2280)%branchCT(0:0))
      call avCT(2280, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2961)%branchCT(0:0))
      call avCT(2961, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2286)%branchCT(0:0))
      call avCT(2286, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14095])

      allocate(vertices(2290)%branchCT(0:0))
      call avCT(2290, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2291)%branchCT(0:0))
      call avCT(2291, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(2297)%branchCT(0:0))
      call avCT(2297, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_17194, nGC_17192,     &
      nGC_17195, nGC_17195])

      allocate(vertices(2308)%branchCT(0:0))
      call avCT(2308, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_16240])

      allocate(vertices(2310)%branchCT(0:1))
      call avCT(2310, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14358, nGC_14357])

      call avCT(2310, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14360, nGC_14359])

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2837)%branchCT(0:0))
      call avCT(2837, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(2316)%branchCT(0:0))
      call avCT(2316, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(2834)%branchCT(0:0))
      call avCT(2834, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2319)%branchCT(0:0))
      call avCT(2319, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3188)%branchCT(0:0))
      call avCT(3188, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2323)%branchCT(0:0))
      call avCT(2323, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_17837])

      allocate(vertices(2324)%branchCT(0:0))
      call avCT(2324, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14636, nGC_14635,     &
      nGC_14635])

      allocate(vertices(3227)%branchCT(0:0))
      call avCT(3227, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2330)%branchCT(0:0))
      call avCT(2330, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2331)%branchCT(0:0))
      call avCT(2331, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(2332)%branchCT(0:0))
      call avCT(2332, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14156])

      allocate(vertices(2333)%branchCT(0:0))
      call avCT(2333, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14489])

      allocate(vertices(3261)%branchCT(0:0))
      call avCT(3261, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14483])

      allocate(vertices(2338)%branchCT(0:0))
      call avCT(2338, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14290])

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2340)%branchCT(0:0))
      call avCT(2340, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14029])

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2342)%branchCT(0:0))
      call avCT(2342, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2343)%branchCT(0:0))
      call avCT(2343, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2345)%branchCT(0:0))
      call avCT(2345, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14095])

      allocate(vertices(2349)%branchCT(0:0))
      call avCT(2349, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_15173, nGC_15173])

      allocate(vertices(961)%branchCT(0:0))
      call avCT(961, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18546])

      allocate(vertices(2351)%branchCT(0:0))
      call avCT(2351, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14156])

      allocate(vertices(962)%branchCT(0:1))
      call avCT(962, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14418, nGC_14419])

      call avCT(962, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14420, nGC_14421])

      allocate(vertices(2353)%branchCT(0:1))
      call avCT(2353, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_14988, nGC_14989])

      call avCT(2353, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_14985, nGC_14982])

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3408)%branchCT(0:0))
      call avCT(3408, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(2357)%branchCT(0:1))
      call avCT(2357, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_17369, nGC_17370])

      call avCT(2357, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_17366, nGC_17363])

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2359)%branchCT(0:0))
      call avCT(2359, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2363)%branchCT(0:0))
      call avCT(2363, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3448)%branchCT(0:1))
      call avCT(3448, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14358, nGC_14357])

      call avCT(3448, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14360, nGC_14359])

      allocate(vertices(2368)%branchCT(0:0))
      call avCT(2368, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14396,     &
      nGC_14395])

      allocate(vertices(2372)%branchCT(0:0))
      call avCT(2372, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2374)%branchCT(0:0))
      call avCT(2374, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,     &
      nGC_14036])

      allocate(vertices(2643)%branchCT(0:0))
      call avCT(2643, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2377)%branchCT(0:1))
      call avCT(2377, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_14382])

      call avCT(2377, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_14381])

      allocate(vertices(2383)%branchCT(0:0))
      call avCT(2383, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2380)%branchCT(0:0))
      call avCT(2380, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1025)%branchCT(0:0))
      call avCT(1025, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3626)%branchCT(0:0))
      call avCT(3626, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2384)%branchCT(0:1))
      call avCT(2384, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_14988, nGC_14989])

      call avCT(2384, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_14985, nGC_14982])

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2386)%branchCT(0:0))
      call avCT(2386, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(2388)%branchCT(0:0))
      call avCT(2388, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2389)%branchCT(0:0))
      call avCT(2389, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14294])

      allocate(vertices(2390)%branchCT(0:0))
      call avCT(2390, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1819)%branchCT(0:0))
      call avCT(1819, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(2391)%branchCT(0:0))
      call avCT(2391, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14004])

      allocate(vertices(2393)%branchCT(0:0))
      call avCT(2393, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3710)%branchCT(0:0))
      call avCT(3710, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2398)%branchCT(0:0))
      call avCT(2398, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2405)%branchCT(0:0))
      call avCT(2405, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3775)%branchCT(0:0))
      call avCT(3775, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_15380])

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2408)%branchCT(0:0))
      call avCT(2408, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_16918, nGC_16919])

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13990])

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_17837])

      allocate(vertices(3561)%branchCT(0:0))
      call avCT(3561, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_15204])

      allocate(vertices(3707)%branchCT(0:0))
      call avCT(3707, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2416)%branchCT(0:0))
      call avCT(2416, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14211])

      allocate(vertices(2417)%branchCT(0:0))
      call avCT(2417, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_15380])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2423)%branchCT(0:0))
      call avCT(2423, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2425)%branchCT(0:1))
      call avCT(2425, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_16214, nGC_16215])

      call avCT(2425, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_16210, nGC_16207])

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2433)%branchCT(0:1))
      call avCT(2433, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_16214, nGC_16215])

      call avCT(2433, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_16210, nGC_16207])

      allocate(vertices(2434)%branchCT(0:0))
      call avCT(2434, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14057])

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2437)%branchCT(0:0))
      call avCT(2437, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2438)%branchCT(0:0))
      call avCT(2438, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_17837])

      allocate(vertices(2440)%branchCT(0:0))
      call avCT(2440, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2441)%branchCT(0:0))
      call avCT(2441, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2442)%branchCT(0:1))
      call avCT(2442, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14580, nGC_14580])

      call avCT(2442, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14582, nGC_14582])

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2446)%branchCT(0:3))
      call avCT(2446, 0, 107, 3, 0, FaVF0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(2446, 1, 107, 3, 0, FaVF0, 0, [3, 0], [nGC_14146, nGC_14147])

      call avCT(2446, 2, 106, 2, 0, FaVF0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(2446, 3, 106, 2, 0, FaVF0, 0, [3, 0], [nGC_14146, nGC_14147])

      allocate(vertices(2447)%branchCT(0:0))
      call avCT(2447, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2452)%branchCT(0:0))
      call avCT(2452, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(2458)%branchCT(0:0))
      call avCT(2458, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14248])

      allocate(vertices(2459)%branchCT(0:0))
      call avCT(2459, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_16016, nGC_16017])

      allocate(vertices(2462)%branchCT(0:0))
      call avCT(2462, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2463)%branchCT(0:0))
      call avCT(2463, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2464)%branchCT(0:0))
      call avCT(2464, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3046)%branchCT(0:0))
      call avCT(3046, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2468)%branchCT(0:0))
      call avCT(2468, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2469)%branchCT(0:1))
      call avCT(2469, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_13968, nGC_13971])

      call avCT(2469, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_13976, nGC_13977])

      allocate(vertices(981)%branchCT(0:0))
      call avCT(981, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2471)%branchCT(0:0))
      call avCT(2471, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3291)%branchCT(0:1))
      call avCT(3291, 0, 85, 1, 0, FaFV1, 0, [0, 3], [nGC_14375])

      call avCT(3291, 1, 85, 1, 0, FaFV1, 0, [2, 1], [nGC_14374])

      allocate(vertices(2861)%branchCT(0:1))
      call avCT(2861, 0, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_14054])

      call avCT(2861, 1, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_14053])

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14088, nGC_14089])

      allocate(vertices(2475)%branchCT(0:0))
      call avCT(2475, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(2556)%branchCT(0:0))
      call avCT(2556, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2479)%branchCT(0:0))
      call avCT(2479, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14614])

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14594])

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3882)%branchCT(0:1))
      call avCT(3882, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_18821, nGC_18817,    &
      nGC_18823, nGC_18823])

      call avCT(3882, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_18822, nGC_18818,    &
      nGC_18824, nGC_18824])

      allocate(vertices(2485)%branchCT(0:0))
      call avCT(2485, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18828])

      allocate(vertices(2486)%branchCT(0:0))
      call avCT(2486, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1571)%branchCT(0:0))
      call avCT(1571, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2488)%branchCT(0:0))
      call avCT(2488, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_15266])

      allocate(vertices(443)%branchCT(0:5))
      call avCT(443, 0, 32, 5, 0, UUaVV0, 0, [4, 0], [nGC_16753])

      call avCT(443, 1, 30, 5, 0, UUaVV0, 0, [4, 0], [nGC_16753])

      call avCT(443, 2, 33, 4, 0, UUaVV0, 0, [4, 0], [nGC_16760])

      call avCT(443, 3, 29, 5, 0, UUaVV0, 0, [4, 0], [nGC_16753])

      call avCT(443, 4, 34, 4, 0, UUaVV0, 0, [4, 0], [nGC_16760])

      call avCT(443, 5, 31, 5, 0, UUaVV0, 0, [4, 0], [nGC_16753])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2500)%branchCT(0:0))
      call avCT(2500, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_17837])

      allocate(vertices(3578)%branchCT(0:0))
      call avCT(3578, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2503)%branchCT(0:0))
      call avCT(2503, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_15449])

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1248)%branchCT(0:0))
      call avCT(1248, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2509)%branchCT(0:0))
      call avCT(2509, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2511)%branchCT(0:0))
      call avCT(2511, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(2513)%branchCT(0:0))
      call avCT(2513, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2515)%branchCT(0:0))
      call avCT(2515, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(588)%branchCT(0:0))
      call avCT(588, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2521)%branchCT(0:0))
      call avCT(2521, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14057])

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2523)%branchCT(0:0))
      call avCT(2523, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2213)%branchCT(0:0))
      call avCT(2213, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2527)%branchCT(0:1))
      call avCT(2527, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_17369, nGC_17370])

      call avCT(2527, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_17366, nGC_17363])

      allocate(vertices(2530)%branchCT(0:0))
      call avCT(2530, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14594])

      allocate(vertices(3468)%branchCT(0:0))
      call avCT(3468, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2537)%branchCT(0:1))
      call avCT(2537, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_16821, nGC_16821])

      call avCT(2537, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_16823, nGC_16823])

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_15204])

      allocate(vertices(3688)%branchCT(0:0))
      call avCT(3688, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(2542)%branchCT(0:0))
      call avCT(2542, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2543)%branchCT(0:1))
      call avCT(2543, 0, 84, 1, 0, FaVF1, 0, [0, 3], [nGC_14054])

      call avCT(2543, 1, 84, 1, 0, FaVF1, 0, [2, 1], [nGC_14053])

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_16299])

      allocate(vertices(2550)%branchCT(0:0))
      call avCT(2550, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(2553)%branchCT(0:0))
      call avCT(2553, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2558)%branchCT(0:0))
      call avCT(2558, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(2559)%branchCT(0:0))
      call avCT(2559, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2560)%branchCT(0:0))
      call avCT(2560, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_15933])

      allocate(vertices(2561)%branchCT(0:0))
      call avCT(2561, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2570)%branchCT(0:0))
      call avCT(2570, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2572)%branchCT(0:0))
      call avCT(2572, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2573)%branchCT(0:1))
      call avCT(2573, 0, 85, 1, 0, FaFV1, 0, [0, 3], [nGC_14375])

      call avCT(2573, 1, 85, 1, 0, FaFV1, 0, [2, 1], [nGC_14374])

      allocate(vertices(2217)%branchCT(0:0))
      call avCT(2217, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3377)%branchCT(0:0))
      call avCT(3377, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2578)%branchCT(0:1))
      call avCT(2578, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_14054])

      call avCT(2578, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_14053])

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2580)%branchCT(0:1))
      call avCT(2580, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_13976, nGC_13977])

      call avCT(2580, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_13968, nGC_13971])

      allocate(vertices(2581)%branchCT(0:0))
      call avCT(2581, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2582)%branchCT(0:0))
      call avCT(2582, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3376)%branchCT(0:1))
      call avCT(3376, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_15060, nGC_15061])

      call avCT(3376, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_15057, nGC_15054])

      allocate(vertices(1504)%branchCT(0:0))
      call avCT(1504, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3099)%branchCT(0:0))
      call avCT(3099, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2221)%branchCT(0:0))
      call avCT(2221, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14278, nGC_14279])

      allocate(vertices(2590)%branchCT(0:0))
      call avCT(2590, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2591)%branchCT(0:1))
      call avCT(2591, 0, 84, 1, 0, FaVF1, 0, [0, 3], [nGC_14054])

      call avCT(2591, 1, 84, 1, 0, FaVF1, 0, [2, 1], [nGC_14053])

      allocate(vertices(2593)%branchCT(0:1))
      call avCT(2593, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_14988, nGC_14989])

      call avCT(2593, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_14985, nGC_14982])

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_15204])

      allocate(vertices(1021)%branchCT(0:0))
      call avCT(1021, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2597)%branchCT(0:3))
      call avCT(2597, 0, 91, 3, 0, VFFa1, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(2597, 1, 91, 3, 0, VFFa1, 0, [3, 0], [nGC_14333, nGC_14334])

      call avCT(2597, 2, 90, 2, 0, VFFa1, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(2597, 3, 90, 2, 0, VFFa1, 0, [3, 0], [nGC_14333, nGC_14334])

      allocate(vertices(2598)%branchCT(0:0))
      call avCT(2598, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2599)%branchCT(0:0))
      call avCT(2599, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14635,     &
      nGC_14636])

      allocate(vertices(3047)%branchCT(0:0))
      call avCT(3047, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14858])

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3883)%branchCT(0:1))
      call avCT(3883, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_18821, nGC_18817,     &
      nGC_18823, nGC_18823])

      call avCT(3883, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_18822, nGC_18818,     &
      nGC_18824, nGC_18824])

      allocate(vertices(2603)%branchCT(0:1))
      call avCT(2603, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_15811, nGC_15812])

      call avCT(2603, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_15805, nGC_15808])

      allocate(vertices(2606)%branchCT(0:0))
      call avCT(2606, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2608)%branchCT(0:0))
      call avCT(2608, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_15173, nGC_15173])

      allocate(vertices(3441)%branchCT(0:0))
      call avCT(3441, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2611)%branchCT(0:0))
      call avCT(2611, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2612)%branchCT(0:0))
      call avCT(2612, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14036,     &
      nGC_14037])

      allocate(vertices(2616)%branchCT(0:0))
      call avCT(2616, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2617)%branchCT(0:1))
      call avCT(2617, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_17217, nGC_17217])

      call avCT(2617, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_17219, nGC_17219])

      allocate(vertices(2618)%branchCT(0:0))
      call avCT(2618, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(1180)%branchCT(0:0))
      call avCT(1180, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2626)%branchCT(0:0))
      call avCT(2626, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_15725])

      allocate(vertices(2629)%branchCT(0:5))
      call avCT(2629, 0, 53, 5, 0, VVUaU0, 0, [4, 0], [nGC_16753])

      call avCT(2629, 1, 57, 4, 0, VVUaU0, 0, [4, 0], [nGC_16760])

      call avCT(2629, 2, 55, 5, 0, VVUaU0, 0, [4, 0], [nGC_16753])

      call avCT(2629, 3, 56, 5, 0, VVUaU0, 0, [4, 0], [nGC_16753])

      call avCT(2629, 4, 54, 5, 0, VVUaU0, 0, [4, 0], [nGC_16753])

      call avCT(2629, 5, 58, 4, 0, VVUaU0, 0, [4, 0], [nGC_16760])

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_15369])

      allocate(vertices(2639)%branchCT(0:0))
      call avCT(2639, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2889)%branchCT(0:0))
      call avCT(2889, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1272)%branchCT(0:0))
      call avCT(1272, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2648)%branchCT(0:1))
      call avCT(2648, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_17035, nGC_17036])

      call avCT(2648, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_17031, nGC_17026])

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2651)%branchCT(0:0))
      call avCT(2651, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_15449])

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14483])

      allocate(vertices(2655)%branchCT(0:5))
      call avCT(2655, 0, 77, 5, 0, VUUaV0, 0, [4, 0], [nGC_16753])

      call avCT(2655, 1, 82, 4, 0, VUUaV0, 0, [4, 0], [nGC_16760])

      call avCT(2655, 2, 79, 5, 0, VUUaV0, 0, [4, 0], [nGC_16753])

      call avCT(2655, 3, 80, 5, 0, VUUaV0, 0, [4, 0], [nGC_16753])

      call avCT(2655, 4, 78, 5, 0, VUUaV0, 0, [4, 0], [nGC_16753])

      call avCT(2655, 5, 81, 4, 0, VUUaV0, 0, [4, 0], [nGC_16760])

      allocate(vertices(2657)%branchCT(0:0))
      call avCT(2657, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(2880)%branchCT(0:0))
      call avCT(2880, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2663)%branchCT(0:0))
      call avCT(2663, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1604)%branchCT(0:0))
      call avCT(1604, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(2666)%branchCT(0:0))
      call avCT(2666, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2667)%branchCT(0:0))
      call avCT(2667, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3273)%branchCT(0:0))
      call avCT(3273, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_16918, nGC_16919])

      allocate(vertices(1945)%branchCT(0:0))
      call avCT(1945, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_15369])

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2674)%branchCT(0:0))
      call avCT(2674, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_17265])

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2676)%branchCT(0:0))
      call avCT(2676, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2678)%branchCT(0:0))
      call avCT(2678, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2680)%branchCT(0:5))
      call avCT(2680, 0, 9, 5, 0, UaUVV0, 0, [4, 0], [nGC_16753])

      call avCT(2680, 1, 7, 5, 0, UaUVV0, 0, [4, 0], [nGC_16753])

      call avCT(2680, 2, 8, 5, 0, UaUVV0, 0, [4, 0], [nGC_16753])

      call avCT(2680, 3, 6, 5, 0, UaUVV0, 0, [4, 0], [nGC_16753])

      call avCT(2680, 4, 5, 4, 0, UaUVV0, 0, [4, 0], [nGC_16760])

      call avCT(2680, 5, 4, 4, 0, UaUVV0, 0, [4, 0], [nGC_16760])

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2682)%branchCT(0:0))
      call avCT(2682, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14489])

      allocate(vertices(2995)%branchCT(0:0))
      call avCT(2995, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3295)%branchCT(0:0))
      call avCT(3295, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2685)%branchCT(0:0))
      call avCT(2685, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2687)%branchCT(0:0))
      call avCT(2687, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3259)%branchCT(0:1))
      call avCT(3259, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_17217, nGC_17217])

      call avCT(3259, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_17219, nGC_17219])

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13990])

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(2696)%branchCT(0:1))
      call avCT(2696, 0, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14793, nGC_14794])

      call avCT(2696, 1, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14791, nGC_14792])

      allocate(vertices(2697)%branchCT(0:0))
      call avCT(2697, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3885)%branchCT(0:0))
      call avCT(3885, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14194])

      allocate(vertices(2295)%branchCT(0:0))
      call avCT(2295, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_14614])

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3675)%branchCT(0:0))
      call avCT(3675, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2715)%branchCT(0:0))
      call avCT(2715, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14682])

      allocate(vertices(3465)%branchCT(0:0))
      call avCT(3465, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1711)%branchCT(0:1))
      call avCT(1711, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14418, nGC_14419])

      call avCT(1711, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14420, nGC_14421])

      allocate(vertices(1692)%branchCT(0:0))
      call avCT(1692, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14594])

      allocate(vertices(3431)%branchCT(0:0))
      call avCT(3431, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_15312, nGC_15313])

      allocate(vertices(2293)%branchCT(0:0))
      call avCT(2293, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14636, nGC_14635,     &
      nGC_14635])

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14907, nGC_14908])

      allocate(vertices(1614)%branchCT(0:0))
      call avCT(1614, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14156])

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_16475])

      allocate(vertices(2737)%branchCT(0:1))
      call avCT(2737, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_15075, nGC_15076])

      call avCT(2737, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_15073, nGC_15074])

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2741)%branchCT(0:1))
      call avCT(2741, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14741, nGC_14741])

      call avCT(2741, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14743, nGC_14743])

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_15204])

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14040])

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14636, nGC_14635,     &
      nGC_14635])

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14489])

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3033)%branchCT(0:3))
      call avCT(3033, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(3033, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_14333, nGC_14334])

      call avCT(3033, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(3033, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_14333, nGC_14334])

      allocate(vertices(2940)%branchCT(0:0))
      call avCT(2940, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2192)%branchCT(0:0))
      call avCT(2192, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2912)%branchCT(0:0))
      call avCT(2912, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14433])

      allocate(vertices(2765)%branchCT(0:3))
      call avCT(2765, 0, 104, 2, 0, FVFa0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(2765, 1, 104, 2, 0, FVFa0, 0, [3, 0], [nGC_15334, nGC_15335])

      call avCT(2765, 2, 105, 3, 0, FVFa0, 0, [1, 2], [nGC_15332, nGC_15330])

      call avCT(2765, 3, 105, 3, 0, FVFa0, 0, [3, 0], [nGC_15334, nGC_15335])

      allocate(vertices(2253)%branchCT(0:0))
      call avCT(2253, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2773)%branchCT(0:1))
      call avCT(2773, 0, 94, 6, 0, UVUa0, 0, [3, 0], [nGC_15318])

      call avCT(2773, 1, 95, 7, 0, UVUa0, 0, [3, 0], [nGC_15318])

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_15790, nGC_15787,     &
      nGC_15791, nGC_15791])

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14029])

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14510])

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,     &
      nGC_14036])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2794)%branchCT(0:1))
      call avCT(2794, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14580, nGC_14580])

      call avCT(2794, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14582, nGC_14582])

      allocate(vertices(3887)%branchCT(0:0))
      call avCT(3887, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_14713])

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2106)%branchCT(0:0))
      call avCT(2106, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,     &
      nGC_14036])

      allocate(vertices(2114)%branchCT(0:0))
      call avCT(2114, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14594])

      allocate(vertices(2132)%branchCT(0:0))
      call avCT(2132, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2807)%branchCT(0:1))
      call avCT(2807, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14357, nGC_14358])

      call avCT(2807, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14359, nGC_14360])

      allocate(vertices(2673)%branchCT(0:0))
      call avCT(2673, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(607)%branchCT(0:0))
      call avCT(607, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14110])

    end subroutine fill_vertices_mdl7
end module vertices_info7
