!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_17034) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_9477) = coupl(nGC_132)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9478) = coupl(nGC_135)*(-coupl(nGC_134)**2d0 - coupl(nGC_135)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9352) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9571) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*   &
                        coupl(nGC_4)**4d0 - 2d0*cima*coupl(nGC_746)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_746)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_9570) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)* &
                        coupl(nGC_2)*coupl(nGC_62) + cima*coupl(nGC_133)*coupl(&
                        nGC_135)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(      &
                        nGC_136)*coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_14)*coupl(nGC_74) + cima*coupl(     &
                        nGC_145)*coupl(nGC_147)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_3140)*coupl(nGC_69) + 6d0*coupl(    &
                        nGC_14)*coupl(nGC_64)*coupl(nGC_746) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_69)*coupl(nGC_746))/(48d0*pi**2d0)
      coupl(nGC_9683) = coupl(nGC_9200)*dyb_QED1_QCD2
      coupl(nGC_9682) = coupl(nGC_9216)*dys_QED3
      coupl(nGC_9681) = coupl(nGC_9216)*dys_QED1_QCD2
      coupl(nGC_16223) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_9684) = coupl(nGC_9200)*dyb_QED3
      coupl(nGC_9689) = coupl(nGC_9212)*dym_QED3
      coupl(nGC_9688) = coupl(nGC_9209)*dye_QED3
      coupl(nGC_14713) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_9371) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9377) = (coupl(nGC_1)*coupl(nGC_127)**2d0 + coupl(nGC_128)**2d0&
                        *coupl(nGC_2) + coupl(nGC_129)*coupl(nGC_2)*coupl(     &
                        nGC_506) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_15787) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_9375) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9374) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9378) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_17026) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_16342) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_14102) = coupl(nGC_9746) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_14145) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_9737)
      coupl(nGC_14144) = coupl(nGC_19)*dZuR_QCD2
      coupl(nGC_17216) = coupl(nGC_149)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_14140) = coupl(nGC_19)*dZuL_QCD2
      coupl(nGC_9619) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl&
                        (nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(128d0*pi**  &
                        2d0)
      coupl(nGC_17193) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_17195) = coupl(nGC_17193) + coupl(nGC_9749)
      coupl(nGC_9610) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_126)**2d0  &
                         + coupl(nGC_128)**2d0 + coupl(nGC_132)**2d0 + coupl(  &
                        nGC_141)**2d0 + coupl(nGC_143)**2d0 + coupl(nGC_149)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14784) = coupl(nGC_136)*dZmuMinusR_QED2/2d0 + coupl(nGC_136)*  &
                         dZnu_muL_QED2/2d0 + coupl(nGC_9686)
      coupl(nGC_9616) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_14106) = coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_21825) = -coupl(nGC_9426)
      coupl(nGC_14360) = coupl(nGC_148)*dZdL_QED2/2d0 + coupl(nGC_148)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9662)
      coupl(nGC_14040) = coupl(nGC_5)*dZWMinus_QED2/2d0 + coupl(nGC_9653)
      coupl(nGC_16917) = coupl(nGC_134)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_17366) = coupl(nGC_79)*dZcR_QCD2
      coupl(nGC_16918) = -coupl(nGC_16917) - coupl(nGC_9688)
      coupl(nGC_16919) = coupl(nGC_16917) + coupl(nGC_9688)
      coupl(nGC_17363) = coupl(nGC_83)*dZcL_QCD2
      coupl(nGC_14215) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_90)*dZZA_QED2 +    &
                         coupl(nGC_9652)
      coupl(nGC_9539) = -coupl(nGC_19)*sq2*(coupl(nGC_127)**2d0 + coupl(nGC_128&
                        )**2d0 + coupl(nGC_129)*coupl(nGC_506) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9538) = -coupl(nGC_19)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_129&
                        )*coupl(nGC_506) + coupl(nGC_139)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9534) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_1160) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_9537) = -coupl(nGC_19)*sq2*(-coupl(nGC_127)**2d0 - coupl(      &
                        nGC_128)**2d0 - coupl(nGC_129)*coupl(nGC_506) - 4d0*   &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi** &
                        2d0)
      coupl(nGC_9536) = -coupl(nGC_19)*sq2*(-coupl(nGC_128)**2d0 - coupl(      &
                        nGC_129)*coupl(nGC_506) - coupl(nGC_139)**2d0 - 4d0*   &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(&
                        nGC_83)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9531) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_1160) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_9602) = cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_9409) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*  &
                        cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC&
                        *coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*  &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*   &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(&
                        nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_86) + cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_80) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_85) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl( &
                        nGC_110)*coupl(nGC_652) + 2d0*cima*coupl(nGC_55)*coupl(&
                        nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_4)*coupl(nGC_64 &
                        ) + 2d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_99))/(   &
                        16d0*pi**2d0)
      coupl(nGC_9408) = (2d0*Nc*cMB*coupl(nGC_124)**2d0*coupl(nGC_126) + 2d0*Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_143) + 2d0&
                        *Nc*cMB*coupl(nGC_126)*coupl(nGC_142)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_127)**2d0*coupl(nGC_128) + 2d0*Nc*cMC*coupl(&
                        nGC_127)*coupl(nGC_139)*coupl(nGC_141) + 2d0*Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_139)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_130)**2d0*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_130&
                        )*coupl(nGC_148)*coupl(nGC_149) + 2d0*Nc*cMD*coupl(    &
                        nGC_132)*coupl(nGC_148)**2d0 + 2d0*Nc*cMS*coupl(nGC_127&
                        )**2d0*coupl(nGC_141) + 2d0*Nc*cMS*coupl(nGC_127)*coupl&
                        (nGC_128)*coupl(nGC_139) + 2d0*Nc*cMS*coupl(nGC_139)** &
                        2d0*coupl(nGC_141) + 2d0*Nc*cMT*coupl(nGC_124)**2d0*   &
                        coupl(nGC_143) + 2d0*Nc*cMT*coupl(nGC_124)*coupl(      &
                        nGC_126)*coupl(nGC_142) + 2d0*Nc*cMT*coupl(nGC_142)**  &
                        2d0*coupl(nGC_143) + 2d0*Nc*cMU*coupl(nGC_130)**2d0*   &
                        coupl(nGC_149) + 2d0*Nc*cMU*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_148) + 2d0*Nc*cMU*coupl(nGC_148)**  &
                        2d0*coupl(nGC_149) + 2d0*cME*coupl(nGC_133)**2d0*coupl(&
                        nGC_135) + 2d0*cMM*coupl(nGC_136)**2d0*coupl(nGC_138   &
                        ) + 2d0*cMTA*coupl(nGC_145)**2d0*coupl(nGC_147) + 2d0* &
                        cima*coupl(nGC_107)*coupl(nGC_47) + 4d0*cima*coupl(    &
                        nGC_110)*coupl(nGC_69) + cima*coupl(nGC_123)*coupl(    &
                        nGC_95) + 4d0*cima*coupl(nGC_14)*coupl(nGC_99))/(16d0* &
                        pi**2d0)
      coupl(nGC_9401) = coupl(nGC_4)*(coupl(nGC_1048)*coupl(nGC_146) + coupl(  &
                        nGC_147)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9403) = (coupl(nGC_1)*coupl(nGC_130)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_1446)*coupl(nGC_150)*   &
                        coupl(nGC_2) + coupl(nGC_149)**2d0*coupl(nGC_2) + 4d0* &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9402) = (coupl(nGC_1048)*coupl(nGC_146)*coupl(nGC_4) + coupl(  &
                        nGC_147)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9404) = (coupl(nGC_1)*coupl(nGC_148)**2d0 + coupl(nGC_1446)*   &
                        coupl(nGC_150)*coupl(nGC_2) + coupl(nGC_149)**2d0*coupl&
                        (nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*    &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9407) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_126) + Nc* &
                        coupl(nGC_127)*coupl(nGC_128) - Nc*coupl(nGC_130)*coupl&
                        (nGC_132) - Nc*coupl(nGC_139)*coupl(nGC_141) + Nc*coupl&
                        (nGC_142)*coupl(nGC_143) + Nc*coupl(nGC_148)*coupl(    &
                        nGC_149) - coupl(nGC_133)*coupl(nGC_135) - coupl(      &
                        nGC_136)*coupl(nGC_138) - coupl(nGC_145)*coupl(nGC_147 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9406) = (Nc*coupl(nGC_124)**2d0*coupl(nGC_78) - Nc*coupl(      &
                        nGC_124)**2d0*coupl(nGC_83) - Nc*coupl(nGC_127)**2d0*  &
                        coupl(nGC_79) + Nc*coupl(nGC_127)**2d0*coupl(nGC_82) + &
                        Nc*coupl(nGC_130)**2d0*coupl(nGC_78) - Nc*coupl(nGC_130&
                        )**2d0*coupl(nGC_83) + Nc*coupl(nGC_139)**2d0*coupl(   &
                        nGC_78) - Nc*coupl(nGC_139)**2d0*coupl(nGC_83) - Nc*   &
                        coupl(nGC_142)**2d0*coupl(nGC_79) + Nc*coupl(nGC_142)**&
                        2d0*coupl(nGC_82) - Nc*coupl(nGC_148)**2d0*coupl(nGC_79&
                        ) + Nc*coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(      &
                        nGC_133)**2d0*coupl(nGC_80) - coupl(nGC_133)**2d0*coupl&
                        (nGC_86) + coupl(nGC_136)**2d0*coupl(nGC_80) - coupl(  &
                        nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_145)**2d0*coupl&
                        (nGC_80) - coupl(nGC_145)**2d0*coupl(nGC_86))/(24d0*pi &
                        **2d0)
      coupl(nGC_9605) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_78) + coupl(nGC_1)*coupl(nGC_82) + coupl(nGC_2)*   &
                        coupl(nGC_79) + coupl(nGC_2)*coupl(nGC_83))/(32d0*pi** &
                        2d0)
      coupl(nGC_15725) = coupl(nGC_9640) + coupl(nGC_GPGMGPGM)
      coupl(nGC_9393) = (coupl(nGC_137)*coupl(nGC_4)*coupl(nGC_922) + coupl(   &
                        nGC_138)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9392) = coupl(nGC_4)*(coupl(nGC_137)*coupl(nGC_922) + coupl(   &
                        nGC_138)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9395) = (coupl(nGC_136)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9394) = (coupl(nGC_133)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9396) = (coupl(nGC_145)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9715) = coupl(nGC_9163)*dZee_QED2 + coupl(nGC_9164)*dsw_QED2
      coupl(nGC_9714) = coupl(nGC_9183)*dZee_QED2 + coupl(nGC_9184)*dsw_QED2
      coupl(nGC_9716) = coupl(nGC_9198)*dZee_QED2 + coupl(nGC_9199)*dsw_QED2
      coupl(nGC_9711) = coupl(nGC_9189)*dZee_QED2 + coupl(nGC_9190)*dsw_QED2
      coupl(nGC_9710) = coupl(nGC_9195)*dZee_QED2 + coupl(nGC_9196)*dsw_QED2
      coupl(nGC_9713) = coupl(nGC_9161)*dZee_QED2 + coupl(nGC_9162)*dsw_QED2
      coupl(nGC_14741) = coupl(nGC_14737) + coupl(nGC_9683)
      coupl(nGC_14742) = coupl(nGC_126)*dZH_QED2/2d0 + coupl(nGC_9684)
      coupl(nGC_9719) = coupl(nGC_9093)*dsw_QED2 + coupl(nGC_9094)*dZee_QED2 + &
                        coupl(nGC_9095)*dvev_QED1
      coupl(nGC_9718) = coupl(nGC_9243)*dZee_QED2 + coupl(nGC_9244)*dsw_QED2 + &
                        coupl(nGC_9245)*dcw_QED2
      coupl(nGC_17546) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_17545) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_9497) = coupl(nGC_19)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9494) = coupl(nGC_149)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9492) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl(&
                        nGC_1446)**2d0*coupl(nGC_149) - coupl(nGC_149)**3d0 +  &
                        8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9493) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl(&
                        nGC_149)**3d0 - coupl(nGC_149)*coupl(nGC_150)**2d0 +   &
                        8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9490) = coupl(nGC_147)*(-coupl(nGC_146)**2d0 - coupl(nGC_147)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9491) = coupl(nGC_147)*(-coupl(nGC_1048)**2d0 - coupl(nGC_147  &
                        )**2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*    &
                        coupl(nGC_85))/(32d0*pi**2d0)
      coupl(nGC_14483) = coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_14489) = coupl(nGC_6)*dZWMinus_QED2/2d0 + coupl(nGC_9654)
      coupl(nGC_9660) = coupl(nGC_9310)*dZgs_QCD2
      coupl(nGC_13990) = coupl(nGC_46)*dZH_QED2 + coupl(nGC_9641)
      coupl(nGC_15334) = coupl(nGC_14145) + coupl(nGC_15333)
      coupl(nGC_14257) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_69)*dZA_QED2/ &
                         2d0 + coupl(nGC_69)*dZH_QED2/2d0 + coupl(nGC_69)*     &
                         dZWMinus_QED2/2d0 + coupl(nGC_9708)
      coupl(nGC_17552) = coupl(nGC_17546) + coupl(nGC_9758)
      coupl(nGC_14311) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZdL_QED2  &
                          + coupl(nGC_9741)
      coupl(nGC_16820) = coupl(nGC_132)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9615) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_78)**2d0  &
                         - coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(    &
                        nGC_83)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_14419) = coupl(nGC_142)*dZbL_QCD2/2d0 + coupl(nGC_142)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9671)
      coupl(nGC_14418) = coupl(nGC_124)*dZbR_QCD2/2d0 + coupl(nGC_124)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9669)
      coupl(nGC_14004) = coupl(nGC_145)*dZnu_tauL_QED2/2d0 + coupl(nGC_145)*   &
                         dZtauMinusR_QED2/2d0 + coupl(nGC_9687)
      coupl(nGC_9566) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(  &
                        nGC_78) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*&
                        coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_127)**2d0*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_130)**2d0*coupl(nGC_78) + 5d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_83) - 8d0*Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_78) + 5d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_83) + &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(    &
                        nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*&
                        coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148 &
                        )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_148)**2d0*coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_124&
                        )**2d0*coupl(nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl( &
                        nGC_124)**2d0*coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*&
                        coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc&
                        *cima*coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_82) + &
                        5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(    &
                        nGC_78) - 8d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*&
                        coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139)**2d0*coupl( &
                        nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(nGC_139)**2d0*&
                        coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_142 &
                        )**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl( &
                        nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_82) - 8d0*Nc*cima*&
                        coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc&
                        *cima*coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_82) - &
                        8d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) + 5d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(   &
                        nGC_86) - 8d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)*   &
                        coupl(nGC_80) + 5d0*cima*coupl(nGC_136)**2d0*coupl(    &
                        nGC_4)*coupl(nGC_86) - 8d0*cima*coupl(nGC_145)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_80) + 5d0*cima*coupl(nGC_145)** &
                        2d0*coupl(nGC_4)*coupl(nGC_86) + 6d0*cima*coupl(nGC_47 &
                        )*coupl(nGC_77) + 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(&
                        nGC_64) + 6d0*coupl(nGC_398)*coupl(nGC_47)*coupl(      &
                        nGC_746))/(48d0*pi**2d0)
      coupl(nGC_9565) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_126)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_132)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_128)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_143)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_149)**2d0*coupl(nGC_2)**2d0 - 2d0*cima* &
                        coupl(nGC_135)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_138)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_147)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_47)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_47) + coupl(&
                        nGC_47)*coupl(nGC_746)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9560) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_124)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_127)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_130)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_139)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_148)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(nGC_2) +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)**2d0*coupl(    &
                        nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)**2d0* &
                        coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139  &
                        )**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_142)**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_148)**2d0*coupl(nGC_2) - 4d0*Nc*cima*coupl(  &
                        nGC_124)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_127)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_130)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_139)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_142)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_148)**2d0*coupl(nGC_2)**2d0 - 4d0*cima*coupl(      &
                        nGC_133)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_136)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_145)**2d0*coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_47&
                        )*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_47) + &
                        3d0*coupl(nGC_47)*coupl(nGC_746)**2d0)/(24d0*pi**2d0)
      coupl(nGC_9445) = coupl(nGC_19)**2d0*coupl(nGC_574)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9444) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_574) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_131)*coupl(  &
                        nGC_132)**2d0 - coupl(nGC_131)*coupl(nGC_574)**2d0 +   &
                        8d0*coupl(nGC_574)*coupl(nGC_78)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_9446) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_131) - coupl(nGC_130)*&
                        coupl(nGC_1446)*coupl(nGC_148) - coupl(nGC_131)**2d0*  &
                        coupl(nGC_574) + 8d0*coupl(nGC_131)*coupl(nGC_78)*coupl&
                        (nGC_82) - coupl(nGC_132)**2d0*coupl(nGC_574))/(32d0*pi&
                        **2d0)
      coupl(nGC_9441) = coupl(nGC_19)**2d0*coupl(nGC_506)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9440) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_140) - coupl(&
                        nGC_128)**2d0*coupl(nGC_129) - coupl(nGC_129)*coupl(   &
                        nGC_506)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_506) + &
                        8d0*coupl(nGC_506)*coupl(nGC_79)*coupl(nGC_83))/(32d0* &
                        pi**2d0)
      coupl(nGC_9569) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_132)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)* &
                        coupl(nGC_2)*coupl(nGC_62) + cima*coupl(nGC_133)*coupl(&
                        nGC_135)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(      &
                        nGC_136)*coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_14)*coupl(nGC_74) + cima*coupl(     &
                        nGC_145)*coupl(nGC_147)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_3140)*coupl(nGC_69) + 6d0*coupl(    &
                        nGC_14)*coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)* &
                        coupl(nGC_4)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_16753) = coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
      coupl(nGC_15993) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_15992) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_9690) = coupl(nGC_9222)*dytau_QED3
      coupl(nGC_9691) = coupl(nGC_9208)*dye_QED3
      coupl(nGC_9692) = coupl(nGC_9213)*dym_QED3
      coupl(nGC_9693) = coupl(nGC_9317)*dytau_QED3
      coupl(nGC_9694) = coupl(nGC_9227)*dyup_QED1_QCD2
      coupl(nGC_9695) = coupl(nGC_9227)*dyup_QED3
      coupl(nGC_9698) = coupl(nGC_9221)*dyt_QED1_QCD2
      coupl(nGC_9699) = coupl(nGC_9221)*dyt_QED3
      coupl(nGC_9360) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_9361) = cima*sq2**2d0*(Nc*coupl(nGC_1160)**2d0 - 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9362) = -Nc*cima*coupl(nGC_1160)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_14706) = coupl(nGC_9766) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_9365) = cima*coupl(nGC_1160)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_9367) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_9368) = cima*(-coupl(nGC_62)**2d0 - coupl(nGC_86)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_9369) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_14879) = coupl(nGC_14873) + coupl(nGC_9755)
      coupl(nGC_15098) = coupl(nGC_14145) + coupl(nGC_15095)
      coupl(nGC_15099) = coupl(nGC_14145) + coupl(nGC_15097)
      coupl(nGC_9593) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_124)**2d0 &
                         - coupl(nGC_127)**2d0 - coupl(nGC_130)**2d0 - coupl(  &
                        nGC_139)**2d0 - coupl(nGC_142)**2d0 - coupl(nGC_148)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9592) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_124)**2d0  &
                         + coupl(nGC_127)**2d0 + coupl(nGC_130)**2d0 + coupl(  &
                        nGC_139)**2d0 + coupl(nGC_142)**2d0 + coupl(nGC_148)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9591) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl( &
                        nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) +  &
                        5d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*&
                        coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)* &
                        coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima* &
                        coupl(nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(     &
                        nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(&
                        nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_652)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_398)*coupl(nGC_64&
                        ) + 6d0*coupl(nGC_3)*coupl(nGC_398)*coupl(nGC_69))/(   &
                        48d0*pi**2d0)
      coupl(nGC_9590) = (Nc*cima*coupl(nGC_1)*coupl(nGC_78)**3d0 + Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_82)**3d0 + Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_79)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_83 &
                        )**3d0 - 2d0*cima*coupl(nGC_3)*coupl(nGC_64)**3d0 - 2d0&
                        *cima*coupl(nGC_398)**3d0*coupl(nGC_746) + cima*coupl( &
                        nGC_4)*coupl(nGC_80)**3d0 + cima*coupl(nGC_4)*coupl(   &
                        nGC_85)**3d0 + cima*coupl(nGC_56)*coupl(nGC_77) + coupl&
                        (nGC_3)*coupl(nGC_56)*coupl(nGC_64) + coupl(nGC_398)** &
                        2d0*coupl(nGC_77) + coupl(nGC_398)*coupl(nGC_56)*coupl(&
                        nGC_746) + coupl(nGC_64)**2d0*coupl(nGC_77))/(8d0*pi** &
                        2d0)
      coupl(nGC_9625) = (-cima*coupl(nGC_1160)**4d0*sq2**4d0 + cima*coupl(     &
                        nGC_1562)**2d0 - 2d0*coupl(nGC_1160)**2d0*coupl(       &
                        nGC_1562)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_9624) = (Nc*cima*coupl(nGC_1160)**4d0*sq2**4d0 - Nc*cima*coupl(&
                        nGC_1562)*coupl(nGC_1570) - Nc*cima*coupl(nGC_1562)*   &
                        coupl(nGC_20) + Nc*coupl(nGC_1160)**2d0*coupl(nGC_1562 &
                        )*sq2**2d0 + Nc*coupl(nGC_1160)**2d0*coupl(nGC_1570)*  &
                        sq2**2d0 + Nc*coupl(nGC_1160)**2d0*coupl(nGC_20)*sq2** &
                        2d0 - cima*coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_9627) = (-Nc*cima*coupl(nGC_1160)**4d0*sq2**4d0 + 6d0*Nc*cima* &
                        coupl(nGC_1570)*coupl(nGC_20) - 3d0*Nc*coupl(nGC_1160  &
                        )**2d0*coupl(nGC_1570)*sq2**2d0 - 3d0*Nc*coupl(nGC_1160&
                        )**2d0*coupl(nGC_20)*sq2**2d0 + 9d0*cima*coupl(nGC_19  &
                        )**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_9626) = (-cima*coupl(nGC_1160)**4d0*sq2**4d0 + cima*coupl(     &
                        nGC_1570)**2d0 + 2d0*cima*coupl(nGC_1570)*coupl(nGC_20 &
                        ) + cima*coupl(nGC_20)**2d0 - 2d0*coupl(nGC_1160)**2d0*&
                        coupl(nGC_1570)*sq2**2d0 - 2d0*coupl(nGC_1160)**2d0*   &
                        coupl(nGC_20)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_9621) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl&
                        (nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_9620) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_78) -     &
                        coupl(nGC_79) - coupl(nGC_82) - coupl(nGC_83))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_9471) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_78)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_78)*coupl(nGC_82) - 2d0* &
                        Nc*cMB*coupl(nGC_126)*coupl(nGC_82)**2d0 - 2d0*Nc*cMC* &
                        coupl(nGC_128)*coupl(nGC_79)**2d0 + 2d0*Nc*cMC*coupl(  &
                        nGC_128)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMC*coupl&
                        (nGC_128)*coupl(nGC_83)**2d0 - 2d0*Nc*cMD*coupl(nGC_132&
                        )*coupl(nGC_78)**2d0 + 2d0*Nc*cMD*coupl(nGC_132)*coupl(&
                        nGC_78)*coupl(nGC_82) - 2d0*Nc*cMD*coupl(nGC_132)*coupl&
                        (nGC_82)**2d0 - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78 &
                        )**2d0 + 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)*coupl(&
                        nGC_82) - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_82)**2d0 &
                         - 2d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_79)**2d0 + 2d0* &
                        Nc*cMT*coupl(nGC_143)*coupl(nGC_79)*coupl(nGC_83) - 2d0&
                        *Nc*cMT*coupl(nGC_143)*coupl(nGC_83)**2d0 - 2d0*Nc*cMU*&
                        coupl(nGC_149)*coupl(nGC_79)**2d0 + 2d0*Nc*cMU*coupl(  &
                        nGC_149)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMU*coupl&
                        (nGC_149)*coupl(nGC_83)**2d0 - 2d0*cME*coupl(nGC_135)* &
                        coupl(nGC_80)**2d0 + 2d0*cME*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 2d0*cME*coupl(nGC_135)*coupl(  &
                        nGC_85)**2d0 - 2d0*cMM*coupl(nGC_138)*coupl(nGC_80)**  &
                        2d0 + 2d0*cMM*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_85&
                        ) - 2d0*cMM*coupl(nGC_138)*coupl(nGC_85)**2d0 - 2d0*   &
                        cMTA*coupl(nGC_147)*coupl(nGC_80)**2d0 + 2d0*cMTA*coupl&
                        (nGC_147)*coupl(nGC_80)*coupl(nGC_85) - 2d0*cMTA*coupl(&
                        nGC_147)*coupl(nGC_85)**2d0 + cima*coupl(nGC_107)*coupl&
                        (nGC_56) + coupl(nGC_107)*coupl(nGC_398)**2d0 + coupl( &
                        nGC_107)*coupl(nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_14178) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_14179) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_9628) = (-Nc*cima*coupl(nGC_1160)**4d0*sq2**4d0 + 3d0*Nc*cima* &
                        coupl(nGC_1570)**2d0 + 3d0*Nc*cima*coupl(nGC_20)**2d0  &
                         - 6d0*Nc*coupl(nGC_1160)**2d0*coupl(nGC_20)*sq2**2d0  &
                         + 9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0&
                        )
      coupl(nGC_9473) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl(&
                        nGC_128)**3d0 - coupl(nGC_128)*coupl(nGC_129)**2d0 +   &
                        8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_128)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_14777) = coupl(nGC_143)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_14778) = coupl(nGC_143)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_14779) = coupl(nGC_14778) + coupl(nGC_9704)
      coupl(nGC_9744) = coupl(nGC_9267)*dZee_QED2 + coupl(nGC_9268)*dsw_QED2 + &
                        coupl(nGC_9269)*dcw_QED2
      coupl(nGC_9742) = coupl(nGC_9258)*dZee_QED2 + coupl(nGC_9259)*dsw_QED2 + &
                        coupl(nGC_9260)*dcw_QED2
      coupl(nGC_9743) = coupl(nGC_9108)*dZee_QED2 + coupl(nGC_9109)*dsw_QED2 + &
                        coupl(nGC_9110)*dcw_QED2
      coupl(nGC_9740) = coupl(nGC_9307)*dZee_QED2 + coupl(nGC_9308)*dsw_QED2 + &
                        coupl(nGC_9309)*dcw_QED2
      coupl(nGC_9475) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_132)**3d0 -  &
                        coupl(nGC_132)*coupl(nGC_574)**2d0 + 8d0*coupl(nGC_132 &
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_14050) = coupl(nGC_15)*dZH_QED2/2d0 + coupl(nGC_9637)
      coupl(nGC_14053) = coupl(nGC_62)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_14057) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_9652)
      coupl(nGC_14194) = coupl(nGC_9765) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_14110) = coupl(nGC_49)*dZWMinus_QED2 + coupl(nGC_9716)
      coupl(nGC_16014) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/&
                         2d0
      coupl(nGC_9646) = coupl(nGC_9120)*dZee_QED2 + coupl(nGC_9121)*dcw_QED2 + &
                        coupl(nGC_9122)*dvev_QED1
      coupl(nGC_14510) = coupl(nGC_6)*dZA_QED2/2d0 + coupl(nGC_65)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9654)
      coupl(nGC_18819) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_16207) = coupl(nGC_82)*dZsL_QCD2
      coupl(nGC_9528) = (coupl(nGC_130)**2d0*coupl(nGC_78) + coupl(nGC_1446)*  &
                        coupl(nGC_150)*coupl(nGC_79) + coupl(nGC_149)**2d0*    &
                        coupl(nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) +  &
                        2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62&
                        )**2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9529) = (coupl(nGC_1446)*coupl(nGC_150)*coupl(nGC_83) + coupl( &
                        nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_149)**2d0*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9522) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_127)**&
                        2d0*coupl(nGC_79) + coupl(nGC_140)*coupl(nGC_308)*coupl&
                        (nGC_78) + coupl(nGC_141)**2d0*coupl(nGC_78) + 2d0*    &
                        coupl(nGC_398)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**&
                        2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_126)**2d0 &
                         - coupl(nGC_128)**2d0 - coupl(nGC_132)**2d0 - coupl(  &
                        nGC_141)**2d0 - coupl(nGC_143)**2d0 - coupl(nGC_149)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_9520) = (coupl(nGC_133)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9521) = (coupl(nGC_145)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9526) = (coupl(nGC_1048)*coupl(nGC_146)*coupl(nGC_85) + coupl( &
                        nGC_145)**2d0*coupl(nGC_86) + coupl(nGC_147)**2d0*coupl&
                        (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*  &
                        coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9527) = (coupl(nGC_1048)*coupl(nGC_146)*coupl(nGC_80) + coupl( &
                        nGC_147)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_21778) = -coupl(nGC_9406)
      coupl(nGC_14358) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9661)
      coupl(nGC_14290) = coupl(nGC_60)*dZH_QED2/2d0 + coupl(nGC_60)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_9711)
      coupl(nGC_14420) = coupl(nGC_124)*dZbR_QED2/2d0 + coupl(nGC_124)*        &
                         dZtL_QED2/2d0 + coupl(nGC_9670)
      coupl(nGC_14421) = coupl(nGC_142)*dZbL_QED2/2d0 + coupl(nGC_142)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9672)
      coupl(nGC_9622) = cima*sq2**4d0*(-Nc*coupl(nGC_1160)**4d0 - 15d0*coupl(  &
                        nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_14357) = coupl(nGC_130)*dZdR_QCD2/2d0 + coupl(nGC_130)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9663)
      coupl(nGC_9575) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*&
                        coupl(nGC_83) - 15d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62 &
                        )**2d0*coupl(nGC_82) + 18d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_62)**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_398)*coupl(nGC_63)*coupl(nGC_64) - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_746  &
                        ) + 18d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) - 15d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0*   &
                        coupl(nGC_86) + 6d0*cima*coupl(nGC_470)*coupl(nGC_77   &
                        ) + 6d0*coupl(nGC_3)*coupl(nGC_470)*coupl(nGC_64) + 6d0&
                        *coupl(nGC_398)*coupl(nGC_470)*coupl(nGC_746) + 6d0*   &
                        coupl(nGC_398)*coupl(nGC_63)*coupl(nGC_77) + 6d0*coupl(&
                        nGC_4)*coupl(nGC_746)*coupl(nGC_77))/(48d0*pi**2d0)
      coupl(nGC_9416) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl( &
                        nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127 &
                        )*coupl(nGC_308)*coupl(nGC_506) + 8d0*coupl(nGC_139)*  &
                        coupl(nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9417) = coupl(nGC_139)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9414) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(    &
                        nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_129 &
                        )*coupl(nGC_139)*coupl(nGC_140))/(32d0*pi**2d0)
      coupl(nGC_9412) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_124)*coupl(nGC_125)*coupl(nGC_144) - coupl(nGC_124 &
                        )*coupl(nGC_126)*coupl(nGC_143) + 8d0*coupl(nGC_142)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9413) = coupl(nGC_142)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_19518) = 3d0*coupl(nGC_18)*dZg_QCD2/2d0 + coupl(nGC_9658)
      coupl(nGC_9418) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_132)*coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_1446&
                        )*coupl(nGC_148)*coupl(nGC_574))/(32d0*pi**2d0)
      coupl(nGC_9419) = coupl(nGC_130)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9559) = sq2**3d0*(Nc*cima*coupl(nGC_1160)**3d0 - 12d0*coupl(   &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_9558) = sq2**3d0*(-Nc*cima*coupl(nGC_1160)**3d0 + 12d0*coupl(  &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_9557) = coupl(nGC_19)*sq2*(coupl(nGC_1446)*coupl(nGC_150) +    &
                        coupl(nGC_148)**2d0 + coupl(nGC_149)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9556) = coupl(nGC_19)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_1446&
                        )*coupl(nGC_150) + coupl(nGC_149)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9555) = coupl(nGC_19)*sq2*(-coupl(nGC_1446)*coupl(nGC_150) -   &
                        coupl(nGC_148)**2d0 - coupl(nGC_149)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9554) = coupl(nGC_19)*sq2*(-coupl(nGC_130)**2d0 - coupl(       &
                        nGC_1446)*coupl(nGC_150) - coupl(nGC_149)**2d0 - 4d0*  &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(&
                        nGC_83)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_15057) = coupl(nGC_79)*dZtR_QCD2
      coupl(nGC_15054) = coupl(nGC_83)*dZtL_QCD2
      coupl(nGC_15058) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZtL_QED2  &
                          + coupl(nGC_9740)
      coupl(nGC_9388) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*  &
                        coupl(nGC_574) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_148)**2d0*&
                        coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                        2d0*coupl(nGC_62)**2d0*coupl(nGC_746))/(32d0*pi**2d0)
      coupl(nGC_9389) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*  &
                        coupl(nGC_574) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_130)**2d0*&
                        coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_9386) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_62)**2d0 - 3d0*Nc*coupl(&
                        nGC_2)*coupl(nGC_62)**2d0 - coupl(nGC_3)*coupl(nGC_398 &
                        )*coupl(nGC_63) - coupl(nGC_3)*coupl(nGC_4)*coupl(     &
                        nGC_746) + 3d0*coupl(nGC_4)*coupl(nGC_62)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_9387) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_126) - 2d0*Nc*&
                        cMC*coupl(nGC_128)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_132) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_141) - 2d0*Nc*cMT*coupl(nGC_143)*coupl(  &
                        nGC_2)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_2)** &
                        2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_4)**2d0 - 2d0*  &
                        cMM*coupl(nGC_138)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl( &
                        nGC_147)*coupl(nGC_4)**2d0 + cima*coupl(nGC_107)*coupl(&
                        nGC_9) + coupl(nGC_107)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_107)*coupl(nGC_746)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9384) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD&
                        *coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*  &
                        coupl(nGC_110)*coupl(nGC_3140) + 2d0*cima*coupl(nGC_74 &
                        )*coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl&
                        (nGC_746) + 2d0*coupl(nGC_64)*coupl(nGC_746)*coupl(    &
                        nGC_99))/(16d0*pi**2d0)
      coupl(nGC_9385) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_82) - Nc*cMC&
                        *coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMC*   &
                        coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMD*    &
                        coupl(nGC_1)*coupl(nGC_132)*coupl(nGC_78) - Nc*cMD*    &
                        coupl(nGC_1)*coupl(nGC_132)*coupl(nGC_82) - Nc*cMS*    &
                        coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_78) - Nc*cMS*    &
                        coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_82) - Nc*cMT*    &
                        coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMT*    &
                        coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMU*    &
                        coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMU*    &
                        coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_83) - cME*coupl( &
                        nGC_135)*coupl(nGC_4)*coupl(nGC_80) - cME*coupl(nGC_135&
                        )*coupl(nGC_4)*coupl(nGC_85) - cMM*coupl(nGC_138)*coupl&
                        (nGC_4)*coupl(nGC_80) - cMM*coupl(nGC_138)*coupl(nGC_4 &
                        )*coupl(nGC_85) - cMTA*coupl(nGC_147)*coupl(nGC_4)*    &
                        coupl(nGC_80) - cMTA*coupl(nGC_147)*coupl(nGC_4)*coupl(&
                        nGC_85) + cima*coupl(nGC_107)*coupl(nGC_77) + coupl(   &
                        nGC_107)*coupl(nGC_3)*coupl(nGC_64) + coupl(nGC_107)*  &
                        coupl(nGC_398)*coupl(nGC_746))/(8d0*pi**2d0)
      coupl(nGC_9382) = (Nc*coupl(nGC_1)*coupl(nGC_124)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_127)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_130)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_139)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_142)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_148)**2d0 - Nc*coupl(nGC_124)**2d0*coupl(nGC_2) -  &
                        Nc*coupl(nGC_127)**2d0*coupl(nGC_2) - Nc*coupl(nGC_130 &
                        )**2d0*coupl(nGC_2) - Nc*coupl(nGC_139)**2d0*coupl(    &
                        nGC_2) - Nc*coupl(nGC_142)**2d0*coupl(nGC_2) - Nc*coupl&
                        (nGC_148)**2d0*coupl(nGC_2) + coupl(nGC_133)**2d0*coupl&
                        (nGC_4) + coupl(nGC_136)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_145)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_9383) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD&
                        *coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*  &
                        coupl(nGC_110)*coupl(nGC_3140) + 2d0*cima*coupl(nGC_74 &
                        )*coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl&
                        (nGC_4) + 2d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_99  &
                        ))/(16d0*pi**2d0)
      coupl(nGC_15808) = coupl(nGC_83)*dZuL_QCD2
      coupl(nGC_15805) = coupl(nGC_79)*dZuR_QCD2
      coupl(nGC_15335) = coupl(nGC_14145) + coupl(nGC_15331)
      coupl(nGC_9700) = coupl(nGC_9223)*dyup_QED1_QCD2
      coupl(nGC_9701) = coupl(nGC_9223)*dyup_QED3
      coupl(nGC_9707) = coupl(nGC_9228)*dZee_QED2 + coupl(nGC_9229)*dsw_QED2 + &
                        coupl(nGC_9230)*dcw_QED2
      coupl(nGC_14633) = coupl(nGC_56)*dZWMinus_QED2 + coupl(nGC_56)*dZZ_QED2  &
                          + coupl(nGC_9734)
      coupl(nGC_17551) = coupl(nGC_17545) + coupl(nGC_9757)
      coupl(nGC_14880) = coupl(nGC_14874) + coupl(nGC_9756)
      coupl(nGC_9709) = coupl(nGC_9154)*dsw_QED2 + coupl(nGC_9155)*dZee_QED2 + &
                        coupl(nGC_9156)*dvev_QED1
      coupl(nGC_15606) = coupl(nGC_135)*dZH_QED2/2d0 + coupl(nGC_9691)
      coupl(nGC_15422) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_15421) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_14128) = coupl(nGC_128)*dZH_QED2/2d0 + coupl(nGC_9703)
      coupl(nGC_14084) = coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                         /2d0 + coupl(nGC_75)*dZZA_QED2/2d0 + coupl(nGC_9706)
      coupl(nGC_14088) = -coupl(nGC_14087) - coupl(nGC_9689)
      coupl(nGC_14089) = coupl(nGC_14087) + coupl(nGC_9689)
      coupl(nGC_14127) = coupl(nGC_14126) + coupl(nGC_9702)
      coupl(nGC_13963) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_57)*dZZA_QED2/&
                         2d0 + coupl(nGC_76)*dZA_QED2/2d0 + coupl(nGC_76)*     &
                         dZZ_QED2/2d0 + coupl(nGC_9718)
      coupl(nGC_9678) = coupl(nGC_9197)*dyb_QED3
      coupl(nGC_9679) = coupl(nGC_9205)*dydo_QED1_QCD2
      coupl(nGC_9676) = coupl(nGC_9217)*dys_QED3
      coupl(nGC_9677) = coupl(nGC_9197)*dyb_QED1_QCD2
      coupl(nGC_9675) = coupl(nGC_9217)*dys_QED1_QCD2
      coupl(nGC_14069) = coupl(nGC_70)*dZH_QED2/2d0 + coupl(nGC_9645)
      coupl(nGC_14302) = coupl(nGC_57)*dZWMinus_QED2 + coupl(nGC_9717)
      coupl(nGC_9680) = coupl(nGC_9205)*dydo_QED3
      coupl(nGC_14309) = coupl(nGC_82)*dZdL_QCD2
      coupl(nGC_14062) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2&
                          + coupl(nGC_64)*dZZA_QED2/2d0 + coupl(nGC_9712)
      coupl(nGC_14063) = -coupl(nGC_14062)
      coupl(nGC_14019) = coupl(nGC_54)*dZZA_QED2/2d0 + coupl(nGC_75)*dZA_QED2/ &
                         2d0 + coupl(nGC_75)*dZWMinus_QED2/2d0 + coupl(nGC_9707&
                         )
      coupl(nGC_16299) = coupl(nGC_133)*dZeMinusR_QED2/2d0 + coupl(nGC_133)*   &
                         dZnu_eL_QED2/2d0 + coupl(nGC_9685)
      coupl(nGC_14542) = coupl(nGC_14145) + coupl(nGC_14539)
      coupl(nGC_18823) = coupl(nGC_18819) + coupl(nGC_9759)
      coupl(nGC_14011) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_9655)
      coupl(nGC_17837) = coupl(nGC_107)*dZH_QED2/2d0 + coupl(nGC_107)*         &
                         dZWMinus_QED2 + coupl(nGC_9719)
      coupl(nGC_14013) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_80)*        &
                         dZZA_QED2/2d0
      coupl(nGC_14012) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_85)*        &
                         dZZA_QED2/2d0
      coupl(nGC_9513) = (coupl(nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_137)*   &
                        coupl(nGC_85)*coupl(nGC_922) + coupl(nGC_138)**2d0*    &
                        coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +  &
                        4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9512) = coupl(nGC_19)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9458) = (-coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_1832) - coupl&
                        (nGC_143)**2d0*coupl(nGC_248) - coupl(nGC_144)**2d0*   &
                        coupl(nGC_248) + 8d0*coupl(nGC_144)*coupl(nGC_2)**2d0  &
                         + 8d0*coupl(nGC_144)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_9459) = coupl(nGC_144)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9517) = (coupl(nGC_133)**2d0*coupl(nGC_86) + coupl(nGC_134)*   &
                        coupl(nGC_674)*coupl(nGC_85) + coupl(nGC_135)**2d0*    &
                        coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +  &
                        4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9516) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_130)**&
                        2d0*coupl(nGC_83) + coupl(nGC_131)*coupl(nGC_574)*coupl&
                        (nGC_82) + coupl(nGC_132)**2d0*coupl(nGC_82) + 4d0*    &
                        coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9515) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_131)* &
                        coupl(nGC_574)*coupl(nGC_78) + coupl(nGC_132)**2d0*    &
                        coupl(nGC_78) + coupl(nGC_148)**2d0*coupl(nGC_79) + 2d0&
                        *coupl(nGC_398)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9514) = (coupl(nGC_137)*coupl(nGC_80)*coupl(nGC_922) + coupl(  &
                        nGC_138)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9452) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_308) - coupl(nGC_127)*&
                        coupl(nGC_129)*coupl(nGC_139) - coupl(nGC_140)*coupl(  &
                        nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_308)**2d0 +   &
                        8d0*coupl(nGC_308)*coupl(nGC_78)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_9453) = coupl(nGC_19)**2d0*coupl(nGC_308)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9519) = (coupl(nGC_136)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(   &
                        nGC_85) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
