!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_9451) = (-coupl(nGC_137)*coupl(nGC_138)**2d0 - coupl(nGC_137)* &
                        coupl(nGC_922)**2d0 + 8d0*coupl(nGC_4)**2d0*coupl(     &
                        nGC_922) + 8d0*coupl(nGC_80)*coupl(nGC_85)*coupl(      &
                        nGC_922))/(32d0*pi**2d0)
      coupl(nGC_9456) = (-coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142) - coupl(&
                        nGC_143)**2d0*coupl(nGC_144) - coupl(nGC_144)*coupl(   &
                        nGC_248)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_248) + &
                        8d0*coupl(nGC_248)*coupl(nGC_79)*coupl(nGC_83))/(32d0* &
                        pi**2d0)
      coupl(nGC_9457) = coupl(nGC_19)**2d0*coupl(nGC_248)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9454) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_127)*&
                        coupl(nGC_139)*coupl(nGC_506) - coupl(nGC_140)**2d0*   &
                        coupl(nGC_308) + 8d0*coupl(nGC_140)*coupl(nGC_78)*coupl&
                        (nGC_82) - coupl(nGC_141)**2d0*coupl(nGC_308))/(32d0*pi&
                        **2d0)
      coupl(nGC_9455) = coupl(nGC_140)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14905) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*           &
                         dZtauMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_9340) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_126)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_132)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_141)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_143)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_149)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_135)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_138)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_147 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_47) - cMZ**2d0*coupl(  &
                        nGC_96) + 2d0*cima*coupl(nGC_107)**2d0 + cima*coupl(   &
                        nGC_123)**2d0)/(16d0*pi**2d0)
      coupl(nGC_14268) = -coupl(nGC_14265) - coupl(nGC_9696)
      coupl(nGC_15204) = coupl(nGC_93)*dZH_QED2 + coupl(nGC_9632)
      coupl(nGC_14266) = -coupl(nGC_14264) - coupl(nGC_9697)
      coupl(nGC_14267) = coupl(nGC_14264) + coupl(nGC_9697)
      coupl(nGC_9329) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_9373) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(   &
                        nGC_85))/(8d0*pi**2d0)
      coupl(nGC_17162) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_9376) = (coupl(nGC_1)*coupl(nGC_139)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_128)**2d0*coupl(nGC_2   &
                        ) + coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_506) + 4d0*  &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_23299) = -coupl(nGC_9559)
      coupl(nGC_9359) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_62)**2d0 + coupl(  &
                        nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9358) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_9429) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc&
                        *cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*  &
                        cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC&
                        *coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*  &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*   &
                        coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*   &
                        coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*   &
                        coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*   &
                        coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*   &
                        coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(&
                        nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(      &
                        nGC_133)*coupl(nGC_62)*coupl(nGC_86) + cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_80) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_85) - cMM*coupl(      &
                        nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(     &
                        nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl( &
                        nGC_110)*coupl(nGC_652) + 2d0*cima*coupl(nGC_55)*coupl(&
                        nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_398&
                        ) + 2d0*coupl(nGC_398)*coupl(nGC_64)*coupl(nGC_99))/(  &
                        16d0*pi**2d0)
      coupl(nGC_9428) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_124)*coupl(nGC_126)*coupl(nGC_143) - coupl(nGC_124 &
                        )*coupl(nGC_1832)*coupl(nGC_248) + 8d0*coupl(nGC_142)* &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9355) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_9354) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9425) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_1832) - Nc* &
                        coupl(nGC_127)*coupl(nGC_129) + Nc*coupl(nGC_130)*coupl&
                        (nGC_574) + Nc*coupl(nGC_139)*coupl(nGC_308) - Nc*coupl&
                        (nGC_142)*coupl(nGC_144) - Nc*coupl(nGC_148)*coupl(    &
                        nGC_150) + coupl(nGC_1048)*coupl(nGC_145) + coupl(     &
                        nGC_133)*coupl(nGC_674) + coupl(nGC_136)*coupl(nGC_922 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9424) = coupl(nGC_145)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_9423) = coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_9422) = coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_9353) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_62)**2d0 - coupl( &
                        nGC_83)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9420) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl( &
                        nGC_130)*coupl(nGC_131)*coupl(nGC_150) - coupl(nGC_130 &
                        )*coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9589) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_1832)*coupl(     &
                        nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*    &
                        coupl(nGC_1832)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*  &
                        cima*coupl(nGC_124)*coupl(nGC_1832)*coupl(nGC_62)*coupl&
                        (nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129)*  &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_129)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_574)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_574)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_574)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_308)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_308)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_308)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_144)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_150)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*cima*coupl(nGC_1048)*coupl(nGC_145)*coupl&
                        (nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_1048)*coupl&
                        (nGC_145)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(&
                        nGC_1048)*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_86) + &
                        5d0*cima*coupl(nGC_133)*coupl(nGC_62)*coupl(nGC_674)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_62)* &
                        coupl(nGC_674)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*&
                        coupl(nGC_62)*coupl(nGC_674)*coupl(nGC_86) + 5d0*cima* &
                        coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_80)*coupl(      &
                        nGC_922) - 4d0*cima*coupl(nGC_136)*coupl(nGC_62)*coupl(&
                        nGC_85)*coupl(nGC_922) - 4d0*cima*coupl(nGC_136)*coupl(&
                        nGC_62)*coupl(nGC_86)*coupl(nGC_922) + 6d0*cima*coupl( &
                        nGC_16)*coupl(nGC_55) + 6d0*cima*coupl(nGC_652)*coupl( &
                        nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_398)*coupl(nGC_64&
                        ) + 6d0*coupl(nGC_3)*coupl(nGC_398)*coupl(nGC_72))/(   &
                        48d0*pi**2d0)
      coupl(nGC_9580) = cima*(5d0*Nc*coupl(nGC_124)**4d0 + 5d0*Nc*coupl(nGC_127&
                        )**4d0 + 5d0*Nc*coupl(nGC_130)**4d0 + 5d0*Nc*coupl(    &
                        nGC_139)**4d0 + 5d0*Nc*coupl(nGC_142)**4d0 + 5d0*Nc*   &
                        coupl(nGC_148)**4d0 + 3d0*coupl(nGC_10)**2d0 + 5d0*    &
                        coupl(nGC_133)**4d0 + 5d0*coupl(nGC_136)**4d0 + 5d0*   &
                        coupl(nGC_145)**4d0 + 6d0*coupl(nGC_47)**2d0 + 6d0*    &
                        coupl(nGC_90)**2d0 + 3d0*coupl(nGC_95)**2d0)/(24d0*pi**&
                        2d0)
      coupl(nGC_9581) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_125)*coupl(&
                        nGC_1832) + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_144)*&
                        coupl(nGC_248) + 10d0*Nc*coupl(nGC_124)*coupl(nGC_125)*&
                        coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_1832)*coupl(nGC_248) + 10d0*Nc&
                        *coupl(nGC_125)*coupl(nGC_142)**2d0*coupl(nGC_1832) +  &
                        10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_129)*coupl(      &
                        nGC_506) + 10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_140)* &
                        coupl(nGC_308) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_129)*&
                        coupl(nGC_139)*coupl(nGC_140) + 10d0*Nc*coupl(nGC_127)*&
                        coupl(nGC_139)*coupl(nGC_308)*coupl(nGC_506) + 10d0*Nc*&
                        coupl(nGC_129)*coupl(nGC_139)**2d0*coupl(nGC_506) +    &
                        10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(      &
                        nGC_574) + 10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_1446)*&
                        coupl(nGC_150) + 10d0*Nc*coupl(nGC_130)*coupl(nGC_131)*&
                        coupl(nGC_148)*coupl(nGC_150) + 10d0*Nc*coupl(nGC_130)*&
                        coupl(nGC_1446)*coupl(nGC_148)*coupl(nGC_574) + 10d0*Nc&
                        *coupl(nGC_131)*coupl(nGC_148)**2d0*coupl(nGC_574) +   &
                        10d0*Nc*coupl(nGC_139)**2d0*coupl(nGC_140)*coupl(      &
                        nGC_308) + 10d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_144)* &
                        coupl(nGC_248) + 10d0*Nc*coupl(nGC_1446)*coupl(nGC_148 &
                        )**2d0*coupl(nGC_150) + 10d0*coupl(nGC_1048)*coupl(    &
                        nGC_145)**2d0*coupl(nGC_146) + 12d0*coupl(nGC_13)*coupl&
                        (nGC_16) + 10d0*coupl(nGC_133)**2d0*coupl(nGC_134)*    &
                        coupl(nGC_674) + 10d0*coupl(nGC_136)**2d0*coupl(nGC_137&
                        )*coupl(nGC_922) + 6d0*coupl(nGC_47)**2d0 + 12d0*coupl(&
                        nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_95)*coupl(nGC_96 &
                        ))/(48d0*pi**2d0)
      coupl(nGC_9582) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_126)**2d0  &
                         + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_143)**2d0 +   &
                        20d0*Nc*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142)*  &
                        coupl(nGC_143) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(    &
                        nGC_142)**2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(     &
                        nGC_128)**2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(     &
                        nGC_141)**2d0 + 20d0*Nc*coupl(nGC_127)*coupl(nGC_128)* &
                        coupl(nGC_139)*coupl(nGC_141) + 10d0*Nc*coupl(nGC_128  &
                        )**2d0*coupl(nGC_139)**2d0 + 10d0*Nc*coupl(nGC_130)**  &
                        2d0*coupl(nGC_132)**2d0 + 10d0*Nc*coupl(nGC_130)**2d0* &
                        coupl(nGC_149)**2d0 + 20d0*Nc*coupl(nGC_130)*coupl(    &
                        nGC_132)*coupl(nGC_148)*coupl(nGC_149) + 10d0*Nc*coupl(&
                        nGC_132)**2d0*coupl(nGC_148)**2d0 + 10d0*Nc*coupl(     &
                        nGC_139)**2d0*coupl(nGC_141)**2d0 + 10d0*Nc*coupl(     &
                        nGC_142)**2d0*coupl(nGC_143)**2d0 + 10d0*Nc*coupl(     &
                        nGC_148)**2d0*coupl(nGC_149)**2d0 + 10d0*coupl(nGC_133 &
                        )**2d0*coupl(nGC_135)**2d0 + 10d0*coupl(nGC_136)**2d0* &
                        coupl(nGC_138)**2d0 + 12d0*coupl(nGC_14)**2d0 + 10d0*  &
                        coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl(   &
                        nGC_47)**2d0 + 12d0*coupl(nGC_69)**2d0 + 3d0*coupl(    &
                        nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_9584) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)**2d0 + &
                        5d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)*coupl(   &
                        nGC_83) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_83 &
                        )**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79  &
                        )**2d0 + 5d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)*&
                        coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl( &
                        nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(  &
                        nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(  &
                        nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_130)**2d0&
                        *coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0* &
                        coupl(nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_139)**2d0*  &
                        coupl(nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_139&
                        )**2d0*coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_142  &
                        )**2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_142  &
                        )**2d0*coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(&
                        nGC_142)**2d0*coupl(nGC_82)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_148)**2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(  &
                        nGC_148)**2d0*coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima&
                        *coupl(nGC_148)**2d0*coupl(nGC_82)**2d0 - 4d0*cima*    &
                        coupl(nGC_133)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl&
                        (nGC_133)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima* &
                        coupl(nGC_133)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*coupl&
                        (nGC_136)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl(    &
                        nGC_136)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima*  &
                        coupl(nGC_136)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*coupl&
                        (nGC_145)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl(    &
                        nGC_145)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima*  &
                        coupl(nGC_145)**2d0*coupl(nGC_86)**2d0 + 3d0*cima*coupl&
                        (nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_398)**2d0*coupl(&
                        nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_15788) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_9586) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                        )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(&
                        nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl( &
                        nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl( &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) +  &
                        5d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*  &
                        coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*&
                        coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)* &
                        coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima* &
                        coupl(nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima* &
                        coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(     &
                        nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(&
                        nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_652)*coupl( &
                        nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 6d0*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_69))/(48d0&
                        *pi**2d0)
      coupl(nGC_15462) = 2d0*coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
      coupl(nGC_14699) = coupl(nGC_125)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_14698) = coupl(nGC_125)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_16240) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_66)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9656)
      coupl(nGC_15313) = coupl(nGC_15310) + coupl(nGC_9690)
      coupl(nGC_9633) = coupl(nGC_9315)*dZee_QED2 + coupl(nGC_9316)*dcw_QED2
      coupl(nGC_9631) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_9634) = coupl(nGC_9303)*dZee_QED2 + coupl(nGC_9304)*dcw_QED2
      coupl(nGC_9635) = coupl(nGC_9301)*dZee_QED2
      coupl(nGC_14604) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*      &
                         dZZ_QED2/2d0 + coupl(nGC_68)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9634)
      coupl(nGC_9638) = coupl(nGC_9067)*dlam_QED4
      coupl(nGC_9639) = coupl(nGC_9066)*dlam_QED4
      coupl(nGC_9739) = coupl(nGC_9264)*dZee_QED2 + coupl(nGC_9265)*dsw_QED2 + &
                        coupl(nGC_9266)*dcw_QED2
      coupl(nGC_9738) = coupl(nGC_9305)*dZee_QED2 + coupl(nGC_9306)*dsw_QED2
      coupl(nGC_15266) = coupl(nGC_5)*dZA_QED2/2d0 + coupl(nGC_66)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9653)
      coupl(nGC_9733) = coupl(nGC_9240)*dZee_QED2 + coupl(nGC_9241)*dsw_QED2 + &
                        coupl(nGC_9242)*dcw_QED2
      coupl(nGC_9732) = coupl(nGC_9290)*dsw_QED2 + coupl(nGC_9291)*dZee_QED2 + &
                        coupl(nGC_9292)*dcw_QED2 + coupl(nGC_9293)*dvev_QED1
      coupl(nGC_9731) = coupl(nGC_9246)*dZee_QED2 + coupl(nGC_9247)*dsw_QED2 + &
                        coupl(nGC_9248)*dcw_QED2
      coupl(nGC_9730) = coupl(nGC_9249)*dZee_QED2 + coupl(nGC_9250)*dsw_QED2 + &
                        coupl(nGC_9251)*dcw_QED2
      coupl(nGC_9735) = coupl(nGC_9278)*dZee_QED2
      coupl(nGC_14026) = coupl(nGC_47)*dZH_QED2 + coupl(nGC_47)*dZWMinus_QED2  &
                          + coupl(nGC_9715)
      coupl(nGC_9421) = coupl(nGC_148)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14023) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_76)*dZZA_QED2 +    &
                         coupl(nGC_9652)
      coupl(nGC_14180) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_9735)
      coupl(nGC_14029) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_muL_QED2 + coupl(nGC_9743)
      coupl(nGC_18820) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_14014) = coupl(nGC_14011) + coupl(nGC_14013)
      coupl(nGC_18824) = coupl(nGC_18820) + coupl(nGC_9760)
      coupl(nGC_9647) = coupl(nGC_9283)*dsw_QED2 + coupl(nGC_9284)*dZee_QED2 + &
                        coupl(nGC_9285)*dcw_QED2 + coupl(nGC_9286)*dvev_QED1
      coupl(nGC_15171) = coupl(nGC_138)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_9644) = coupl(nGC_9074)*dZee_QED2 + coupl(nGC_9075)*dsw_QED2 + &
                        coupl(nGC_9076)*dcw_QED2
      coupl(nGC_9643) = coupl(nGC_9206)*dZee_QED2 + coupl(nGC_9207)*dsw_QED2
      coupl(nGC_9435) = (-Nc*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_78) + Nc* &
                        coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_82) + Nc*coupl(&
                        nGC_126)*coupl(nGC_1832)*coupl(nGC_78) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_1832)*coupl(nGC_82) - Nc*coupl(     &
                        nGC_128)*coupl(nGC_129)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_128)*coupl(nGC_129)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_128)*coupl(nGC_506)*coupl(nGC_79) - Nc*coupl(      &
                        nGC_128)*coupl(nGC_506)*coupl(nGC_83) - Nc*coupl(      &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_78) + Nc*coupl(      &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_82) + Nc*coupl(      &
                        nGC_132)*coupl(nGC_574)*coupl(nGC_78) - Nc*coupl(      &
                        nGC_132)*coupl(nGC_574)*coupl(nGC_82) - Nc*coupl(      &
                        nGC_140)*coupl(nGC_141)*coupl(nGC_78) + Nc*coupl(      &
                        nGC_140)*coupl(nGC_141)*coupl(nGC_82) + Nc*coupl(      &
                        nGC_141)*coupl(nGC_308)*coupl(nGC_78) - Nc*coupl(      &
                        nGC_141)*coupl(nGC_308)*coupl(nGC_82) - Nc*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_143)*coupl(nGC_248)*coupl(nGC_79) - Nc*coupl(      &
                        nGC_143)*coupl(nGC_248)*coupl(nGC_83) + Nc*coupl(      &
                        nGC_1446)*coupl(nGC_149)*coupl(nGC_79) - Nc*coupl(     &
                        nGC_1446)*coupl(nGC_149)*coupl(nGC_83) - Nc*coupl(     &
                        nGC_149)*coupl(nGC_150)*coupl(nGC_79) + Nc*coupl(      &
                        nGC_149)*coupl(nGC_150)*coupl(nGC_83) + coupl(nGC_1048 &
                        )*coupl(nGC_147)*coupl(nGC_80) - coupl(nGC_1048)*coupl(&
                        nGC_147)*coupl(nGC_85) - coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_80) + coupl(nGC_134)*coupl(nGC_135)*coupl(   &
                        nGC_85) + coupl(nGC_135)*coupl(nGC_674)*coupl(nGC_80   &
                        ) - coupl(nGC_135)*coupl(nGC_674)*coupl(nGC_85) - coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_80) + coupl(nGC_137 &
                        )*coupl(nGC_138)*coupl(nGC_85) + coupl(nGC_138)*coupl( &
                        nGC_80)*coupl(nGC_922) - coupl(nGC_138)*coupl(nGC_85)* &
                        coupl(nGC_922) - coupl(nGC_146)*coupl(nGC_147)*coupl(  &
                        nGC_80) + coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_85   &
                        ))/(24d0*pi**2d0)
      coupl(nGC_14119) = coupl(nGC_76)*dZWMinus_QED2 + coupl(nGC_9718)
      coupl(nGC_9649) = coupl(nGC_9288)*dlam_QED4 + coupl(nGC_9289)*dvev_QED1
      coupl(nGC_15172) = coupl(nGC_138)*dZH_QED2/2d0 + coupl(nGC_9692)
      coupl(nGC_14237) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_85)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9655)
      coupl(nGC_14238) = -coupl(nGC_14237)
      coupl(nGC_14333) = coupl(nGC_14145) + coupl(nGC_14330)
      coupl(nGC_14334) = coupl(nGC_14145) + coupl(nGC_14332)
      coupl(nGC_9347) = cima*(Nc*coupl(nGC_125)*coupl(nGC_1832) + Nc*coupl(    &
                        nGC_129)*coupl(nGC_506) + Nc*coupl(nGC_131)*coupl(     &
                        nGC_574) + Nc*coupl(nGC_140)*coupl(nGC_308) + Nc*coupl(&
                        nGC_144)*coupl(nGC_248) + Nc*coupl(nGC_1446)*coupl(    &
                        nGC_150) + coupl(nGC_1048)*coupl(nGC_146) + coupl(     &
                        nGC_134)*coupl(nGC_674) + coupl(nGC_137)*coupl(nGC_922 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_9344) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_82) - 3d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_79) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_83) - coupl(   &
                        nGC_3)*coupl(nGC_64) - coupl(nGC_398)*coupl(nGC_746) - &
                        3d0*coupl(nGC_4)*coupl(nGC_80) - 3d0*coupl(nGC_4)*coupl&
                        (nGC_85))/(48d0*pi**2d0)
      coupl(nGC_9345) = cima*(coupl(nGC_3)*coupl(nGC_64) + coupl(nGC_398)*coupl&
                        (nGC_746))/(48d0*pi**2d0)
      coupl(nGC_16783) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_16782) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_16029) = coupl(nGC_16025) + coupl(nGC_9761)
      coupl(nGC_16787) = coupl(nGC_16783) + coupl(nGC_9752)
      coupl(nGC_16786) = coupl(nGC_16782) + coupl(nGC_9751)
      coupl(nGC_14433) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_muL_QED2/2d0 &
                          + coupl(nGC_9738)
      coupl(nGC_16015) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/&
                         2d0
      coupl(nGC_9463) = coupl(nGC_1446)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9462) = (-coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148) - coupl(&
                        nGC_1446)**2d0*coupl(nGC_150) + 8d0*coupl(nGC_1446)*   &
                        coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1446)*coupl(nGC_79)* &
                        coupl(nGC_83) - coupl(nGC_149)**2d0*coupl(nGC_150))/(  &
                        32d0*pi**2d0)
      coupl(nGC_9461) = (-coupl(nGC_1048)**2d0*coupl(nGC_146) + 8d0*coupl(     &
                        nGC_1048)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_1048)*coupl&
                        (nGC_80)*coupl(nGC_85) - coupl(nGC_146)*coupl(nGC_147  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_9460) = (-coupl(nGC_1048)*coupl(nGC_146)**2d0 - coupl(nGC_1048 &
                        )*coupl(nGC_147)**2d0 + 8d0*coupl(nGC_146)*coupl(nGC_4 &
                        )**2d0 + 8d0*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_85 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_9467) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_62)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_128)*coupl(nGC_62)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_132)*coupl(nGC_62)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_141)*coupl(nGC_62)**2d0 - 2d0*Nc*cMT*coupl(nGC_143 &
                        )*coupl(nGC_62)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(&
                        nGC_62)**2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_62)**  &
                        2d0 - 2d0*cMM*coupl(nGC_138)*coupl(nGC_62)**2d0 - 2d0* &
                        cMTA*coupl(nGC_147)*coupl(nGC_62)**2d0 + 2d0*cima*coupl&
                        (nGC_107)*coupl(nGC_470) + cima*coupl(nGC_123)*coupl(  &
                        nGC_56) + 2d0*coupl(nGC_107)*coupl(nGC_398)*coupl(     &
                        nGC_63) + 2d0*coupl(nGC_107)*coupl(nGC_4)*coupl(nGC_746&
                        ) + 2d0*coupl(nGC_123)*coupl(nGC_2266)*coupl(nGC_64))/(&
                        16d0*pi**2d0)
      coupl(nGC_9466) = 3d0*(4d0*Nc*cMB*coupl(nGC_126)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_128)**3d0 + 4d0*Nc*cMD*coupl(nGC_132)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_141)**3d0 + 4d0*Nc*cMT*coupl(nGC_143)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_149)**3d0 + 4d0*cME*coupl(  &
                        nGC_135)**3d0 + 4d0*cMM*coupl(nGC_138)**3d0 + 4d0*cMTA*&
                        coupl(nGC_147)**3d0 + 2d0*cima*coupl(nGC_107)*coupl(   &
                        nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi**&
                        2d0)
      coupl(nGC_9464) = (-coupl(nGC_130)*coupl(nGC_148)*coupl(nGC_574) - coupl(&
                        nGC_1446)*coupl(nGC_149)**2d0 - coupl(nGC_1446)*coupl( &
                        nGC_150)**2d0 + 8d0*coupl(nGC_150)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_150)*coupl(nGC_79)*coupl(nGC_83))/(32d0* &
                        pi**2d0)
      coupl(nGC_9469) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_125)**2d0*   &
                        coupl(nGC_126) - coupl(nGC_126)**3d0 + 8d0*coupl(      &
                        nGC_126)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9468) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_126)**3d0 -  &
                        coupl(nGC_126)*coupl(nGC_1832)**2d0 + 8d0*coupl(nGC_126&
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9548) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_139)**2d0 + coupl(nGC_140)*coupl(nGC_308) + coupl( &
                        nGC_141)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9544) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_127)**2d0 - coupl(nGC_140)*coupl(nGC_308) - coupl( &
                        nGC_141)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9545) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_139)**2d0 - coupl(nGC_140)*coupl(nGC_308) - coupl( &
                        nGC_141)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_9547) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_127)**2d0 + coupl(nGC_140)*coupl(nGC_308) + coupl( &
                        nGC_141)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9540) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_131)*coupl(nGC_574) - coupl(nGC_132)**2d0 - coupl( &
                        nGC_148)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9511) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_124)**&
                        2d0*coupl(nGC_83) + coupl(nGC_125)*coupl(nGC_1832)*    &
                        coupl(nGC_82) + coupl(nGC_126)**2d0*coupl(nGC_82) + 4d0&
                        *coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9542) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_131)*coupl(nGC_574) + coupl(nGC_132)**2d0 + coupl( &
                        nGC_148)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9510) = coupl(nGC_19)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22076) = -coupl(nGC_9407)
      coupl(nGC_15312) = -coupl(nGC_15310) - coupl(nGC_9690)
      coupl(nGC_9450) = (-coupl(nGC_137)**2d0*coupl(nGC_922) + 8d0*coupl(      &
                        nGC_137)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_137)*coupl( &
                        nGC_80)*coupl(nGC_85) - coupl(nGC_138)**2d0*coupl(     &
                        nGC_922))/(32d0*pi**2d0)
      coupl(nGC_9518) = (coupl(nGC_134)*coupl(nGC_674)*coupl(nGC_80) + coupl(  &
                        nGC_135)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*   &
                        coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + &
                        4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_15380) = coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_9657)
      coupl(nGC_17524) = -coupl(nGC_17520) - coupl(nGC_9699)
      coupl(nGC_17525) = coupl(nGC_17520) + coupl(nGC_9699)
      coupl(nGC_14725) = coupl(nGC_139)*dZcL_QED2/2d0 + coupl(nGC_139)*        &
                         dZsR_QED2/2d0 + coupl(nGC_9666)
      coupl(nGC_14723) = coupl(nGC_139)*dZcL_QCD2/2d0 + coupl(nGC_139)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9665)
      coupl(nGC_14722) = coupl(nGC_127)*dZcR_QCD2/2d0 + coupl(nGC_127)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9667)
      coupl(nGC_17522) = -coupl(nGC_17521) - coupl(nGC_9698)
      coupl(nGC_17523) = coupl(nGC_17521) + coupl(nGC_9698)
      coupl(nGC_16213) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZsR_QED2  &
                          + coupl(nGC_9742)
      coupl(nGC_16212) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZsL_QED2  &
                          + coupl(nGC_9741)
      coupl(nGC_16215) = coupl(nGC_14303) + coupl(nGC_16212)
      coupl(nGC_16214) = coupl(nGC_14303) + coupl(nGC_16213)
      coupl(nGC_9611) = (-30d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(    &
                        nGC_1514)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(     &
                        nGC_1514)*coupl(nGC_2266)*coupl(nGC_3)*coupl(nGC_64) - &
                        8d0*cima*coupl(nGC_1514)*coupl(nGC_3)*coupl(nGC_4)*    &
                        coupl(nGC_746) - 8d0*cima*coupl(nGC_1514)*coupl(nGC_398&
                        )*coupl(nGC_4)*coupl(nGC_64) - 4d0*cima*coupl(nGC_2266 &
                        )**2d0*coupl(nGC_64)**2d0 - 8d0*cima*coupl(nGC_2266)*  &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_746) - 8d0*cima*  &
                        coupl(nGC_2266)*coupl(nGC_398)*coupl(nGC_63)*coupl(    &
                        nGC_64) - 4d0*cima*coupl(nGC_398)**2d0*coupl(nGC_63)** &
                        2d0 - 8d0*cima*coupl(nGC_398)*coupl(nGC_4)*coupl(nGC_63&
                        )*coupl(nGC_746) - 4d0*cima*coupl(nGC_4)**2d0*coupl(   &
                        nGC_746)**2d0 + 3d0*cima*coupl(nGC_51)**2d0 - 30d0*cima&
                        *coupl(nGC_62)**4d0 + 6d0*coupl(nGC_1514)*coupl(nGC_4)*&
                        coupl(nGC_51) + 6d0*coupl(nGC_2266)*coupl(nGC_51)*coupl&
                        (nGC_63) + 6d0*coupl(nGC_3)*coupl(nGC_51)*coupl(nGC_746&
                        ) + 6d0*coupl(nGC_398)*coupl(nGC_51)*coupl(nGC_64))/(  &
                        48d0*pi**2d0)
      coupl(nGC_14095) = coupl(nGC_66)*dZWMinus_QED2/2d0 + coupl(nGC_9656)
      coupl(nGC_14156) = coupl(nGC_50)*dZWMinus_QED2 + coupl(nGC_9713)
      coupl(nGC_13973) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_9736)
      coupl(nGC_14652) = coupl(nGC_6)*dZAZ_QED2/2d0 + coupl(nGC_65)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9657)
      coupl(nGC_14798) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_72)*dZA_QED2/ &
                         2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_9642&
                         )
      coupl(nGC_9608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_125)*coupl(&
                        nGC_1832) + coupl(nGC_129)*coupl(nGC_506) + coupl(     &
                        nGC_131)*coupl(nGC_574) + coupl(nGC_140)*coupl(nGC_308 &
                        ) + coupl(nGC_144)*coupl(nGC_248) + coupl(nGC_1446)*   &
                        coupl(nGC_150))/(16d0*pi**2d0*Nc)
      coupl(nGC_13975) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_13974) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_14792) = coupl(nGC_14788) + coupl(nGC_9675)
      coupl(nGC_14793) = -coupl(nGC_14787) - coupl(nGC_9676)
      coupl(nGC_9601) = -cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_14791) = -coupl(nGC_14788) - coupl(nGC_9675)
      coupl(nGC_9607) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_125)*coupl&
                        (nGC_1832) - coupl(nGC_129)*coupl(nGC_506) - coupl(    &
                        nGC_131)*coupl(nGC_574) - coupl(nGC_140)*coupl(nGC_308 &
                        ) - coupl(nGC_144)*coupl(nGC_248) - coupl(nGC_1446)*   &
                        coupl(nGC_150))/(16d0*pi**2d0)
      coupl(nGC_9606) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_78) - coupl(nGC_1)*coupl(nGC_82) - coupl(nGC_2)*   &
                        coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_83))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_14794) = coupl(nGC_14787) + coupl(nGC_9676)
      coupl(nGC_9604) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 +  &
                        9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(    &
                        nGC_83) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83  &
                        )**2d0 - 4d0*cima*coupl(nGC_398)*coupl(nGC_63)*coupl(  &
                        nGC_64)**2d0 - 4d0*cima*coupl(nGC_4)*coupl(nGC_64)**2d0&
                        *coupl(nGC_746) + 3d0*cima*coupl(nGC_55)**2d0 - 3d0*   &
                        cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0 + 9d0*cima* &
                        coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86) - 3d0*  &
                        cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0 + 3d0*cima* &
                        coupl(nGC_652)**2d0 + 3d0*coupl(nGC_398)*coupl(nGC_55)*&
                        coupl(nGC_64) + 3d0*coupl(nGC_4)*coupl(nGC_64)*coupl(  &
                        nGC_652) + 3d0*coupl(nGC_55)*coupl(nGC_63)*coupl(nGC_64&
                        ) + 3d0*coupl(nGC_64)*coupl(nGC_652)*coupl(nGC_746))/( &
                        24d0*pi**2d0)
      coupl(nGC_14374) = coupl(nGC_62)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_14375) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZbL_QED2/2d0 + coupl(nGC_62)*dZtL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_16851) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_16854) = coupl(nGC_14180) + coupl(nGC_16851)
      coupl(nGC_14072) = coupl(nGC_47)*dZWMinus_QED2 + coupl(nGC_9715)
      coupl(nGC_9577) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                        coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                        )**2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_62)**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_398)*coupl(nGC_63)*coupl(nGC_64) - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_746  &
                        ) + 6d0*cima*coupl(nGC_3140)*coupl(nGC_652) - 6d0*cima*&
                        coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) +   &
                        6d0*cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_3140)*coupl(nGC_398) + 6d0*coupl(nGC_3)*   &
                        coupl(nGC_4)*coupl(nGC_652) + 6d0*coupl(nGC_3)*coupl(  &
                        nGC_55)*coupl(nGC_63) + 6d0*coupl(nGC_398)*coupl(nGC_64&
                        )*coupl(nGC_74))/(48d0*pi**2d0)
      coupl(nGC_14982) = coupl(nGC_82)*dZbL_QCD2
      coupl(nGC_19749) = -coupl(nGC_19745)
      coupl(nGC_14987) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZbR_QED2  &
                          + coupl(nGC_9742)
      coupl(nGC_14986) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZbL_QED2  &
                          + coupl(nGC_9741)
      coupl(nGC_9523) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_139)**&
                        2d0*coupl(nGC_83) + coupl(nGC_140)*coupl(nGC_308)*coupl&
                        (nGC_82) + coupl(nGC_141)**2d0*coupl(nGC_82) + 4d0*    &
                        coupl(nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_14989) = coupl(nGC_14303) + coupl(nGC_14986)
      coupl(nGC_14988) = coupl(nGC_14303) + coupl(nGC_14987)
      coupl(nGC_14107) = -coupl(nGC_14106)
      coupl(nGC_18546) = 2d0*coupl(nGC_24)*dZH_QED2 + coupl(nGC_9638) + coupl( &
                         nGC_HHHH)
      coupl(nGC_14381) = coupl(nGC_62)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_14382) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZcL_QED2/2d0 + coupl(nGC_62)*dZsL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_14269) = coupl(nGC_14265) + coupl(nGC_9696)
      coupl(nGC_14543) = coupl(nGC_14145) + coupl(nGC_14541)
      coupl(nGC_9500) = coupl(nGC_62)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_398)*coupl(nGC_86) - coupl(nGC_64)*coupl(nGC_85) + &
                        2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9501) = coupl(nGC_62)*(-coupl(nGC_1)*coupl(nGC_1514) + 2d0*    &
                        coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_2)*coupl(nGC_4   &
                        ) - coupl(nGC_2266)*coupl(nGC_82) - coupl(nGC_63)*coupl&
                        (nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi** &
                        2d0)
      coupl(nGC_9502) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_4) + coupl(nGC_1514)*coupl(nGC_2) +   &
                        coupl(nGC_2266)*coupl(nGC_83) + coupl(nGC_63)*coupl(   &
                        nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9503) = coupl(nGC_62)*(-coupl(nGC_1514)*coupl(nGC_4) - coupl(  &
                        nGC_2266)*coupl(nGC_85) - coupl(nGC_63)*coupl(nGC_86   &
                        ) + 2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9504) = coupl(nGC_62)*(coupl(nGC_2266)*coupl(nGC_86) + coupl(  &
                        nGC_4)**2d0 + coupl(nGC_63)*coupl(nGC_85) + 2d0*coupl( &
                        nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9505) = (coupl(nGC_128)**2d0*coupl(nGC_79) + coupl(nGC_129)*   &
                        coupl(nGC_506)*coupl(nGC_79) + coupl(nGC_139)**2d0*    &
                        coupl(nGC_78) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) +  &
                        2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62&
                        )**2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9506) = coupl(nGC_19)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9507) = (coupl(nGC_127)**2d0*coupl(nGC_82) + coupl(nGC_128)**  &
                        2d0*coupl(nGC_83) + coupl(nGC_129)*coupl(nGC_506)*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9508) = coupl(nGC_19)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9509) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_125)* &
                        coupl(nGC_1832)*coupl(nGC_78) + coupl(nGC_126)**2d0*   &
                        coupl(nGC_78) + coupl(nGC_142)**2d0*coupl(nGC_79) + 2d0&
                        *coupl(nGC_398)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62  &
                        )**2d0*coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_15004) = coupl(nGC_14145) + coupl(nGC_15000)
      coupl(nGC_14015) = coupl(nGC_14011) + coupl(nGC_14012)
      coupl(nGC_15003) = coupl(nGC_14145) + coupl(nGC_14998)
      coupl(nGC_9614) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_78)**2d0 + &
                        coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_14780) = coupl(nGC_143)*dZH_QED2/2d0 + coupl(nGC_9705)
      coupl(nGC_9476) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_131)**2d0*   &
                        coupl(nGC_132) - coupl(nGC_132)**3d0 + 8d0*coupl(      &
                        nGC_132)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_14277) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_80)*dZZA_QED2&
                         /2d0
      coupl(nGC_14276) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_85)*dZZA_QED2&
                         /2d0
      coupl(nGC_16853) = coupl(nGC_14180) + coupl(nGC_16852)
      coupl(nGC_14858) = coupl(nGC_61)*dZWMinus_QED2/2d0 + coupl(nGC_9710)
      coupl(nGC_9598) = cima*(20d0*Nc*coupl(nGC_126)**4d0 + 20d0*Nc*coupl(     &
                        nGC_128)**4d0 + 20d0*Nc*coupl(nGC_132)**4d0 + 20d0*Nc* &
                        coupl(nGC_141)**4d0 + 20d0*Nc*coupl(nGC_143)**4d0 +    &
                        20d0*Nc*coupl(nGC_149)**4d0 + 20d0*coupl(nGC_135)**4d0 &
                         + 20d0*coupl(nGC_138)**4d0 + 20d0*coupl(nGC_147)**4d0 &
                         + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_14855) = -coupl(nGC_14851)
      coupl(nGC_9348) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_125)*coupl(nGC_1832   &
                        ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_129)*coupl(nGC_506  &
                        ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_131)*coupl(nGC_574  &
                        ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_140)*coupl(nGC_308  &
                        ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_144)*coupl(nGC_248  &
                        ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_1446)*coupl(nGC_150 &
                        ) - 4d0*cME**2d0*cima*coupl(nGC_134)*coupl(nGC_674) -  &
                        4d0*cMM**2d0*cima*coupl(nGC_137)*coupl(nGC_922) - 4d0* &
                        cMTA**2d0*cima*coupl(nGC_1048)*coupl(nGC_146) - 2d0*cMW&
                        **2d0*coupl(nGC_47) - cMZ**2d0*coupl(nGC_96))/(16d0*pi &
                        **2d0)
      coupl(nGC_9349) = cima*(-3d0*Nc*coupl(nGC_78)**2d0 - 3d0*Nc*coupl(nGC_79 &
                        )**2d0 - 3d0*Nc*coupl(nGC_82)**2d0 - 3d0*Nc*coupl(     &
                        nGC_83)**2d0 - coupl(nGC_398)**2d0 - coupl(nGC_64)**2d0&
                         - 3d0*coupl(nGC_80)**2d0 - 3d0*coupl(nGC_85)**2d0 -   &
                        3d0*coupl(nGC_86)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9438) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_125) - coupl(nGC_124)*&
                        coupl(nGC_142)*coupl(nGC_248) - coupl(nGC_125)**2d0*   &
                        coupl(nGC_1832) + 8d0*coupl(nGC_125)*coupl(nGC_78)*    &
                        coupl(nGC_82) - coupl(nGC_126)**2d0*coupl(nGC_1832))/( &
                        32d0*pi**2d0)
      coupl(nGC_9342) = cima*(coupl(nGC_1514)*coupl(nGC_3) + coupl(nGC_2266)*  &
                        coupl(nGC_64) + coupl(nGC_398)*coupl(nGC_63) + coupl(  &
                        nGC_4)*coupl(nGC_746))/(48d0*pi**2d0)
      coupl(nGC_9343) = (Nc*cMB**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMC**2d0*cima&
                        *coupl(nGC_62)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_62)** &
                        2d0 + Nc*cMS**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMT**2d0&
                        *cima*coupl(nGC_62)**2d0 + Nc*cMU**2d0*cima*coupl(     &
                        nGC_62)**2d0 + cME**2d0*cima*coupl(nGC_62)**2d0 + cMM**&
                        2d0*cima*coupl(nGC_62)**2d0 + cMTA**2d0*cima*coupl(    &
                        nGC_62)**2d0 + cMW**2d0*cima*coupl(nGC_1514)*coupl(    &
                        nGC_3) + cMW**2d0*cima*coupl(nGC_2266)*coupl(nGC_64) + &
                        cMW**2d0*cima*coupl(nGC_398)*coupl(nGC_63) + cMW**2d0* &
                        cima*coupl(nGC_4)*coupl(nGC_746) - 2d0*cMW**2d0*coupl( &
                        nGC_470) + cMZ**2d0*cima*coupl(nGC_2266)*coupl(nGC_64  &
                        ) + cMZ**2d0*cima*coupl(nGC_398)*coupl(nGC_63) - cMZ** &
                        2d0*coupl(nGC_56))/(16d0*pi**2d0)
      coupl(nGC_9436) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1832) - coupl(nGC_124 &
                        )*coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_125)*coupl(&
                        nGC_126)**2d0 - coupl(nGC_125)*coupl(nGC_1832)**2d0 +  &
                        8d0*coupl(nGC_1832)*coupl(nGC_78)*coupl(nGC_82))/(32d0*&
                        pi**2d0)
      coupl(nGC_9437) = coupl(nGC_1832)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9346) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMB**&
                        2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMC**2d0*cima*&
                        coupl(nGC_2)*coupl(nGC_79) + Nc*cMC**2d0*cima*coupl(   &
                        nGC_2)*coupl(nGC_83) + Nc*cMD**2d0*cima*coupl(nGC_1)*  &
                        coupl(nGC_78) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(   &
                        nGC_82) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_78   &
                        ) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*  &
                        cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_79) + Nc*cMT**2d0*&
                        cima*coupl(nGC_2)*coupl(nGC_83) + Nc*cMU**2d0*cima*    &
                        coupl(nGC_2)*coupl(nGC_79) + Nc*cMU**2d0*cima*coupl(   &
                        nGC_2)*coupl(nGC_83) + cME**2d0*cima*coupl(nGC_4)*coupl&
                        (nGC_80) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_85) +  &
                        cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_80) + cMM**2d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_85) + cMTA**2d0*cima*coupl(&
                        nGC_4)*coupl(nGC_80) + cMTA**2d0*cima*coupl(nGC_4)*    &
                        coupl(nGC_85) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_64&
                        ) + cMW**2d0*cima*coupl(nGC_398)*coupl(nGC_746) - cMW**&
                        2d0*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_9431) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl( &
                        nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127 &
                        )*coupl(nGC_129)*coupl(nGC_140) + 8d0*coupl(nGC_139)*  &
                        coupl(nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9432) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_131)*coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_132 &
                        )*coupl(nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
      coupl(nGC_9433) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl( &
                        nGC_130)*coupl(nGC_132)*coupl(nGC_149) - coupl(nGC_130 &
                        )*coupl(nGC_1446)*coupl(nGC_574) + 8d0*coupl(nGC_148)* &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_15071) = coupl(nGC_150)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_14359) = coupl(nGC_130)*dZdR_QED2/2d0 + coupl(nGC_130)*        &
                         dZuL_QED2/2d0 + coupl(nGC_9664)
      coupl(nGC_15074) = coupl(nGC_15071) + coupl(nGC_9695)
      coupl(nGC_15075) = -coupl(nGC_15072) - coupl(nGC_9694)
      coupl(nGC_15076) = coupl(nGC_15072) + coupl(nGC_9694)
      coupl(nGC_9489) = coupl(nGC_143)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14369) = coupl(nGC_122)*dZH_QED2/2d0 + coupl(nGC_9647)
      coupl(nGC_9488) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(&
                        nGC_143)**3d0 - coupl(nGC_143)*coupl(nGC_144)**2d0 +   &
                        8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_143)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_14581) = coupl(nGC_141)*dZH_QED2/2d0 + coupl(nGC_9682)
      coupl(nGC_14580) = coupl(nGC_14579) + coupl(nGC_9681)
      coupl(nGC_14809) = coupl(nGC_13973) + coupl(nGC_14807)
      coupl(nGC_14614) = coupl(nGC_106)*dZH_QED2/2d0 + coupl(nGC_9650)
      coupl(nGC_9481) = coupl(nGC_138)*(-coupl(nGC_138)**2d0 + 8d0*coupl(nGC_4 &
                        )**2d0 + 8d0*coupl(nGC_80)*coupl(nGC_85) - coupl(      &
                        nGC_922)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9482) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)*&
                        coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_141)**3d0 -  &
                        coupl(nGC_141)*coupl(nGC_308)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9485) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_126) - cMC*&
                        coupl(nGC_128) - cMD*coupl(nGC_132) - cMS*coupl(nGC_141&
                        ) - cMT*coupl(nGC_143) - cMU*coupl(nGC_149))/(16d0*pi**&
                        2d0)
      coupl(nGC_9487) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(&
                        nGC_143)**3d0 + 8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_143)*coupl(nGC_248)**2d0 + 8d0*coupl(nGC_143 &
                        )*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9486) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_126) + cMC* &
                        coupl(nGC_128) + cMD*coupl(nGC_132) + cMS*coupl(nGC_141&
                        ) + cMT*coupl(nGC_143) + cMU*coupl(nGC_149))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_9720) = coupl(nGC_9300)*dZee_QED2
      coupl(nGC_9721) = coupl(nGC_9068)*dZee_QED2 + coupl(nGC_9069)*dsw_QED2 + &
                        coupl(nGC_9070)*dcw_QED2
      coupl(nGC_9722) = coupl(nGC_9172)*dZee_QED2 + coupl(nGC_9173)*dsw_QED2
      coupl(nGC_9723) = coupl(nGC_9071)*dZee_QED2 + coupl(nGC_9072)*dsw_QED2 + &
                        coupl(nGC_9073)*dcw_QED2
      coupl(nGC_9724) = coupl(nGC_9275)*dZee_QED2 + coupl(nGC_9276)*dsw_QED2 + &
                        coupl(nGC_9277)*dcw_QED2
      coupl(nGC_9725) = coupl(nGC_9081)*dZee_QED2 + coupl(nGC_9082)*dsw_QED2 + &
                        coupl(nGC_9083)*dcw_QED2
      coupl(nGC_9726) = coupl(nGC_9311)*dZee_QED2 + coupl(nGC_9312)*dcw_QED2
      coupl(nGC_9727) = coupl(nGC_9237)*dZee_QED2 + coupl(nGC_9238)*dsw_QED2 + &
                        coupl(nGC_9239)*dcw_QED2
      coupl(nGC_14037) = -2d0*coupl(nGC_14030) + coupl(nGC_14034) + coupl(     &
                         nGC_14035)
      coupl(nGC_14036) = coupl(nGC_14030) + coupl(nGC_14033) - coupl(nGC_14035 &
                         )/2d0
      coupl(nGC_9397) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*  &
                        coupl(nGC_308) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_127)**2d0*&
                        coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                        2d0*coupl(nGC_62)**2d0*coupl(nGC_746))/(32d0*pi**2d0)
      coupl(nGC_9390) = coupl(nGC_4)*(coupl(nGC_134)*coupl(nGC_674) + coupl(   &
                        nGC_135)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(     &
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9399) = (coupl(nGC_1)*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_62)**2d0 + coupl(nGC_143)**2d0*coupl(nGC_2   &
                        ) + coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_248) + 4d0*  &
                        coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0&
                         + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9398) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*  &
                        coupl(nGC_308) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_139)**2d0*&
                        coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_9410) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_126)*coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_142 &
                        )*coupl(nGC_1832)*coupl(nGC_248))/(32d0*pi**2d0)
      coupl(nGC_15810) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZuL_QED2  &
                          + coupl(nGC_9740)
      coupl(nGC_15999) = coupl(nGC_15993) + coupl(nGC_9754)
      coupl(nGC_14743) = coupl(nGC_14736) + coupl(nGC_14742)
      coupl(nGC_9553) = coupl(nGC_19)*sq2*(coupl(nGC_142)**2d0 + coupl(nGC_143 &
                        )**2d0 + coupl(nGC_144)*coupl(nGC_248) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9552) = coupl(nGC_19)*sq2*(coupl(nGC_124)**2d0 + coupl(nGC_143 &
                        )**2d0 + coupl(nGC_144)*coupl(nGC_248) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9551) = coupl(nGC_19)*sq2*(-coupl(nGC_142)**2d0 - coupl(nGC_143&
                        )**2d0 - coupl(nGC_144)*coupl(nGC_248) - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9550) = coupl(nGC_19)*sq2*(-coupl(nGC_124)**2d0 - coupl(nGC_143&
                        )**2d0 - coupl(nGC_144)*coupl(nGC_248) - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_15073) = -coupl(nGC_15071) - coupl(nGC_9695)
      coupl(nGC_9498) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_746) -    &
                        coupl(nGC_398)*coupl(nGC_83) - coupl(nGC_64)*coupl(    &
                        nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_9499) = coupl(nGC_62)*(coupl(nGC_398)*coupl(nGC_85) + coupl(   &
                        nGC_4)*coupl(nGC_746) + coupl(nGC_64)*coupl(nGC_86) +  &
                        2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_9496) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_746) + coupl(nGC_2)*coupl(nGC_3) +    &
                        coupl(nGC_398)*coupl(nGC_82) + coupl(nGC_64)*coupl(    &
                        nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**  &
                        2d0)
      coupl(nGC_13981) = coupl(nGC_7)*dZAZ_QED2/2d0 + coupl(nGC_75)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZ_QED2/2d0 + coupl&
                         (nGC_9707)
      coupl(nGC_13986) = coupl(nGC_147)*dZH_QED2/2d0 + coupl(nGC_9693)
      coupl(nGC_13987) = coupl(nGC_13983) + coupl(nGC_13986)
      coupl(nGC_15059) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZtR_QED2  &
                          + coupl(nGC_9739)
      coupl(nGC_9380) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*  &
                        coupl(nGC_1832) + coupl(nGC_1)*coupl(nGC_126)**2d0 +   &
                        4d0*coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_124)** &
                        2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_15809) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZuR_QED2  &
                          + coupl(nGC_9739)
      coupl(nGC_13977) = coupl(nGC_13973) + coupl(nGC_13975)
      coupl(nGC_9391) = (coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_674) + coupl(   &
                        nGC_135)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(   &
                        nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4 &
                        )*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_14972) = coupl(nGC_9639) + coupl(nGC_HHGG)
      coupl(nGC_14634) = coupl(nGC_55)*dZWMinus_QED2 + coupl(nGC_55)*dZZ_QED2  &
                          + coupl(nGC_9733)
      coupl(nGC_14636) = coupl(nGC_14630) + coupl(nGC_14633)
      coupl(nGC_14639) = coupl(nGC_81)*dZH_QED2/2d0 + coupl(nGC_81)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9724)
      coupl(nGC_22440) = -coupl(nGC_9382)
      coupl(nGC_15449) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_eL_QED2/2d0 + &
                         coupl(nGC_9738)
      coupl(nGC_13997) = coupl(nGC_14)*dZH_QED2/2d0 + coupl(nGC_14)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl&
                         (nGC_69)*dZAZ_QED2/2d0 + coupl(nGC_9726)
      coupl(nGC_14405) = coupl(nGC_22)*dZH_QED2 + coupl(nGC_9639) + coupl(     &
                         nGC_HHGG)
      coupl(nGC_13993) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_62)*dZtauMinusL_QED2/  &
                         2d0 + coupl(nGC_9738)
      coupl(nGC_14318) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_90)*dZA_QED2/ &
                         2d0 + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_95)*     &
                         dZZA_QED2/2d0 + coupl(nGC_9723)
      coupl(nGC_15423) = coupl(nGC_13973) + coupl(nGC_15422)
      coupl(nGC_14675) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_64)*           &
                         dZWMinus_QED2 + coupl(nGC_64)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9721)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
