!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_14313) = coupl(nGC_14303) + coupl(nGC_14311)
      coupl(nGC_14310) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZdR_QED2  &
                          + coupl(nGC_9742)
      coupl(nGC_15424) = coupl(nGC_13973) + coupl(nGC_15421)
      coupl(nGC_17036) = coupl(nGC_14180) + coupl(nGC_17033)
      coupl(nGC_14810) = coupl(nGC_13973) + coupl(nGC_14808)
      coupl(nGC_17035) = coupl(nGC_14180) + coupl(nGC_17034)
      coupl(nGC_9479) = coupl(nGC_135)*(-coupl(nGC_135)**2d0 + 8d0*coupl(nGC_4 &
                        )**2d0 - coupl(nGC_674)**2d0 + 8d0*coupl(nGC_80)*coupl(&
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9579) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_78&
                        ) - Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(    &
                        nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*    &
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**  &
                        2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_141 &
                        )**2d0*coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_141)**2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_128)** &
                        2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_128 &
                        )**2d0*coupl(nGC_2)*coupl(nGC_83) - Nc*cima*coupl(     &
                        nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*    &
                        coupl(nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_83) - Nc*   &
                        cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_79) -  &
                        Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_83  &
                        ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_80 &
                        ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_85 &
                        ) + cima*coupl(nGC_47)*coupl(nGC_77) + coupl(nGC_3)*   &
                        coupl(nGC_47)*coupl(nGC_64) + coupl(nGC_398)*coupl(    &
                        nGC_47)*coupl(nGC_746))/(8d0*pi**2d0)
      coupl(nGC_9578) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_1832)* &
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_1832)*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_131)*coupl(nGC_574)*coupl(nGC_78) - Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_574)*coupl(nGC_82&
                        ) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*coupl(nGC_308)*&
                        coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*   &
                        coupl(nGC_308)*coupl(nGC_82) - Nc*cima*coupl(nGC_129)* &
                        coupl(nGC_2)*coupl(nGC_506)*coupl(nGC_79) - Nc*cima*   &
                        coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_506)*coupl(nGC_83&
                        ) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_248)*&
                        coupl(nGC_79) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*   &
                        coupl(nGC_248)*coupl(nGC_83) - Nc*cima*coupl(nGC_1446)*&
                        coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*   &
                        coupl(nGC_1446)*coupl(nGC_150)*coupl(nGC_2)*coupl(     &
                        nGC_83) - cima*coupl(nGC_1048)*coupl(nGC_146)*coupl(   &
                        nGC_4)*coupl(nGC_80) - cima*coupl(nGC_1048)*coupl(     &
                        nGC_146)*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(      &
                        nGC_134)*coupl(nGC_4)*coupl(nGC_674)*coupl(nGC_80) -   &
                        cima*coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_674)*coupl( &
                        nGC_85) - cima*coupl(nGC_137)*coupl(nGC_4)*coupl(nGC_80&
                        )*coupl(nGC_922) - cima*coupl(nGC_137)*coupl(nGC_4)*   &
                        coupl(nGC_85)*coupl(nGC_922) + cima*coupl(nGC_47)*coupl&
                        (nGC_77) + coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64) +  &
                        coupl(nGC_398)*coupl(nGC_47)*coupl(nGC_746))/(8d0*pi** &
                        2d0)
      coupl(nGC_9573) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima&
                        *coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**&
                        2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_64)**2d0 - 2d0*cima*coupl(nGC_398)**2d0*coupl&
                        (nGC_746)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**&
                        2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*&
                        coupl(nGC_56)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(  &
                        nGC_56) + coupl(nGC_398)**2d0*coupl(nGC_9) + coupl(    &
                        nGC_56)*coupl(nGC_746)**2d0 + coupl(nGC_64)**2d0*coupl(&
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_9572) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_78) + Nc*cima*    &
                        coupl(nGC_1)**3d0*coupl(nGC_82) + Nc*cima*coupl(nGC_2  &
                        )**3d0*coupl(nGC_79) + Nc*cima*coupl(nGC_2)**3d0*coupl(&
                        nGC_83) - 2d0*cima*coupl(nGC_3)**3d0*coupl(nGC_64) -   &
                        2d0*cima*coupl(nGC_398)*coupl(nGC_746)**3d0 + cima*    &
                        coupl(nGC_4)**3d0*coupl(nGC_80) + cima*coupl(nGC_4)**  &
                        3d0*coupl(nGC_85) + cima*coupl(nGC_77)*coupl(nGC_9) +  &
                        coupl(nGC_3)**2d0*coupl(nGC_77) + coupl(nGC_3)*coupl(  &
                        nGC_64)*coupl(nGC_9) + coupl(nGC_398)*coupl(nGC_746)*  &
                        coupl(nGC_9) + coupl(nGC_746)**2d0*coupl(nGC_77))/(8d0*&
                        pi**2d0)
      coupl(nGC_9574) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima&
                        *coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**&
                        2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_64)**2d0 - 2d0*cima*coupl(nGC_398)**2d0*coupl&
                        (nGC_746)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**&
                        2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*&
                        coupl(nGC_77)**2d0 + 2d0*coupl(nGC_3)*coupl(nGC_64)*   &
                        coupl(nGC_77) + 2d0*coupl(nGC_398)*coupl(nGC_746)*coupl&
                        (nGC_77))/(8d0*pi**2d0)
      coupl(nGC_9576) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(   &
                        nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                        coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                        )**2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_62)**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_398)*coupl(nGC_63)*coupl(nGC_64) - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_746  &
                        ) + 6d0*cima*coupl(nGC_3140)*coupl(nGC_652) - 6d0*cima*&
                        coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*   &
                        cima*coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) +   &
                        6d0*cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_398)*coupl(nGC_55) + 6d0*coupl(nGC_3)*coupl&
                        (nGC_652)*coupl(nGC_746) + 6d0*coupl(nGC_3140)*coupl(  &
                        nGC_4)*coupl(nGC_64) + 6d0*coupl(nGC_63)*coupl(nGC_64)*&
                        coupl(nGC_74))/(48d0*pi**2d0)
      coupl(nGC_16822) = coupl(nGC_132)*dZH_QED2/2d0 + coupl(nGC_9680)
      coupl(nGC_16823) = coupl(nGC_16819) + coupl(nGC_16822)
      coupl(nGC_16821) = coupl(nGC_16820) + coupl(nGC_9679)
      coupl(nGC_15607) = coupl(nGC_15605) + coupl(nGC_15606)
      coupl(nGC_17368) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZcR_QED2  &
                          + coupl(nGC_9739)
      coupl(nGC_9567) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_125)*   &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_506)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_248)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_1446)*coupl(nGC_148)*coupl(nGC_62) - 4d0*Nc*cima* &
                        coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_2)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_127)*coupl(nGC_2)*coupl(nGC_506)*&
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl&
                        (nGC_139)*coupl(nGC_140)*coupl(nGC_2)*coupl(nGC_62) +  &
                        Nc*cima*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_248)*    &
                        coupl(nGC_62) + Nc*cima*coupl(nGC_1446)*coupl(nGC_148)*&
                        coupl(nGC_2)*coupl(nGC_62) + 6d0*cima*coupl(nGC_13)*   &
                        coupl(nGC_74) + cima*coupl(nGC_133)*coupl(nGC_134)*    &
                        coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(&
                        nGC_137)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(      &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_4)*coupl(nGC_62) +   &
                        6d0*cima*coupl(nGC_3140)*coupl(nGC_68) + 6d0*coupl(    &
                        nGC_13)*coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)* &
                        coupl(nGC_4)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_9564) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)*coupl(  &
                        nGC_1832) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131&
                        )*coupl(nGC_574) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_140)*coupl(nGC_308) - 2d0*Nc*cima*coupl(nGC_129)*  &
                        coupl(nGC_2)**2d0*coupl(nGC_506) - 2d0*Nc*cima*coupl(  &
                        nGC_144)*coupl(nGC_2)**2d0*coupl(nGC_248) - 2d0*Nc*cima&
                        *coupl(nGC_1446)*coupl(nGC_150)*coupl(nGC_2)**2d0 - 2d0&
                        *cima*coupl(nGC_1048)*coupl(nGC_146)*coupl(nGC_4)**2d0 &
                         - 2d0*cima*coupl(nGC_134)*coupl(nGC_4)**2d0*coupl(    &
                        nGC_674) - 2d0*cima*coupl(nGC_137)*coupl(nGC_4)**2d0*  &
                        coupl(nGC_922) + cima*coupl(nGC_47)*coupl(nGC_9) +     &
                        coupl(nGC_3)**2d0*coupl(nGC_47) + coupl(nGC_47)*coupl( &
                        nGC_746)**2d0)/(8d0*pi**2d0)
      coupl(nGC_9449) = (-coupl(nGC_134)*coupl(nGC_135)**2d0 - coupl(nGC_134)* &
                        coupl(nGC_674)**2d0 + 8d0*coupl(nGC_4)**2d0*coupl(     &
                        nGC_674) + 8d0*coupl(nGC_674)*coupl(nGC_80)*coupl(     &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9563) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         - 2d0*cima*coupl(nGC_1514)*coupl(nGC_3)*coupl(nGC_746 &
                        )**2d0 - 2d0*cima*coupl(nGC_2266)*coupl(nGC_64)*coupl( &
                        nGC_746)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(      &
                        nGC_398)*coupl(nGC_63) - 2d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_746) + 3d0*cima*coupl(nGC_3140  &
                        )**2d0 - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 &
                         + 3d0*cima*coupl(nGC_74)**2d0 + 3d0*coupl(nGC_1514)*  &
                        coupl(nGC_3140)*coupl(nGC_746) + 3d0*coupl(nGC_2266)*  &
                        coupl(nGC_74)*coupl(nGC_746) + 3d0*coupl(nGC_3)*coupl( &
                        nGC_3140)*coupl(nGC_746) + 3d0*coupl(nGC_64)*coupl(    &
                        nGC_74)*coupl(nGC_746))/(24d0*pi**2d0)
      coupl(nGC_9561) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         - 2d0*cima*coupl(nGC_1514)*coupl(nGC_3)*coupl(nGC_746 &
                        )**2d0 - 2d0*cima*coupl(nGC_2266)*coupl(nGC_64)*coupl( &
                        nGC_746)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(      &
                        nGC_398)*coupl(nGC_63) - 2d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_746) + 3d0*cima*coupl(nGC_3140  &
                        )**2d0 - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 &
                         + 3d0*cima*coupl(nGC_74)**2d0 + 3d0*coupl(nGC_3)*coupl&
                        (nGC_3140)*coupl(nGC_4) + 3d0*coupl(nGC_3)*coupl(      &
                        nGC_3140)*coupl(nGC_746) + 3d0*coupl(nGC_3)*coupl(     &
                        nGC_398)*coupl(nGC_74) + 3d0*coupl(nGC_3)*coupl(nGC_63 &
                        )*coupl(nGC_74))/(24d0*pi**2d0)
      coupl(nGC_14701) = coupl(nGC_14699) + coupl(nGC_9677)
      coupl(nGC_9568) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_1832)*  &
                        coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127 &
                        )*coupl(nGC_129)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_130)*coupl(nGC_574)*coupl(nGC_62) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_308)*coupl(nGC_62&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(     &
                        nGC_144)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_148)*coupl(nGC_150)*coupl(nGC_62) - 4d0*Nc*cima*  &
                        coupl(nGC_124)*coupl(nGC_1832)*coupl(nGC_2)*coupl(     &
                        nGC_62) + Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl( &
                        nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl&
                        (nGC_2)*coupl(nGC_574)*coupl(nGC_62) - 4d0*Nc*cima*    &
                        coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_308)*coupl(nGC_62&
                        ) + Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)*&
                        coupl(nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_150)* &
                        coupl(nGC_2)*coupl(nGC_62) + cima*coupl(nGC_1048)*coupl&
                        (nGC_145)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(     &
                        nGC_133)*coupl(nGC_4)*coupl(nGC_62)*coupl(nGC_674) +   &
                        cima*coupl(nGC_136)*coupl(nGC_4)*coupl(nGC_62)*coupl(  &
                        nGC_922) + 6d0*cima*coupl(nGC_16)*coupl(nGC_74) + 6d0* &
                        cima*coupl(nGC_3140)*coupl(nGC_72) + 6d0*coupl(nGC_16)*&
                        coupl(nGC_64)*coupl(nGC_746) + 6d0*coupl(nGC_3)*coupl( &
                        nGC_72)*coupl(nGC_746))/(48d0*pi**2d0)
      coupl(nGC_9442) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_308) - coupl(&
                        nGC_128)**2d0*coupl(nGC_506) - coupl(nGC_129)**2d0*    &
                        coupl(nGC_506) + 8d0*coupl(nGC_129)*coupl(nGC_2)**2d0  &
                         + 8d0*coupl(nGC_129)*coupl(nGC_79)*coupl(nGC_83))/(   &
                        32d0*pi**2d0)
      coupl(nGC_9379) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*  &
                        coupl(nGC_1832) + coupl(nGC_1)*coupl(nGC_126)**2d0 +   &
                        4d0*coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_142)** &
                        2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 &
                         + 2d0*coupl(nGC_62)**2d0*coupl(nGC_746))/(32d0*pi**2d0&
                        )
      coupl(nGC_14394) = coupl(nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2 +  &
                         coupl(nGC_9720)
      coupl(nGC_14395) = coupl(nGC_14393) - 2d0*coupl(nGC_14394)
      coupl(nGC_9562) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 -    &
                        15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)** &
                        2d0 + 9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 &
                         - 2d0*cima*coupl(nGC_1514)*coupl(nGC_3)*coupl(nGC_746 &
                        )**2d0 - 2d0*cima*coupl(nGC_2266)*coupl(nGC_64)*coupl( &
                        nGC_746)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(      &
                        nGC_398)*coupl(nGC_63) - 2d0*cima*coupl(nGC_3)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_746) + 9d0*cima*coupl(nGC_4)**  &
                        2d0*coupl(nGC_62)**2d0 + 3d0*cima*coupl(nGC_470)*coupl(&
                        nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_470) + 3d0*   &
                        coupl(nGC_398)*coupl(nGC_63)*coupl(nGC_9) + 3d0*coupl( &
                        nGC_4)*coupl(nGC_746)*coupl(nGC_9) + 3d0*coupl(nGC_470 &
                        )*coupl(nGC_746)**2d0)/(24d0*pi**2d0)
      coupl(nGC_13976) = coupl(nGC_13973) + coupl(nGC_13974)
      coupl(nGC_23301) = -coupl(nGC_9558)
      coupl(nGC_9603) = (9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 -   &
                        15d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(   &
                        nGC_83) + 9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83  &
                        )**2d0 - 4d0*cima*coupl(nGC_398)*coupl(nGC_63)*coupl(  &
                        nGC_64)**2d0 - 4d0*cima*coupl(nGC_4)*coupl(nGC_64)**2d0&
                        *coupl(nGC_746) + 3d0*cima*coupl(nGC_470)*coupl(nGC_56 &
                        ) + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0 -   &
                        15d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86&
                        ) + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0 +   &
                        3d0*coupl(nGC_398)**2d0*coupl(nGC_470) + 3d0*coupl(    &
                        nGC_398)*coupl(nGC_56)*coupl(nGC_63) + 3d0*coupl(nGC_4 &
                        )*coupl(nGC_56)*coupl(nGC_746) + 3d0*coupl(nGC_470)*   &
                        coupl(nGC_64)**2d0)/(24d0*pi**2d0)
      coupl(nGC_15318) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_9660)
      coupl(nGC_16051) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*           &
                         dZmuMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_9600) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)**2d0 + &
                        10d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)*coupl(  &
                        nGC_82) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_82 &
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79  &
                        )**2d0 + 10d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79 &
                        )*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl&
                        (nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl( &
                        nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_132)**2d0*coupl( &
                        nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_132)**2d0&
                        *coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_141)**2d0* &
                        coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_141)**2d0* &
                        coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_141&
                        )**2d0*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_143  &
                        )**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_143 &
                        )**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(&
                        nGC_143)**2d0*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(  &
                        nGC_149)**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_149)**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima&
                        *coupl(nGC_149)**2d0*coupl(nGC_83)**2d0 - 8d0*cima*    &
                        coupl(nGC_135)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_135)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_135)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*&
                        coupl(nGC_138)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_138)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*&
                        coupl(nGC_147)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*    &
                        coupl(nGC_147)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0* &
                        cima*coupl(nGC_147)**2d0*coupl(nGC_85)**2d0 + 3d0*cima*&
                        coupl(nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_398)**2d0* &
                        coupl(nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(&
                        24d0*pi**2d0)
      coupl(nGC_9448) = (-coupl(nGC_134)**2d0*coupl(nGC_674) + 8d0*coupl(      &
                        nGC_134)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_134)*coupl( &
                        nGC_80)*coupl(nGC_85) - coupl(nGC_135)**2d0*coupl(     &
                        nGC_674))/(32d0*pi**2d0)
      coupl(nGC_15407) = coupl(nGC_96)*dZH_QED2 + coupl(nGC_96)*dZZ_QED2 +     &
                         coupl(nGC_9730)
      coupl(nGC_15998) = coupl(nGC_15992) + coupl(nGC_9753)
      coupl(nGC_14906) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*           &
                         dZtauMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_17218) = coupl(nGC_149)*dZH_QED2/2d0 + coupl(nGC_9701)
      coupl(nGC_17219) = coupl(nGC_17215) + coupl(nGC_17218)
      coupl(nGC_15791) = coupl(nGC_15788) + coupl(nGC_9748)
      coupl(nGC_14700) = -coupl(nGC_14699) - coupl(nGC_9677)
      coupl(nGC_14703) = coupl(nGC_14698) + coupl(nGC_9678)
      coupl(nGC_14702) = -coupl(nGC_14698) - coupl(nGC_9678)
      coupl(nGC_14147) = coupl(nGC_14140) + coupl(nGC_14145)
      coupl(nGC_14146) = coupl(nGC_14144) + coupl(nGC_14145)
      coupl(nGC_14907) = coupl(nGC_14559) + coupl(nGC_14905)
      coupl(nGC_17217) = coupl(nGC_17216) + coupl(nGC_9700)
      coupl(nGC_9599) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_1832)*coupl(    &
                        nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_125)*coupl(      &
                        nGC_1832)*coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_1832)*coupl(nGC_82)**2d0 - 8d0&
                        *Nc*cima*coupl(nGC_129)*coupl(nGC_506)*coupl(nGC_79)** &
                        2d0 + 10d0*Nc*cima*coupl(nGC_129)*coupl(nGC_506)*coupl(&
                        nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_129)*    &
                        coupl(nGC_506)*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_131)*coupl(nGC_574)*coupl(nGC_78)**2d0 + 10d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_574)*coupl(nGC_78)*coupl(&
                        nGC_82) - 8d0*Nc*cima*coupl(nGC_131)*coupl(nGC_574)*   &
                        coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_140)*coupl( &
                        nGC_308)*coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_308)*coupl(nGC_78)*coupl(nGC_82) -  &
                        8d0*Nc*cima*coupl(nGC_140)*coupl(nGC_308)*coupl(nGC_82 &
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_144)*coupl(nGC_248)*    &
                        coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_144)*coupl(&
                        nGC_248)*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*    &
                        coupl(nGC_144)*coupl(nGC_248)*coupl(nGC_83)**2d0 - 8d0*&
                        Nc*cima*coupl(nGC_1446)*coupl(nGC_150)*coupl(nGC_79)** &
                        2d0 + 10d0*Nc*cima*coupl(nGC_1446)*coupl(nGC_150)*coupl&
                        (nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_1446)*  &
                        coupl(nGC_150)*coupl(nGC_83)**2d0 - 8d0*cima*coupl(    &
                        nGC_1048)*coupl(nGC_146)*coupl(nGC_80)**2d0 + 10d0*cima&
                        *coupl(nGC_1048)*coupl(nGC_146)*coupl(nGC_80)*coupl(   &
                        nGC_85) - 8d0*cima*coupl(nGC_1048)*coupl(nGC_146)*coupl&
                        (nGC_85)**2d0 - 8d0*cima*coupl(nGC_134)*coupl(nGC_674)*&
                        coupl(nGC_80)**2d0 + 10d0*cima*coupl(nGC_134)*coupl(   &
                        nGC_674)*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*coupl( &
                        nGC_134)*coupl(nGC_674)*coupl(nGC_85)**2d0 - 8d0*cima* &
                        coupl(nGC_137)*coupl(nGC_80)**2d0*coupl(nGC_922) + 10d0&
                        *cima*coupl(nGC_137)*coupl(nGC_80)*coupl(nGC_85)*coupl(&
                        nGC_922) - 8d0*cima*coupl(nGC_137)*coupl(nGC_85)**2d0* &
                        coupl(nGC_922) + 3d0*cima*coupl(nGC_47)*coupl(nGC_56   &
                        ) + 3d0*coupl(nGC_398)**2d0*coupl(nGC_47) + 3d0*coupl( &
                        nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi**2d0)
      coupl(nGC_9612) = (18d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(     &
                        nGC_1514)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(     &
                        nGC_1514)*coupl(nGC_2266)*coupl(nGC_3)*coupl(nGC_64) - &
                        8d0*cima*coupl(nGC_1514)*coupl(nGC_3)*coupl(nGC_4)*    &
                        coupl(nGC_746) - 8d0*cima*coupl(nGC_1514)*coupl(nGC_398&
                        )*coupl(nGC_4)*coupl(nGC_64) - 4d0*cima*coupl(nGC_2266 &
                        )**2d0*coupl(nGC_64)**2d0 - 8d0*cima*coupl(nGC_2266)*  &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_746) - 8d0*cima*  &
                        coupl(nGC_2266)*coupl(nGC_398)*coupl(nGC_63)*coupl(    &
                        nGC_64) - 4d0*cima*coupl(nGC_398)**2d0*coupl(nGC_63)** &
                        2d0 - 8d0*cima*coupl(nGC_398)*coupl(nGC_4)*coupl(nGC_63&
                        )*coupl(nGC_746) - 4d0*cima*coupl(nGC_4)**2d0*coupl(   &
                        nGC_746)**2d0 + 6d0*cima*coupl(nGC_470)**2d0 + 3d0*cima&
                        *coupl(nGC_56)**2d0 + 18d0*cima*coupl(nGC_62)**4d0 +   &
                        6d0*cima*coupl(nGC_77)**2d0 + 3d0*cima*coupl(nGC_9)**  &
                        2d0 + 6d0*coupl(nGC_1514)*coupl(nGC_3)*coupl(nGC_470   &
                        ) + 6d0*coupl(nGC_1514)*coupl(nGC_3)*coupl(nGC_9) + 6d0&
                        *coupl(nGC_1514)*coupl(nGC_64)*coupl(nGC_77) + 6d0*    &
                        coupl(nGC_2266)*coupl(nGC_3)*coupl(nGC_77) + 6d0*coupl(&
                        nGC_2266)*coupl(nGC_470)*coupl(nGC_64) + 6d0*coupl(    &
                        nGC_2266)*coupl(nGC_56)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_398)*coupl(nGC_4)*coupl(nGC_77) + 6d0*coupl(nGC_398&
                        )*coupl(nGC_470)*coupl(nGC_63) + 6d0*coupl(nGC_398)*   &
                        coupl(nGC_56)*coupl(nGC_63) + 6d0*coupl(nGC_4)*coupl(  &
                        nGC_470)*coupl(nGC_746) + 6d0*coupl(nGC_4)*coupl(      &
                        nGC_746)*coupl(nGC_9) + 6d0*coupl(nGC_63)*coupl(nGC_746&
                        )*coupl(nGC_77))/(48d0*pi**2d0)
      coupl(nGC_9613) = (Nc*cima*coupl(nGC_78)**4d0 + Nc*cima*coupl(nGC_79)**  &
                        4d0 + Nc*cima*coupl(nGC_82)**4d0 + Nc*cima*coupl(nGC_83&
                        )**4d0 - 2d0*cima*coupl(nGC_398)**4d0 + cima*coupl(    &
                        nGC_56)**2d0 - 2d0*cima*coupl(nGC_64)**4d0 + cima*coupl&
                        (nGC_80)**4d0 + cima*coupl(nGC_85)**4d0 + cima*coupl(  &
                        nGC_86)**4d0 + 2d0*coupl(nGC_398)**2d0*coupl(nGC_56) + &
                        2d0*coupl(nGC_56)*coupl(nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_14781) = coupl(nGC_14777) + coupl(nGC_14780)
      coupl(nGC_15369) = coupl(nGC_96)*dZZ_QED2 + coupl(nGC_9730)
      coupl(nGC_9595) = cima*(20d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_1832)**2d0 &
                         + 20d0*Nc*coupl(nGC_129)**2d0*coupl(nGC_506)**2d0 +   &
                        20d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_574)**2d0 + 20d0*&
                        Nc*coupl(nGC_140)**2d0*coupl(nGC_308)**2d0 + 20d0*Nc*  &
                        coupl(nGC_144)**2d0*coupl(nGC_248)**2d0 + 20d0*Nc*coupl&
                        (nGC_1446)**2d0*coupl(nGC_150)**2d0 + 20d0*coupl(      &
                        nGC_1048)**2d0*coupl(nGC_146)**2d0 + 20d0*coupl(nGC_134&
                        )**2d0*coupl(nGC_674)**2d0 + 20d0*coupl(nGC_137)**2d0* &
                        coupl(nGC_922)**2d0 + 6d0*coupl(nGC_47)**2d0 + 3d0*    &
                        coupl(nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9594) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_1832)*coupl(    &
                        nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_506&
                        )*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_131)*coupl&
                        (nGC_574)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_308)*coupl(nGC_62)**2d0 - 8d0*Nc*   &
                        cima*coupl(nGC_144)*coupl(nGC_248)*coupl(nGC_62)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_1446)*coupl(nGC_150)*coupl(   &
                        nGC_62)**2d0 - 8d0*cima*coupl(nGC_1048)*coupl(nGC_146)*&
                        coupl(nGC_62)**2d0 - 8d0*cima*coupl(nGC_134)*coupl(    &
                        nGC_62)**2d0*coupl(nGC_674) - 8d0*cima*coupl(nGC_137)* &
                        coupl(nGC_62)**2d0*coupl(nGC_922) + 6d0*cima*coupl(    &
                        nGC_47)*coupl(nGC_470) + 3d0*cima*coupl(nGC_56)*coupl( &
                        nGC_96) + 6d0*coupl(nGC_2266)*coupl(nGC_64)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_398)*coupl(nGC_47)*coupl(nGC_63&
                        ) + 6d0*coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_746))/(   &
                        48d0*pi**2d0)
      coupl(nGC_14682) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_eL_QED2 + coupl(nGC_9743)
      coupl(nGC_15473) = -2d0*coupl(nGC_15462)
      coupl(nGC_14047) = coupl(nGC_54)*dZWMinus_QED2/2d0 + coupl(nGC_54)*      &
                         dZZ_QED2/2d0 + coupl(nGC_75)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9727)
      coupl(nGC_17165) = coupl(nGC_17162) + coupl(nGC_9750)
      coupl(nGC_9495) = (3d0*Nc*coupl(nGC_62)**2d0*coupl(nGC_82) - 3d0*Nc*coupl&
                        (nGC_62)**2d0*coupl(nGC_83) - coupl(nGC_398)*coupl(    &
                        nGC_63)*coupl(nGC_64) - coupl(nGC_4)*coupl(nGC_64)*    &
                        coupl(nGC_746) + 3d0*coupl(nGC_62)**2d0*coupl(nGC_85   &
                        ) - 3d0*coupl(nGC_62)**2d0*coupl(nGC_86))/(24d0*pi**2d0&
                        )
      coupl(nGC_21499) = -coupl(nGC_9386)
      coupl(nGC_9597) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_62)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_62)**2d0 -   &
                        8d0*cima*coupl(nGC_135)**2d0*coupl(nGC_62)**2d0 - 8d0* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*&
                        coupl(nGC_147)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl&
                        (nGC_47)*coupl(nGC_470) + 3d0*cima*coupl(nGC_56)*coupl(&
                        nGC_96) + 6d0*coupl(nGC_2266)*coupl(nGC_64)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_398)*coupl(nGC_47)*coupl(nGC_63&
                        ) + 6d0*coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_746))/(   &
                        48d0*pi**2d0)
      coupl(nGC_9351) = (Nc*cMB**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMB**2d0*cima&
                        *coupl(nGC_82)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_79)** &
                        2d0 + Nc*cMC**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMD**2d0&
                        *cima*coupl(nGC_78)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                        nGC_82)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_78)**2d0 + Nc&
                        *cMS**2d0*cima*coupl(nGC_82)**2d0 + Nc*cMT**2d0*cima*  &
                        coupl(nGC_79)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_83)**  &
                        2d0 + Nc*cMU**2d0*cima*coupl(nGC_79)**2d0 + Nc*cMU**2d0&
                        *cima*coupl(nGC_83)**2d0 + cME**2d0*cima*coupl(nGC_80  &
                        )**2d0 + cME**2d0*cima*coupl(nGC_85)**2d0 + cMM**2d0*  &
                        cima*coupl(nGC_80)**2d0 + cMM**2d0*cima*coupl(nGC_85)**&
                        2d0 + cMTA**2d0*cima*coupl(nGC_80)**2d0 + cMTA**2d0*   &
                        cima*coupl(nGC_85)**2d0 + cMW**2d0*cima*coupl(nGC_398  &
                        )**2d0 + cMW**2d0*cima*coupl(nGC_64)**2d0 - cMW**2d0*  &
                        coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_9350) = cima*(coupl(nGC_398)**2d0 + coupl(nGC_64)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_13957) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_68)*dZA_QED2/ &
                         2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9643&
                         )
      coupl(nGC_9596) = cima*(10d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_126)**2d0  &
                         + 40d0*Nc*coupl(nGC_125)*coupl(nGC_126)**2d0*coupl(   &
                        nGC_1832) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_1832 &
                        )**2d0 + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)**  &
                        2d0 + 40d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)*coupl(&
                        nGC_506) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_506)**&
                        2d0 + 10d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_132)**2d0  &
                         + 40d0*Nc*coupl(nGC_131)*coupl(nGC_132)**2d0*coupl(   &
                        nGC_574) + 10d0*Nc*coupl(nGC_132)**2d0*coupl(nGC_574)**&
                        2d0 + 10d0*Nc*coupl(nGC_140)**2d0*coupl(nGC_141)**2d0  &
                         + 40d0*Nc*coupl(nGC_140)*coupl(nGC_141)**2d0*coupl(   &
                        nGC_308) + 10d0*Nc*coupl(nGC_141)**2d0*coupl(nGC_308)**&
                        2d0 + 10d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_144)**2d0  &
                         + 40d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_144)*coupl(   &
                        nGC_248) + 10d0*Nc*coupl(nGC_143)**2d0*coupl(nGC_248)**&
                        2d0 + 10d0*Nc*coupl(nGC_1446)**2d0*coupl(nGC_149)**2d0 &
                         + 40d0*Nc*coupl(nGC_1446)*coupl(nGC_149)**2d0*coupl(  &
                        nGC_150) + 10d0*Nc*coupl(nGC_149)**2d0*coupl(nGC_150)**&
                        2d0 + 10d0*coupl(nGC_1048)**2d0*coupl(nGC_147)**2d0 +  &
                        40d0*coupl(nGC_1048)*coupl(nGC_146)*coupl(nGC_147)**2d0&
                         + 10d0*coupl(nGC_134)**2d0*coupl(nGC_135)**2d0 + 40d0*&
                        coupl(nGC_134)*coupl(nGC_135)**2d0*coupl(nGC_674) +    &
                        10d0*coupl(nGC_135)**2d0*coupl(nGC_674)**2d0 + 10d0*   &
                        coupl(nGC_137)**2d0*coupl(nGC_138)**2d0 + 40d0*coupl(  &
                        nGC_137)*coupl(nGC_138)**2d0*coupl(nGC_922) + 10d0*    &
                        coupl(nGC_138)**2d0*coupl(nGC_922)**2d0 + 10d0*coupl(  &
                        nGC_146)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl(nGC_47)**&
                        2d0 + 3d0*coupl(nGC_96)**2d0)/(48d0*pi**2d0)
      coupl(nGC_14561) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*           &
                         dZeMinusR_QED2 + coupl(nGC_9744)
      coupl(nGC_14560) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*           &
                         dZeMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_14563) = coupl(nGC_14559) + coupl(nGC_14560)
      coupl(nGC_14562) = coupl(nGC_14559) + coupl(nGC_14561)
      coupl(nGC_14279) = coupl(nGC_14011) + coupl(nGC_14276)
      coupl(nGC_14278) = coupl(nGC_14011) + coupl(nGC_14277)
      coupl(nGC_14567) = coupl(nGC_59)*dZH_QED2/2d0 + coupl(nGC_59)*           &
                         dZWMinus_QED2/2d0 + coupl(nGC_9714)
      coupl(nGC_17369) = coupl(nGC_15051) + coupl(nGC_17368)
      coupl(nGC_17367) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZcL_QED2  &
                          + coupl(nGC_9740)
      coupl(nGC_9583) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_62)**2d0 - &
                        4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_62)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(nGC_62)**2d0 +   &
                        3d0*cima*coupl(nGC_10)*coupl(nGC_9) - 4d0*cima*coupl(  &
                        nGC_133)**2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(     &
                        nGC_136)**2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(     &
                        nGC_145)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl(     &
                        nGC_47)*coupl(nGC_470) + 3d0*cima*coupl(nGC_56)*coupl( &
                        nGC_95) + 6d0*cima*coupl(nGC_77)*coupl(nGC_90) + 6d0*  &
                        coupl(nGC_10)*coupl(nGC_1514)*coupl(nGC_3) + 6d0*coupl(&
                        nGC_1514)*coupl(nGC_64)*coupl(nGC_90) + 6d0*coupl(     &
                        nGC_2266)*coupl(nGC_3)*coupl(nGC_90) + 6d0*coupl(      &
                        nGC_2266)*coupl(nGC_64)*coupl(nGC_95) + 6d0*coupl(     &
                        nGC_398)*coupl(nGC_47)*coupl(nGC_63) + 6d0*coupl(nGC_4 &
                        )*coupl(nGC_47)*coupl(nGC_746))/(48d0*pi**2d0)
      coupl(nGC_9585) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62&
                        )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(    &
                        nGC_125)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*    &
                        coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62)*coupl(     &
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_506)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127&
                        )*coupl(nGC_506)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_127)*coupl(nGC_506)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_131)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*   &
                        coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_140)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_248)*   &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_248)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_248)*coupl(nGC_62)*coupl(&
                        nGC_83) + 5d0*Nc*cima*coupl(nGC_1446)*coupl(nGC_148)*  &
                        coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(       &
                        nGC_1446)*coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - &
                        4d0*Nc*cima*coupl(nGC_1446)*coupl(nGC_148)*coupl(nGC_62&
                        )*coupl(nGC_83) + 6d0*cima*coupl(nGC_13)*coupl(nGC_55  &
                        ) + 5d0*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62&
                        )*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_134&
                        )*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133 &
                        )*coupl(nGC_134)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima&
                        *coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62)*coupl(    &
                        nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_137)*coupl(&
                        nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl( &
                        nGC_137)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl( &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_80) -  &
                        4d0*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_62)*  &
                        coupl(nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_146)*&
                        coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_652)* &
                        coupl(nGC_68) + 6d0*coupl(nGC_13)*coupl(nGC_63)*coupl( &
                        nGC_64) + 6d0*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_68  &
                        ))/(48d0*pi**2d0)
      coupl(nGC_21425) = -coupl(nGC_9425)
      coupl(nGC_15464) = 2d0*coupl(nGC_15462)
      coupl(nGC_15463) = -coupl(nGC_15462)
      coupl(nGC_14054) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*      &
                         dZdL_QED2/2d0 + coupl(nGC_62)*dZuL_QED2/2d0 + coupl(  &
                         nGC_9738)
      coupl(nGC_14211) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZnu_tauL_QED2 + coupl(nGC_9743)
      coupl(nGC_21788) = -coupl(nGC_9495)
      coupl(nGC_14859) = -coupl(nGC_14858)
      coupl(nGC_14594) = coupl(nGC_90)*dZAZ_QED2 + coupl(nGC_95)*dZZ_QED2 +    &
                         coupl(nGC_9731)
      coupl(nGC_9535) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_124)**2d0 + coupl(nGC_125)*coupl(nGC_1832) + coupl(&
                        nGC_126)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_14590) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_85)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9725)
      coupl(nGC_9530) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_125)*coupl(nGC_1832) - coupl(nGC_126)**2d0 - coupl(&
                        nGC_142)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9533) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_125)*coupl(nGC_1832) + coupl(nGC_126)**2d0 + coupl(&
                        nGC_142)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9532) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_124)**2d0 - coupl(nGC_125)*coupl(nGC_1832) - coupl(&
                        nGC_126)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_16475) = -coupl(nGC_14639)
      coupl(nGC_18828) = 3d0*coupl(nGC_102)*dZH_QED2/2d0 + coupl(nGC_9649) +   &
                         coupl(nGC_HHH)
      coupl(nGC_9434) = (2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_126) + 8d0*Nc&
                        *cMB*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_1832) +   &
                        2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_1832)**2d0 + 2d0*Nc&
                        *cMC*coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*Nc*cMC*  &
                        coupl(nGC_128)*coupl(nGC_129)*coupl(nGC_506) + 2d0*Nc* &
                        cMC*coupl(nGC_128)*coupl(nGC_506)**2d0 + 2d0*Nc*cMD*   &
                        coupl(nGC_131)**2d0*coupl(nGC_132) + 8d0*Nc*cMD*coupl( &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_574) + 2d0*Nc*cMD*   &
                        coupl(nGC_132)*coupl(nGC_574)**2d0 + 2d0*Nc*cMS*coupl( &
                        nGC_140)**2d0*coupl(nGC_141) + 8d0*Nc*cMS*coupl(nGC_140&
                        )*coupl(nGC_141)*coupl(nGC_308) + 2d0*Nc*cMS*coupl(    &
                        nGC_141)*coupl(nGC_308)**2d0 + 2d0*Nc*cMT*coupl(nGC_143&
                        )*coupl(nGC_144)**2d0 + 8d0*Nc*cMT*coupl(nGC_143)*coupl&
                        (nGC_144)*coupl(nGC_248) + 2d0*Nc*cMT*coupl(nGC_143)*  &
                        coupl(nGC_248)**2d0 + 2d0*Nc*cMU*coupl(nGC_1446)**2d0* &
                        coupl(nGC_149) + 8d0*Nc*cMU*coupl(nGC_1446)*coupl(     &
                        nGC_149)*coupl(nGC_150) + 2d0*Nc*cMU*coupl(nGC_149)*   &
                        coupl(nGC_150)**2d0 + 2d0*cME*coupl(nGC_134)**2d0*coupl&
                        (nGC_135) + 8d0*cME*coupl(nGC_134)*coupl(nGC_135)*coupl&
                        (nGC_674) + 2d0*cME*coupl(nGC_135)*coupl(nGC_674)**2d0 &
                         + 2d0*cMM*coupl(nGC_137)**2d0*coupl(nGC_138) + 8d0*cMM&
                        *coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_922) + 2d0*cMM&
                        *coupl(nGC_138)*coupl(nGC_922)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_1048)**2d0*coupl(nGC_147) + 8d0*cMTA*coupl(nGC_1048&
                        )*coupl(nGC_146)*coupl(nGC_147) + 2d0*cMTA*coupl(      &
                        nGC_146)**2d0*coupl(nGC_147) + 2d0*cima*coupl(nGC_107)*&
                        coupl(nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(   &
                        16d0*pi**2d0)
      coupl(nGC_15173) = coupl(nGC_15171) + coupl(nGC_15172)
      coupl(nGC_9341) = cima*(-3d0*Nc*coupl(nGC_62)**2d0 - coupl(nGC_1514)*    &
                        coupl(nGC_3) - coupl(nGC_2266)*coupl(nGC_64) - coupl(  &
                        nGC_398)*coupl(nGC_63) - coupl(nGC_4)*coupl(nGC_746) - &
                        3d0*coupl(nGC_62)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9430) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(    &
                        nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_139 &
                        )*coupl(nGC_308)*coupl(nGC_506))/(32d0*pi**2d0)
      coupl(nGC_16760) = 2d0*coupl(nGC_16753)
      coupl(nGC_17370) = coupl(nGC_15051) + coupl(nGC_17367)
      coupl(nGC_14283) = coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*      &
                         dZZ_QED2/2d0 + coupl(nGC_72)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9633)
      coupl(nGC_15933) = -coupl(nGC_14675)
      coupl(nGC_16750) = -coupl(nGC_14290)
      coupl(nGC_14129) = coupl(nGC_14125) + coupl(nGC_14128)
      coupl(nGC_14182) = coupl(nGC_14179) + coupl(nGC_14180)
      coupl(nGC_14181) = coupl(nGC_14178) + coupl(nGC_14180)
      coupl(nGC_14225) = 2d0*coupl(nGC_48)*dZWMinus_QED2 + coupl(nGC_9722)
      coupl(nGC_16053) = coupl(nGC_14559) + coupl(nGC_16051)
      coupl(nGC_16052) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*           &
                         dZmuMinusL_QED2 + coupl(nGC_9725)
      coupl(nGC_19500) = coupl(nGC_9638) + coupl(nGC_HHHH)
      coupl(nGC_14582) = coupl(nGC_14578) + coupl(nGC_14581)
      coupl(nGC_9524) = (coupl(nGC_124)**2d0*coupl(nGC_78) + coupl(nGC_143)**  &
                        2d0*coupl(nGC_79) + coupl(nGC_144)*coupl(nGC_248)*coupl&
                        (nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*  &
                        coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)** &
                        2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9525) = (coupl(nGC_142)**2d0*coupl(nGC_82) + coupl(nGC_143)**  &
                        2d0*coupl(nGC_83) + coupl(nGC_144)*coupl(nGC_248)*coupl&
                        (nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*  &
                        coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9400) = (coupl(nGC_1)*coupl(nGC_142)**2d0 + coupl(nGC_143)**2d0&
                        *coupl(nGC_2) + coupl(nGC_144)*coupl(nGC_2)*coupl(     &
                        nGC_248) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9405) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_125) + Nc* &
                        coupl(nGC_127)*coupl(nGC_506) - Nc*coupl(nGC_130)*coupl&
                        (nGC_131) - Nc*coupl(nGC_139)*coupl(nGC_140) + Nc*coupl&
                        (nGC_142)*coupl(nGC_248) + Nc*coupl(nGC_1446)*coupl(   &
                        nGC_148) - coupl(nGC_133)*coupl(nGC_134) - coupl(      &
                        nGC_136)*coupl(nGC_137) - coupl(nGC_145)*coupl(nGC_146 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_16017) = coupl(nGC_14011) + coupl(nGC_16014)
      coupl(nGC_16016) = coupl(nGC_14011) + coupl(nGC_16015)
      coupl(nGC_15061) = coupl(nGC_15051) + coupl(nGC_15058)
      coupl(nGC_15060) = coupl(nGC_15051) + coupl(nGC_15059)
      coupl(nGC_14294) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_9709) + coupl(nGC_99)*  &
                         dZZA_QED2/2d0
      coupl(nGC_16054) = coupl(nGC_14559) + coupl(nGC_16052)
      coupl(nGC_22507) = -coupl(nGC_9435)
      coupl(nGC_17265) = coupl(nGC_123)*dZH_QED2/2d0 + coupl(nGC_123)*dZZ_QED2 &
                          + coupl(nGC_9732)
      coupl(nGC_14635) = -coupl(nGC_14630)/2d0 + coupl(nGC_14634)
      coupl(nGC_14712) = -coupl(nGC_14590)
      coupl(nGC_14908) = coupl(nGC_14559) + coupl(nGC_14906)
      coupl(nGC_14226) = -2d0*coupl(nGC_14225)
      coupl(nGC_14312) = coupl(nGC_14303) + coupl(nGC_14310)
      coupl(nGC_16117) = -coupl(nGC_14567)
      coupl(nGC_14396) = -coupl(nGC_14393)/2d0 + coupl(nGC_14394)
      coupl(nGC_22006) = -coupl(nGC_9405)
      coupl(nGC_15812) = coupl(nGC_15051) + coupl(nGC_15810)
      coupl(nGC_15811) = coupl(nGC_15051) + coupl(nGC_15809)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
