!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(2026)%branchR2(0:0))
      call avR2(2026, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(2593)%branchR2(0:1))
      call avR2(2593, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_9511, nGC_9509])

      call avR2(2593, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_9512, nGC_9510])

      allocate(vertices(2843)%branchR2(0:1))
      call avR2(2843, 0, 3, 1, 0, VVV0, 0, [3, 0], [nGC_23299])

      call avR2(2843, 1, 2, 1, 0, VVV0, 0, [3, 0], [nGC_23301])

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(1677)%branchR2(0:0))
      call avR2(1677, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9581])

      allocate(vertices(1198)%branchR2(0:3))
      call avR2(1198, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9541, nGC_9540])

      call avR2(1198, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9531, nGC_9531])

      call avR2(1198, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9543, nGC_9542])

      call avR2(1198, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9534, nGC_9534])

      allocate(vertices(4002)%branchR2(0:0))
      call avR2(4002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9564])

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_9382])

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3195)%branchR2(0:0))
      call avR2(3195, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(1777)%branchR2(0:0))
      call avR2(1777, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(3898)%branchR2(0:0))
      call avR2(3898, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(1887)%branchR2(0:0))
      call avR2(1887, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9586])

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9503])

      allocate(vertices(7)%branchR2(0:1))
      call avR2(7, 0, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_9381, nGC_9381])

      call avR2(7, 1, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_9380, nGC_9379])

      allocate(vertices(2066)%branchR2(0:0))
      call avR2(2066, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9600])

      allocate(vertices(2807)%branchR2(0:1))
      call avR2(2807, 0, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_9418, nGC_9420])

      call avR2(2807, 1, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_9419, nGC_9421])

      allocate(vertices(3768)%branchR2(0:0))
      call avR2(3768, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2446)%branchR2(0:3))
      call avR2(2446, 0, 107, 1, 0, FaVF0, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(2446, 1, 107, 1, 0, FaVF0, 0, [3, 0], [nGC_9546, nGC_9546])

      call avR2(2446, 2, 106, 1, 0, FaVF0, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(2446, 3, 106, 1, 0, FaVF0, 0, [3, 0], [nGC_9549, nGC_9549])

      allocate(vertices(2707)%branchR2(0:0))
      call avR2(2707, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9586])

      allocate(vertices(3506)%branchR2(0:1))
      call avR2(3506, 0, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_9497])

      call avR2(3506, 1, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_9502])

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_9368])

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(361)%branchR2(0:1))
      call avR2(361, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9487, nGC_9488])

      call avR2(361, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9489, nGC_9489])

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9467])

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(755)%branchR2(0:1))
      call avR2(755, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9440, nGC_9442])

      call avR2(755, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9441, nGC_9443])

      allocate(vertices(3411)%branchR2(0:1))
      call avR2(3411, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(3411, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(4003)%branchR2(0:1))
      call avR2(4003, 0, 145, 1, 0, VVVV1, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(4003, 1, 146, 1, 0, VVVV1, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(3890)%branchR2(0:0))
      call avR2(3890, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9578])

      allocate(vertices(3662)%branchR2(0:0))
      call avR2(3662, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(3376)%branchR2(0:1))
      call avR2(3376, 0, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(3376, 1, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(2180)%branchR2(0:0))
      call avR2(2180, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_9491, nGC_9490])

      allocate(vertices(1664)%branchR2(0:0))
      call avR2(1664, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9386])

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_9424])

      allocate(vertices(4004)%branchR2(0:0))
      call avR2(4004, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9574, nGC_9574,       &
      nGC_9573])

      allocate(vertices(4005)%branchR2(0:1))
      call avR2(4005, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_9592])

      call avR2(4005, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_9593])

      allocate(vertices(687)%branchR2(0:1))
      call avR2(687, 0, 86, 1, 0, VFFa0, 0, [2, 1], [nGC_9497])

      call avR2(687, 1, 86, 1, 0, VFFa0, 0, [0, 3], [nGC_9502])

      allocate(vertices(2302)%branchR2(0:1))
      call avR2(2302, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9497])

      call avR2(2302, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9502])

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(2045)%branchR2(0:0))
      call avR2(2045, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_9503])

      allocate(vertices(3873)%branchR2(0:0))
      call avR2(3873, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9579])

      allocate(vertices(889)%branchR2(0:1))
      call avR2(889, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_9413, nGC_9411])

      call avR2(889, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_9428, nGC_9427])

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9577, nGC_9576,       &
      nGC_9575])

      allocate(vertices(2339)%branchR2(0:0))
      call avR2(2339, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9586])

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22006])

      allocate(vertices(4006)%branchR2(0:0))
      call avR2(4006, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9565])

      allocate(vertices(1821)%branchR2(0:1))
      call avR2(1821, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_9452, nGC_9454])

      call avR2(1821, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_9453, nGC_9455])

      allocate(vertices(3135)%branchR2(0:0))
      call avR2(3135, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9504])

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9585])

      allocate(vertices(3355)%branchR2(0:1))
      call avR2(3355, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_9470, nGC_9470])

      call avR2(3355, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_9468, nGC_9469])

      allocate(vertices(4007)%branchR2(0:1))
      call avR2(4007, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_9610])

      call avR2(4007, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_9609])

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9583])

      allocate(vertices(247)%branchR2(0:1))
      call avR2(247, 0, 84, 1, 0, FaVF1, 0, [2, 1], [nGC_9497])

      call avR2(247, 1, 84, 1, 0, FaVF1, 0, [0, 3], [nGC_9502])

      allocate(vertices(2657)%branchR2(0:0))
      call avR2(2657, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9384])

      allocate(vertices(3180)%branchR2(0:0))
      call avR2(3180, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9591])

      allocate(vertices(2805)%branchR2(0:0))
      call avR2(2805, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9584])

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_9499])

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2705)%branchR2(0:1))
      call avR2(2705, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_9377, nGC_9376])

      call avR2(2705, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_9378, nGC_9378])

      allocate(vertices(4008)%branchR2(0:1))
      call avR2(4008, 0, 139, 1, 0, VVVV1, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      call avR2(4008, 1, 140, 1, 0, VVVV1, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      allocate(vertices(2927)%branchR2(0:3))
      call avR2(2927, 0, 104, 1, 0, FVFa0, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(2927, 1, 104, 1, 0, FVFa0, 0, [3, 0], [nGC_9531, nGC_9531])

      call avR2(2927, 2, 105, 1, 0, FVFa0, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(2927, 3, 105, 1, 0, FVFa0, 0, [3, 0], [nGC_9534, nGC_9534])

      allocate(vertices(1828)%branchR2(0:1))
      call avR2(1828, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_9415, nGC_9417])

      call avR2(1828, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_9430, nGC_9431])

      allocate(vertices(262)%branchR2(0:1))
      call avR2(262, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_9484, nGC_9484])

      call avR2(262, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_9482, nGC_9483])

      allocate(vertices(3459)%branchR2(0:0))
      call avR2(3459, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9561, nGC_9563,       &
      nGC_9562])

      allocate(vertices(2757)%branchR2(0:0))
      call avR2(2757, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_9491, nGC_9490])

      allocate(vertices(3029)%branchR2(0:0))
      call avR2(3029, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9425])

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9589])

      allocate(vertices(2885)%branchR2(0:1))
      call avR2(2885, 0, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_9381, nGC_9381])

      call avR2(2885, 1, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_9389, nGC_9388])

      allocate(vertices(887)%branchR2(0:0))
      call avR2(887, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9589])

      allocate(vertices(3658)%branchR2(0:1))
      call avR2(3658, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_9440, nGC_9442])

      call avR2(3658, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_9441, nGC_9443])

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_9451, nGC_9450])

      allocate(vertices(4009)%branchR2(0:5))
      call avR2(4009, 0, 169, 1, 0, VVVV1, 0, [3, 1], [nGC_9618, nGC_9618,     &
      nGC_9618])

      call avR2(4009, 1, 167, 1, 0, VVVV1, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(4009, 2, 168, 1, 0, VVVV1, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(4009, 3, 166, 1, 0, VVVV1, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      call avR2(4009, 4, 170, 1, 0, VVVV1, 0, [3, 1], [nGC_9616, nGC_9616,     &
      nGC_9616])

      call avR2(4009, 5, 165, 1, 0, VVVV1, 0, [3, 1], [nGC_9617, nGC_9617,     &
      nGC_9617])

      allocate(vertices(3340)%branchR2(0:0))
      call avR2(3340, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(4010)%branchR2(0:0))
      call avR2(4010, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9387])

      allocate(vertices(1802)%branchR2(0:0))
      call avR2(1802, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9596])

      allocate(vertices(2978)%branchR2(0:1))
      call avR2(2978, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_9494, nGC_9494])

      call avR2(2978, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_9492, nGC_9493])

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9434])

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_9424])

      allocate(vertices(4011)%branchR2(0:1))
      call avR2(4011, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_9593])

      call avR2(4011, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_9592])

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_9401, nGC_9402])

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9575, nGC_9576,       &
      nGC_9577])

      allocate(vertices(2617)%branchR2(0:1))
      call avR2(2617, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_9492, nGC_9493])

      call avR2(2617, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_9494, nGC_9494])

      allocate(vertices(1724)%branchR2(0:0))
      call avR2(1724, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9580])

      allocate(vertices(2527)%branchR2(0:1))
      call avR2(2527, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_9507, nGC_9505])

      call avR2(2527, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_9508, nGC_9506])

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9611, nGC_9612,       &
      nGC_9612])

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_9451, nGC_9450])

      allocate(vertices(3912)%branchR2(0:1))
      call avR2(3912, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_9333, nGC_9331,      &
      nGC_9356, nGC_9356])

      call avR2(3912, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_9330, nGC_9330,      &
      nGC_9357, nGC_9357])

      allocate(vertices(75)%branchR2(0:3))
      call avR2(75, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(75, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(75, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(75, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(1833)%branchR2(0:0))
      call avR2(1833, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9589])

      allocate(vertices(3384)%branchR2(0:0))
      call avR2(3384, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_9461, nGC_9460])

      allocate(vertices(4012)%branchR2(0:0))
      call avR2(4012, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9572, nGC_9572,       &
      nGC_9572])

      allocate(vertices(4013)%branchR2(0:1))
      call avR2(4013, 0, 141, 1, 0, VVVV1, 0, [2, 2], [nGC_9606, nGC_9606,     &
      nGC_9606])

      call avR2(4013, 1, 142, 1, 0, VVVV1, 0, [2, 2], [nGC_9605, nGC_9605,     &
      nGC_9605])

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9597])

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(2098)%branchR2(0:1))
      call avR2(2098, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9380, nGC_9379])

      call avR2(2098, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9381, nGC_9381])

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2433)%branchR2(0:1))
      call avR2(2433, 0, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(2433, 1, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(4014)%branchR2(0:0))
      call avR2(4014, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9572, nGC_9572,       &
      nGC_9572])

      allocate(vertices(214)%branchR2(0:1))
      call avR2(214, 0, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(214, 1, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_9516, nGC_9515])

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3901)%branchR2(0:0))
      call avR2(3901, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9396])

      allocate(vertices(3576)%branchR2(0:0))
      call avR2(3576, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22440])

      allocate(vertices(2462)%branchR2(0:0))
      call avR2(2462, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9594])

      allocate(vertices(1746)%branchR2(0:1))
      call avR2(1746, 0, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_9456, nGC_9458])

      call avR2(1746, 1, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_9457, nGC_9459])

      allocate(vertices(365)%branchR2(0:1))
      call avR2(365, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9452, nGC_9454])

      call avR2(365, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9453, nGC_9455])

    end subroutine fill_vertices_mdl10
end module vertices_info10
