!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 22:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2815)%branchCT(0:1))
      call avCT(2815, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14741, nGC_14741])

      call avCT(2815, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14743, nGC_14743])

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2824)%branchCT(0:1))
      call avCT(2824, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14722, nGC_14723])

      call avCT(2824, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14724, nGC_14725])

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9632])

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_15725])

      allocate(vertices(1029)%branchCT(0:0))
      call avCT(1029, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2828)%branchCT(0:0))
      call avCT(2828, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3506)%branchCT(0:1))
      call avCT(3506, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_14382])

      call avCT(3506, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_14381])

      allocate(vertices(3644)%branchCT(0:0))
      call avCT(3644, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2529)%branchCT(0:0))
      call avCT(2529, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19500])

      allocate(vertices(1031)%branchCT(0:0))
      call avCT(1031, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2315)%branchCT(0:0))
      call avCT(2315, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2840)%branchCT(0:1))
      call avCT(2840, 0, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_17524, nGC_17525])

      call avCT(2840, 1, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_17522, nGC_17523])

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2178)%branchCT(0:0))
      call avCT(2178, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(2843)%branchCT(0:1))
      call avCT(2843, 0, 2, 6, 0, VVV0, 0, [3, 0], [nGC_19518])

      call avCT(2843, 1, 3, 7, 0, VVV0, 0, [3, 0], [nGC_19518])

      allocate(vertices(2844)%branchCT(0:0))
      call avCT(2844, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2846)%branchCT(0:0))
      call avCT(2846, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(2847)%branchCT(0:1))
      call avCT(2847, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_16849, nGC_16846])

      call avCT(2847, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_16853, nGC_16854])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14215])

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_14510])

      allocate(vertices(2852)%branchCT(0:0))
      call avCT(2852, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14483])

      allocate(vertices(2854)%branchCT(0:0))
      call avCT(2854, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14237])

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2859)%branchCT(0:0))
      call avCT(2859, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(2863)%branchCT(0:0))
      call avCT(2863, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_13993])

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2866)%branchCT(0:0))
      call avCT(2866, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2871)%branchCT(0:1))
      call avCT(2871, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14127, nGC_14127])

      call avCT(2871, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14129, nGC_14129])

      allocate(vertices(3890)%branchCT(0:0))
      call avCT(3890, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(2874)%branchCT(0:1))
      call avCT(2874, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_16821, nGC_16821])

      call avCT(2874, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_16823, nGC_16823])

      allocate(vertices(2875)%branchCT(0:0))
      call avCT(2875, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14040])

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2881)%branchCT(0:0))
      call avCT(2881, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2882)%branchCT(0:1))
      call avCT(2882, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14181, nGC_14182])

      call avCT(2882, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14171, nGC_14174])

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13963])

      allocate(vertices(2887)%branchCT(0:0))
      call avCT(2887, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3891)%branchCT(0:1))
      call avCT(3891, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_16784, nGC_16780,     &
      nGC_16786, nGC_16786])

      call avCT(3891, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_16785, nGC_16781,     &
      nGC_16787, nGC_16787])

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(2891)%branchCT(0:0))
      call avCT(2891, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(3041)%branchCT(0:1))
      call avCT(3041, 0, 85, 1, 0, FaFV1, 0, [0, 3], [nGC_14054])

      call avCT(3041, 1, 85, 1, 0, FaFV1, 0, [2, 1], [nGC_14053])

      allocate(vertices(2895)%branchCT(0:1))
      call avCT(2895, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14312, nGC_14313])

      call avCT(2895, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14306, nGC_14309])

      allocate(vertices(3450)%branchCT(0:0))
      call avCT(3450, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3657)%branchCT(0:0))
      call avCT(3657, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(2900)%branchCT(0:0))
      call avCT(2900, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2901)%branchCT(0:0))
      call avCT(2901, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14110])

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2903)%branchCT(0:1))
      call avCT(2903, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15811, nGC_15812])

      call avCT(2903, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15805, nGC_15808])

      allocate(vertices(2905)%branchCT(0:0))
      call avCT(2905, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2909)%branchCT(0:0))
      call avCT(2909, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14636,     &
      nGC_14635])

      allocate(vertices(3101)%branchCT(0:0))
      call avCT(3101, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(841)%branchCT(0:1))
      call avCT(841, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_15811, nGC_15812])

      call avCT(841, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_15805, nGC_15808])

      allocate(vertices(2914)%branchCT(0:0))
      call avCT(2914, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14635,     &
      nGC_14636])

      allocate(vertices(2917)%branchCT(0:3))
      call avCT(2917, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(2917, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_15003, nGC_15004])

      call avCT(2917, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(2917, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_15003, nGC_15004])

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(889)%branchCT(0:1))
      call avCT(889, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14419, nGC_14418])

      call avCT(889, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14421, nGC_14420])

      allocate(vertices(2922)%branchCT(0:0))
      call avCT(2922, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2927)%branchCT(0:3))
      call avCT(2927, 0, 104, 2, 0, FVFa0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(2927, 1, 104, 2, 0, FVFa0, 0, [3, 0], [nGC_15098, nGC_15099])

      call avCT(2927, 2, 105, 3, 0, FVFa0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(2927, 3, 105, 3, 0, FVFa0, 0, [3, 0], [nGC_15098, nGC_15099])

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14156])

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(2936)%branchCT(0:0))
      call avCT(2936, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14635,     &
      nGC_14636])

      allocate(vertices(3805)%branchCT(0:0))
      call avCT(3805, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14037, nGC_14036,     &
      nGC_14036])

      allocate(vertices(2941)%branchCT(0:0))
      call avCT(2941, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_19749, nGC_19745,      &
      nGC_19748])

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_17837])

      allocate(vertices(2402)%branchCT(0:0))
      call avCT(2402, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14594])

      allocate(vertices(2096)%branchCT(0:0))
      call avCT(2096, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1141)%branchCT(0:0))
      call avCT(1141, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14433])

      allocate(vertices(2951)%branchCT(0:0))
      call avCT(2951, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1750)%branchCT(0:1))
      call avCT(1750, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14702, nGC_14703])

      call avCT(1750, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14700, nGC_14701])

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2954)%branchCT(0:0))
      call avCT(2954, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2955)%branchCT(0:0))
      call avCT(2955, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(2956)%branchCT(0:0))
      call avCT(2956, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2958)%branchCT(0:1))
      call avCT(2958, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14054])

      call avCT(2958, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14053])

      allocate(vertices(2949)%branchCT(0:1))
      call avCT(2949, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14418, nGC_14419])

      call avCT(2949, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14420, nGC_14421])

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_15607, nGC_15607])

      allocate(vertices(3048)%branchCT(0:0))
      call avCT(3048, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2970)%branchCT(0:0))
      call avCT(2970, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14076])

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3337)%branchCT(0:0))
      call avCT(3337, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3112)%branchCT(0:0))
      call avCT(3112, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2975)%branchCT(0:0))
      call avCT(2975, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2977)%branchCT(0:0))
      call avCT(2977, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2978)%branchCT(0:1))
      call avCT(2978, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_17217, nGC_17217])

      call avCT(2978, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_17219, nGC_17219])

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14784])

      allocate(vertices(2982)%branchCT(0:0))
      call avCT(2982, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14562, nGC_14563])

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2987)%branchCT(0:3))
      call avCT(2987, 0, 91, 3, 0, VFFa1, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(2987, 1, 91, 3, 0, VFFa1, 0, [3, 0], [nGC_14542, nGC_14543])

      call avCT(2987, 2, 90, 2, 0, VFFa1, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(2987, 3, 90, 2, 0, VFFa1, 0, [3, 0], [nGC_14542, nGC_14543])

      allocate(vertices(2988)%branchCT(0:0))
      call avCT(2988, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2989)%branchCT(0:0))
      call avCT(2989, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14433])

      allocate(vertices(2991)%branchCT(0:0))
      call avCT(2991, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_GG])

      allocate(vertices(2993)%branchCT(0:0))
      call avCT(2993, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2994)%branchCT(0:0))
      call avCT(2994, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_15725])

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3659)%branchCT(0:0))
      call avCT(3659, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14652])

      allocate(vertices(3236)%branchCT(0:0))
      call avCT(3236, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14040])

      allocate(vertices(3002)%branchCT(0:0))
      call avCT(3002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3005)%branchCT(0:0))
      call avCT(3005, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14014, nGC_14015])

      allocate(vertices(3006)%branchCT(0:1))
      call avCT(3006, 0, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_14702, nGC_14703])

      call avCT(3006, 1, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_14700, nGC_14701])

      allocate(vertices(3007)%branchCT(0:0))
      call avCT(3007, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3009)%branchCT(0:0))
      call avCT(3009, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3013)%branchCT(0:0))
      call avCT(3013, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3651)%branchCT(0:0))
      call avCT(3651, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3014)%branchCT(0:0))
      call avCT(3014, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14026])

      allocate(vertices(3340)%branchCT(0:0))
      call avCT(3340, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3019)%branchCT(0:1))
      call avCT(3019, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14988, nGC_14989])

      call avCT(3019, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14985, nGC_14982])

      allocate(vertices(3375)%branchCT(0:0))
      call avCT(3375, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3024)%branchCT(0:0))
      call avCT(3024, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_14614])

      allocate(vertices(3025)%branchCT(0:0))
      call avCT(3025, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3027)%branchCT(0:0))
      call avCT(3027, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(3029)%branchCT(0:0))
      call avCT(3029, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3216)%branchCT(0:0))
      call avCT(3216, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3031)%branchCT(0:0))
      call avCT(3031, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3034)%branchCT(0:0))
      call avCT(3034, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3036)%branchCT(0:0))
      call avCT(3036, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14294])

      allocate(vertices(3037)%branchCT(0:0))
      call avCT(3037, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3040)%branchCT(0:0))
      call avCT(3040, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14604])

      allocate(vertices(3510)%branchCT(0:0))
      call avCT(3510, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15407])

      allocate(vertices(3042)%branchCT(0:1))
      call avCT(3042, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_17035, nGC_17036])

      call avCT(3042, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_17031, nGC_17026])

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14483])

      allocate(vertices(2963)%branchCT(0:0))
      call avCT(2963, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3052)%branchCT(0:0))
      call avCT(3052, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3054)%branchCT(0:1))
      call avCT(3054, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14723, nGC_14722])

      call avCT(3054, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14725, nGC_14724])

      allocate(vertices(3895)%branchCT(0:0))
      call avCT(3895, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14483])

      allocate(vertices(1664)%branchCT(0:0))
      call avCT(1664, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14036, nGC_14037,     &
      nGC_14036])

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_16299])

      allocate(vertices(3060)%branchCT(0:1))
      call avCT(3060, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_17522, nGC_17523])

      call avCT(3060, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_17524, nGC_17525])

      allocate(vertices(1255)%branchCT(0:0))
      call avCT(1255, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3062)%branchCT(0:0))
      call avCT(3062, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3063)%branchCT(0:0))
      call avCT(3063, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14026])

      allocate(vertices(3481)%branchCT(0:1))
      call avCT(3481, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14357, nGC_14358])

      call avCT(3481, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14359, nGC_14360])

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3896)%branchCT(0:1))
      call avCT(3896, 0, 16, 8, 0, VV1, 0, [2, 0], [nGC_20005, nGC_20004])

      call avCT(3896, 1, 15, 1, 0, VV1, 0, [2, 0], [nGC_20005, nGC_20004])

      allocate(vertices(3897)%branchCT(0:0))
      call avCT(3897, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_17164, nGC_17161,     &
      nGC_17165, nGC_17165])

      allocate(vertices(3070)%branchCT(0:0))
      call avCT(3070, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3072)%branchCT(0:0))
      call avCT(3072, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3075)%branchCT(0:0))
      call avCT(3075, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3080)%branchCT(0:0))
      call avCT(3080, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14395,     &
      nGC_14396])

      allocate(vertices(3082)%branchCT(0:0))
      call avCT(3082, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3083)%branchCT(0:0))
      call avCT(3083, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14062])

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3088)%branchCT(0:3))
      call avCT(3088, 0, 107, 3, 0, FaVF0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(3088, 1, 107, 3, 0, FaVF0, 0, [3, 0], [nGC_15003, nGC_15004])

      call avCT(3088, 2, 106, 2, 0, FaVF0, 0, [1, 2], [nGC_14997, nGC_14999])

      call avCT(3088, 3, 106, 2, 0, FaVF0, 0, [3, 0], [nGC_15003, nGC_15004])

      allocate(vertices(3008)%branchCT(0:0))
      call avCT(3008, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_16299])

      allocate(vertices(3093)%branchCT(0:0))
      call avCT(3093, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14433])

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3097)%branchCT(0:0))
      call avCT(3097, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3098)%branchCT(0:0))
      call avCT(3098, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3105)%branchCT(0:1))
      call avCT(3105, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14357, nGC_14358])

      call avCT(3105, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14359, nGC_14360])

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3111)%branchCT(0:0))
      call avCT(3111, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3113)%branchCT(0:0))
      call avCT(3113, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(3114)%branchCT(0:5))
      call avCT(3114, 0, 62, 5, 0, VUaUV0, 0, [4, 0], [nGC_16753])

      call avCT(3114, 1, 59, 5, 0, VUaUV0, 0, [4, 0], [nGC_16753])

      call avCT(3114, 2, 64, 4, 0, VUaUV0, 0, [4, 0], [nGC_16760])

      call avCT(3114, 3, 61, 5, 0, VUaUV0, 0, [4, 0], [nGC_16753])

      call avCT(3114, 4, 60, 5, 0, VUaUV0, 0, [4, 0], [nGC_16753])

      call avCT(3114, 5, 63, 4, 0, VUaUV0, 0, [4, 0], [nGC_16760])

      allocate(vertices(3770)%branchCT(0:1))
      call avCT(3770, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_15075, nGC_15076])

      call avCT(3770, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_15073, nGC_15074])

      allocate(vertices(3120)%branchCT(0:0))
      call avCT(3120, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14057])

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(1670)%branchCT(0:0))
      call avCT(1670, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3705)%branchCT(0:0))
      call avCT(3705, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3127)%branchCT(0:0))
      call avCT(3127, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3128)%branchCT(0:1))
      call avCT(3128, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_16214, nGC_16215])

      call avCT(3128, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_16210, nGC_16207])

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3191)%branchCT(0:0))
      call avCT(3191, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3135)%branchCT(0:0))
      call avCT(3135, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3136)%branchCT(0:1))
      call avCT(3136, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14419, nGC_14418])

      call avCT(3136, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14421, nGC_14420])

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3141)%branchCT(0:0))
      call avCT(3141, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_15173, nGC_15173])

      allocate(vertices(3143)%branchCT(0:0))
      call avCT(3143, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(3144)%branchCT(0:0))
      call avCT(3144, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3145)%branchCT(0:1))
      call avCT(3145, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_17524, nGC_17525])

      call avCT(3145, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_17522, nGC_17523])

      allocate(vertices(3146)%branchCT(0:0))
      call avCT(3146, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3147)%branchCT(0:0))
      call avCT(3147, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3149)%branchCT(0:0))
      call avCT(3149, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14302])

      allocate(vertices(2149)%branchCT(0:0))
      call avCT(2149, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(937)%branchCT(0:0))
      call avCT(937, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14215])

      allocate(vertices(3156)%branchCT(0:0))
      call avCT(3156, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_16299])

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3166)%branchCT(0:0))
      call avCT(3166, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_16240])

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3170)%branchCT(0:1))
      call avCT(3170, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_14181, nGC_14182])

      call avCT(3170, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_14171, nGC_14174])

      allocate(vertices(3176)%branchCT(0:0))
      call avCT(3176, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3179)%branchCT(0:0))
      call avCT(3179, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14858])

      allocate(vertices(3180)%branchCT(0:0))
      call avCT(3180, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3184)%branchCT(0:0))
      call avCT(3184, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3187)%branchCT(0:3))
      call avCT(3187, 0, 88, 2, 0, FaFV0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(3187, 1, 88, 2, 0, FaFV0, 0, [3, 0], [nGC_14333, nGC_14334])

      call avCT(3187, 2, 89, 3, 0, FaFV0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(3187, 3, 89, 3, 0, FaFV0, 0, [3, 0], [nGC_14333, nGC_14334])

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3189)%branchCT(0:0))
      call avCT(3189, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3193)%branchCT(0:0))
      call avCT(3193, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14489])

      allocate(vertices(3194)%branchCT(0:0))
      call avCT(3194, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14076])

      allocate(vertices(3195)%branchCT(0:0))
      call avCT(3195, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3196)%branchCT(0:0))
      call avCT(3196, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14211])

      allocate(vertices(2992)%branchCT(0:0))
      call avCT(2992, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(573)%branchCT(0:5))
      call avCT(573, 0, 44, 5, 0, UaVUV0, 0, [4, 0], [nGC_16753])

      call avCT(573, 1, 41, 5, 0, UaVUV0, 0, [4, 0], [nGC_16753])

      call avCT(573, 2, 45, 4, 0, UaVUV0, 0, [4, 0], [nGC_16760])

      call avCT(573, 3, 46, 4, 0, UaVUV0, 0, [4, 0], [nGC_16760])

      call avCT(573, 4, 43, 5, 0, UaVUV0, 0, [4, 0], [nGC_16753])

      call avCT(573, 5, 42, 5, 0, UaVUV0, 0, [4, 0], [nGC_16753])

      allocate(vertices(3202)%branchCT(0:0))
      call avCT(3202, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14682])

      allocate(vertices(3205)%branchCT(0:0))
      call avCT(3205, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(1802)%branchCT(0:0))
      call avCT(1802, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3898)%branchCT(0:0))
      call avCT(3898, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3214)%branchCT(0:1))
      call avCT(3214, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_14809, nGC_14810])

      call avCT(3214, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_14802, nGC_14805])

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1168)%branchCT(0:0))
      call avCT(1168, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3220)%branchCT(0:0))
      call avCT(3220, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3221)%branchCT(0:0))
      call avCT(3221, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2996)%branchCT(0:1))
      call avCT(2996, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_15811, nGC_15812])

      call avCT(2996, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_15805, nGC_15808])

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3228)%branchCT(0:0))
      call avCT(3228, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_15407])

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3233)%branchCT(0:1))
      call avCT(3233, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_14375])

      call avCT(3233, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_14374])

      allocate(vertices(2998)%branchCT(0:0))
      call avCT(2998, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_15369])

      allocate(vertices(3240)%branchCT(0:0))
      call avCT(3240, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3241)%branchCT(0:1))
      call avCT(3241, 0, 100, 6, 0, VUUa1, 0, [3, 0], [nGC_15318])

      call avCT(3241, 1, 101, 7, 0, VUUa1, 0, [3, 0], [nGC_15318])

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3246)%branchCT(0:0))
      call avCT(3246, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_14784])

      allocate(vertices(3247)%branchCT(0:0))
      call avCT(3247, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3507)%branchCT(0:0))
      call avCT(3507, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(3251)%branchCT(0:0))
      call avCT(3251, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3731)%branchCT(0:0))
      call avCT(3731, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3255)%branchCT(0:0))
      call avCT(3255, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3260)%branchCT(0:0))
      call avCT(3260, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3262)%branchCT(0:0))
      call avCT(3262, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3263)%branchCT(0:0))
      call avCT(3263, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3264)%branchCT(0:0))
      call avCT(3264, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14369])

      allocate(vertices(3265)%branchCT(0:0))
      call avCT(3265, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3164)%branchCT(0:0))
      call avCT(3164, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3267)%branchCT(0:0))
      call avCT(3267, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3272)%branchCT(0:1))
      call avCT(3272, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_16821, nGC_16821])

      call avCT(3272, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_16823, nGC_16823])

      allocate(vertices(3243)%branchCT(0:0))
      call avCT(3243, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3274)%branchCT(0:0))
      call avCT(3274, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3275)%branchCT(0:0))
      call avCT(3275, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14004])

      allocate(vertices(3277)%branchCT(0:0))
      call avCT(3277, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14248])

      allocate(vertices(3280)%branchCT(0:0))
      call avCT(3280, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14026])

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3284)%branchCT(0:0))
      call avCT(3284, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14063])

      allocate(vertices(3285)%branchCT(0:0))
      call avCT(3285, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3289)%branchCT(0:0))
      call avCT(3289, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14907, nGC_14908])

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_15607, nGC_15607])

      allocate(vertices(3298)%branchCT(0:1))
      call avCT(3298, 0, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14702, nGC_14703])

      call avCT(3298, 1, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14700, nGC_14701])

      allocate(vertices(3071)%branchCT(0:0))
      call avCT(3071, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3301)%branchCT(0:0))
      call avCT(3301, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3306)%branchCT(0:0))
      call avCT(3306, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_16240])

      allocate(vertices(3310)%branchCT(0:0))
      call avCT(3310, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3308)%branchCT(0:0))
      call avCT(3308, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3312)%branchCT(0:0))
      call avCT(3312, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1139)%branchCT(0:0))
      call avCT(1139, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3319)%branchCT(0:0))
      call avCT(3319, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3320)%branchCT(0:0))
      call avCT(3320, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14095])

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(3508)%branchCT(0:0))
      call avCT(3508, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3123)%branchCT(0:1))
      call avCT(3123, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14127, nGC_14127])

      call avCT(3123, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14129, nGC_14129])

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3899)%branchCT(0:0))
      call avCT(3899, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3335)%branchCT(0:1))
      call avCT(3335, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_16214, nGC_16215])

      call avCT(3335, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_16210, nGC_16207])

      allocate(vertices(1268)%branchCT(0:0))
      call avCT(1268, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3342)%branchCT(0:0))
      call avCT(3342, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3345)%branchCT(0:1))
      call avCT(3345, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14722, nGC_14723])

      call avCT(3345, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14724, nGC_14725])

      allocate(vertices(1298)%branchCT(0:0))
      call avCT(1298, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3359)%branchCT(0:5))
      call avCT(3359, 0, 52, 4, 0, VVUUa0, 0, [4, 0], [nGC_16760])

      call avCT(3359, 1, 49, 5, 0, VVUUa0, 0, [4, 0], [nGC_16753])

      call avCT(3359, 2, 47, 5, 0, VVUUa0, 0, [4, 0], [nGC_16753])

      call avCT(3359, 3, 48, 5, 0, VVUUa0, 0, [4, 0], [nGC_16753])

      call avCT(3359, 4, 51, 4, 0, VVUUa0, 0, [4, 0], [nGC_16760])

      call avCT(3359, 5, 50, 5, 0, VVUUa0, 0, [4, 0], [nGC_16753])

      allocate(vertices(3348)%branchCT(0:0))
      call avCT(3348, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3356)%branchCT(0:0))
      call avCT(3356, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3737)%branchCT(0:0))
      call avCT(3737, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3360)%branchCT(0:0))
      call avCT(3360, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1105)%branchCT(0:0))
      call avCT(1105, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3365)%branchCT(0:0))
      call avCT(3365, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_15380])

      allocate(vertices(3366)%branchCT(0:0))
      call avCT(3366, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14483])

      allocate(vertices(3739)%branchCT(0:0))
      call avCT(3739, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3371)%branchCT(0:0))
      call avCT(3371, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_14088, nGC_14089])

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_16909])

      allocate(vertices(3378)%branchCT(0:0))
      call avCT(3378, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_15380])

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3380)%branchCT(0:0))
      call avCT(3380, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3382)%branchCT(0:1))
      call avCT(3382, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_14988, nGC_14989])

      call avCT(3382, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_14985, nGC_14982])

      allocate(vertices(3384)%branchCT(0:0))
      call avCT(3384, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_15312, nGC_15313])

      allocate(vertices(3385)%branchCT(0:0))
      call avCT(3385, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14023])

      allocate(vertices(3903)%branchCT(0:0))
      call avCT(3903, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3388)%branchCT(0:0))
      call avCT(3388, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3904)%branchCT(0:0))
      call avCT(3904, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3390)%branchCT(0:0))
      call avCT(3390, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3392)%branchCT(0:0))
      call avCT(3392, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_17265])

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3397)%branchCT(0:0))
      call avCT(3397, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14040])

      allocate(vertices(3577)%branchCT(0:0))
      call avCT(3577, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3401)%branchCT(0:0))
      call avCT(3401, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3402)%branchCT(0:0))
      call avCT(3402, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_13993])

      allocate(vertices(3404)%branchCT(0:0))
      call avCT(3404, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14302])

      allocate(vertices(3405)%branchCT(0:0))
      call avCT(3405, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3407)%branchCT(0:0))
      call avCT(3407, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

      allocate(vertices(2355)%branchCT(0:0))
      call avCT(2355, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3409)%branchCT(0:0))
      call avCT(3409, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14215])

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3411)%branchCT(0:1))
      call avCT(3411, 0, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14418, nGC_14419])

      call avCT(3411, 1, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14420, nGC_14421])

      allocate(vertices(3413)%branchCT(0:0))
      call avCT(3413, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14562, nGC_14563])

      allocate(vertices(3414)%branchCT(0:0))
      call avCT(3414, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3415)%branchCT(0:0))
      call avCT(3415, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3416)%branchCT(0:0))
      call avCT(3416, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3905)%branchCT(0:0))
      call avCT(3905, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14106])

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_14784])

      allocate(vertices(3423)%branchCT(0:0))
      call avCT(3423, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14594])

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3434)%branchCT(0:0))
      call avCT(3434, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1754)%branchCT(0:1))
      call avCT(1754, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_16853, nGC_16854])

      call avCT(1754, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_16849, nGC_16846])

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(1772)%branchCT(0:0))
      call avCT(1772, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

      allocate(vertices(1775)%branchCT(0:1))
      call avCT(1775, 0, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_13968, nGC_13971])

      call avCT(1775, 1, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_13976, nGC_13977])

      allocate(vertices(3444)%branchCT(0:0))
      call avCT(3444, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(3446)%branchCT(0:0))
      call avCT(3446, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14798])

      allocate(vertices(3449)%branchCT(0:0))
      call avCT(3449, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3451)%branchCT(0:1))
      call avCT(3451, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_17369, nGC_17370])

      call avCT(3451, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_17366, nGC_17363])

      allocate(vertices(3453)%branchCT(0:0))
      call avCT(3453, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3454)%branchCT(0:0))
      call avCT(3454, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3457)%branchCT(0:1))
      call avCT(3457, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_14702, nGC_14703])

      call avCT(3457, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_14700, nGC_14701])

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14396, nGC_14396,     &
      nGC_14395])

      allocate(vertices(3461)%branchCT(0:0))
      call avCT(3461, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14211])

      allocate(vertices(1159)%branchCT(0:0))
      call avCT(1159, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1898)%branchCT(0:0))
      call avCT(1898, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14483])

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_15607, nGC_15607])

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3477)%branchCT(0:0))
      call avCT(3477, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_16053, nGC_16054])

      allocate(vertices(3479)%branchCT(0:0))
      call avCT(3479, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3480)%branchCT(0:0))
      call avCT(3480, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3907)%branchCT(0:1))
      call avCT(3907, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_14877, nGC_14871,    &
      nGC_14879, nGC_14879])

      call avCT(3907, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_14878, nGC_14872,    &
      nGC_14880, nGC_14880])

      allocate(vertices(3908)%branchCT(0:1))
      call avCT(3908, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_16027, nGC_16023,     &
      nGC_16029, nGC_16029])

      call avCT(3908, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_16028, nGC_16024,     &
      nGC_16030, nGC_16030])

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3234)%branchCT(0:1))
      call avCT(3234, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_14358, nGC_14357])

      call avCT(3234, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_14360, nGC_14359])

      allocate(vertices(3486)%branchCT(0:0))
      call avCT(3486, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3488)%branchCT(0:0))
      call avCT(3488, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3490)%branchCT(0:1))
      call avCT(3490, 0, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_15423, nGC_15424])

      call avCT(3490, 1, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_15419, nGC_15414])

      allocate(vertices(3754)%branchCT(0:0))
      call avCT(3754, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(1987)%branchCT(0:1))
      call avCT(1987, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_14054])

      call avCT(1987, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_14053])

      allocate(vertices(2035)%branchCT(0:0))
      call avCT(2035, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14076])

      allocate(vertices(3496)%branchCT(0:0))
      call avCT(3496, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14590])

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(1023)%branchCT(0:0))
      call avCT(1023, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3500)%branchCT(0:0))
      call avCT(3500, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14040])

      allocate(vertices(3502)%branchCT(0:1))
      call avCT(3502, 0, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_14723, nGC_14722])

      call avCT(3502, 1, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_14725, nGC_14724])

      allocate(vertices(3503)%branchCT(0:0))
      call avCT(3503, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3511)%branchCT(0:0))
      call avCT(3511, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3580)%branchCT(0:0))
      call avCT(3580, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(2370)%branchCT(0:0))
      call avCT(2370, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3516)%branchCT(0:0))
      call avCT(3516, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3517)%branchCT(0:0))
      call avCT(3517, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16475])

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(744)%branchCT(0:1))
      call avCT(744, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_17369, nGC_17370])

      call avCT(744, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_17366, nGC_17363])

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14636,      &
      nGC_14635])

      allocate(vertices(905)%branchCT(0:0))
      call avCT(905, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_14369])

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3424)%branchCT(0:0))
      call avCT(3424, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3530)%branchCT(0:0))
      call avCT(3530, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3771)%branchCT(0:0))
      call avCT(3771, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14907, nGC_14908])

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3535)%branchCT(0:0))
      call avCT(3535, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14225, nGC_14226,     &
      nGC_14225])

      allocate(vertices(3537)%branchCT(0:1))
      call avCT(3537, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_15423, nGC_15424])

      call avCT(3537, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_15419, nGC_15414])

      allocate(vertices(3765)%branchCT(0:0))
      call avCT(3765, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3542)%branchCT(0:0))
      call avCT(3542, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14302])

      allocate(vertices(3545)%branchCT(0:0))
      call avCT(3545, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14057])

      allocate(vertices(3049)%branchCT(0:0))
      call avCT(3049, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2375)%branchCT(0:0))
      call avCT(2375, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3549)%branchCT(0:0))
      call avCT(3549, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_13993])

      allocate(vertices(3554)%branchCT(0:0))
      call avCT(3554, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3555)%branchCT(0:0))
      call avCT(3555, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_14784])

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3559)%branchCT(0:1))
      call avCT(3559, 0, 96, 6, 0, UUaV1, 0, [3, 0], [nGC_15318])

      call avCT(3559, 1, 97, 7, 0, UUaV1, 0, [3, 0], [nGC_15318])

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3564)%branchCT(0:0))
      call avCT(3564, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3612)%branchCT(0:0))
      call avCT(3612, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2373)%branchCT(0:0))
      call avCT(2373, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14110])

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(3568)%branchCT(0:1))
      call avCT(3568, 0, 85, 1, 0, FaFV1, 0, [0, 3], [nGC_14382])

      call avCT(3568, 1, 85, 1, 0, FaFV1, 0, [2, 1], [nGC_14381])

      allocate(vertices(3569)%branchCT(0:0))
      call avCT(3569, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_16299])

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3576)%branchCT(0:0))
      call avCT(3576, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14238])

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14395, nGC_14396,     &
      nGC_14396])

      allocate(vertices(2501)%branchCT(0:0))
      call avCT(2501, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3584)%branchCT(0:0))
      call avCT(3584, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14302])

      allocate(vertices(3585)%branchCT(0:3))
      call avCT(3585, 0, 92, 2, 0, VFaF0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(3585, 1, 92, 2, 0, VFaF0, 0, [3, 0], [nGC_14333, nGC_14334])

      call avCT(3585, 2, 93, 3, 0, VFaF0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(3585, 3, 93, 3, 0, VFaF0, 0, [3, 0], [nGC_14333, nGC_14334])

      allocate(vertices(2899)%branchCT(0:0))
      call avCT(2899, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_16299])

      allocate(vertices(3588)%branchCT(0:0))
      call avCT(3588, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3591)%branchCT(0:0))
      call avCT(3591, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

      allocate(vertices(3595)%branchCT(0:0))
      call avCT(3595, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13990])

      allocate(vertices(3598)%branchCT(0:0))
      call avCT(3598, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_14004])

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1744)%branchCT(0:0))
      call avCT(1744, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3604)%branchCT(0:0))
      call avCT(3604, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13963])

      allocate(vertices(3606)%branchCT(0:0))
      call avCT(3606, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3610)%branchCT(0:0))
      call avCT(3610, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14972])

      allocate(vertices(2898)%branchCT(0:1))
      call avCT(2898, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_16821, nGC_16821])

      call avCT(2898, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_16823, nGC_16823])

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3615)%branchCT(0:0))
      call avCT(3615, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14933])

      allocate(vertices(3616)%branchCT(0:0))
      call avCT(3616, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3620)%branchCT(0:0))
      call avCT(3620, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14004])

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_14614])

      allocate(vertices(3624)%branchCT(0:0))
      call avCT(3624, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3406)%branchCT(0:0))
      call avCT(3406, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3628)%branchCT(0:0))
      call avCT(3628, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14023])

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

      allocate(vertices(3632)%branchCT(0:0))
      call avCT(3632, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14156])

      allocate(vertices(2225)%branchCT(0:0))
      call avCT(2225, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14562, nGC_14563])

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3638)%branchCT(0:3))
      call avCT(3638, 0, 88, 2, 0, FaFV0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(3638, 1, 88, 2, 0, FaFV0, 0, [3, 0], [nGC_15098, nGC_15099])

      call avCT(3638, 2, 89, 3, 0, FaFV0, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(3638, 3, 89, 3, 0, FaFV0, 0, [3, 0], [nGC_15098, nGC_15099])

      allocate(vertices(3065)%branchCT(0:0))
      call avCT(3065, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3640)%branchCT(0:0))
      call avCT(3640, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3642)%branchCT(0:0))
      call avCT(3642, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3645)%branchCT(0:0))
      call avCT(3645, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_15312, nGC_15313])

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3647)%branchCT(0:0))
      call avCT(3647, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14063])

      allocate(vertices(3649)%branchCT(0:0))
      call avCT(3649, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1198)%branchCT(0:3))
      call avCT(1198, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(1198, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_14542, nGC_14543])

      call avCT(1198, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_14538, nGC_14540])

      call avCT(1198, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_14542, nGC_14543])

      allocate(vertices(3068)%branchCT(0:0))
      call avCT(3068, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14047])

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3654)%branchCT(0:0))
      call avCT(3654, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14294])

      allocate(vertices(3655)%branchCT(0:0))
      call avCT(3655, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14069])

      allocate(vertices(1575)%branchCT(0:5))
      call avCT(1575, 0, 21, 4, 0, UVVUa0, 0, [4, 0], [nGC_16760])

      call avCT(1575, 1, 22, 4, 0, UVVUa0, 0, [4, 0], [nGC_16760])

      call avCT(1575, 2, 20, 5, 0, UVVUa0, 0, [4, 0], [nGC_16753])

      call avCT(1575, 3, 17, 5, 0, UVVUa0, 0, [4, 0], [nGC_16753])

      call avCT(1575, 4, 19, 5, 0, UVVUa0, 0, [4, 0], [nGC_16753])

      call avCT(1575, 5, 18, 5, 0, UVVUa0, 0, [4, 0], [nGC_16753])

      allocate(vertices(3658)%branchCT(0:1))
      call avCT(3658, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_14266, nGC_14267])

      call avCT(3658, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_14268, nGC_14269])

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14302])

      allocate(vertices(3003)%branchCT(0:0))
      call avCT(3003, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9632])

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14072])

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(1937)%branchCT(0:0))
      call avCT(1937, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3666)%branchCT(0:0))
      call avCT(3666, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14026])

      allocate(vertices(2967)%branchCT(0:0))
      call avCT(2967, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14084])

      allocate(vertices(2920)%branchCT(0:0))
      call avCT(2920, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14248])

      allocate(vertices(3677)%branchCT(0:1))
      call avCT(3677, 0, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_17035, nGC_17036])

      call avCT(3677, 1, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_17031, nGC_17026])

      allocate(vertices(3678)%branchCT(0:0))
      call avCT(3678, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14283])

      allocate(vertices(3679)%branchCT(0:0))
      call avCT(3679, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3682)%branchCT(0:0))
      call avCT(3682, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

      allocate(vertices(3683)%branchCT(0:0))
      call avCT(3683, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_16016, nGC_16017])

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3685)%branchCT(0:0))
      call avCT(3685, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(3686)%branchCT(0:0))
      call avCT(3686, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3687)%branchCT(0:1))
      call avCT(3687, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_17369, nGC_17370])

      call avCT(3687, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_17366, nGC_17363])

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14318])

      allocate(vertices(3691)%branchCT(0:0))
      call avCT(3691, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14019])

      allocate(vertices(1251)%branchCT(0:0))
      call avCT(1251, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3698)%branchCT(0:0))
      call avCT(3698, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13957])

      allocate(vertices(3699)%branchCT(0:0))
      call avCT(3699, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_14489])

      allocate(vertices(1758)%branchCT(0:0))
      call avCT(1758, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_14675])

      allocate(vertices(3045)%branchCT(0:0))
      call avCT(3045, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_15449])

      allocate(vertices(3171)%branchCT(0:0))
      call avCT(3171, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14026])

      allocate(vertices(3709)%branchCT(0:0))
      call avCT(3709, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_15449])

      allocate(vertices(3711)%branchCT(0:0))
      call avCT(3711, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13997])

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3714)%branchCT(0:0))
      call avCT(3714, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

      allocate(vertices(3715)%branchCT(0:0))
      call avCT(3715, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_16016, nGC_16017])

      allocate(vertices(3716)%branchCT(0:0))
      call avCT(3716, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14858])

      allocate(vertices(3718)%branchCT(0:0))
      call avCT(3718, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14069])

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

      allocate(vertices(3722)%branchCT(0:0))
      call avCT(3722, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3723)%branchCT(0:0))
      call avCT(3723, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14050])

      allocate(vertices(3605)%branchCT(0:0))
      call avCT(3605, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14639])

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13981])

      allocate(vertices(3726)%branchCT(0:0))
      call avCT(3726, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_16053, nGC_16054])

      allocate(vertices(3294)%branchCT(0:0))
      call avCT(3294, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14257])

      allocate(vertices(3730)%branchCT(0:0))
      call avCT(3730, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_14369])

      allocate(vertices(3671)%branchCT(0:1))
      call avCT(3671, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14375])

      call avCT(3671, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14374])

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3734)%branchCT(0:0))
      call avCT(3734, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

      allocate(vertices(2400)%branchCT(0:0))
      call avCT(2400, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13958])

      allocate(vertices(3370)%branchCT(0:0))
      call avCT(3370, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14050])

      allocate(vertices(2960)%branchCT(0:1))
      call avCT(2960, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_14382])

      call avCT(2960, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_14381])

      allocate(vertices(3742)%branchCT(0:0))
      call avCT(3742, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14567])

      allocate(vertices(1607)%branchCT(0:0))
      call avCT(1607, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3748)%branchCT(0:0))
      call avCT(3748, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14095])

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(3750)%branchCT(0:1))
      call avCT(3750, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_15811, nGC_15812])

      call avCT(3750, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_15805, nGC_15808])

      allocate(vertices(1765)%branchCT(0:1))
      call avCT(1765, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_17522, nGC_17523])

      call avCT(1765, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_17524, nGC_17525])

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14072])

      allocate(vertices(3491)%branchCT(0:0))
      call avCT(3491, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

      allocate(vertices(1835)%branchCT(0:0))
      call avCT(1835, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_16299])

      allocate(vertices(3757)%branchCT(0:0))
      call avCT(3757, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14084])

      allocate(vertices(3761)%branchCT(0:0))
      call avCT(3761, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_16117])

      allocate(vertices(3763)%branchCT(0:0))
      call avCT(3763, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14047])

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(2105)%branchCT(0:1))
      call avCT(2105, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_17217, nGC_17217])

      call avCT(2105, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_17219, nGC_17219])

      allocate(vertices(3768)%branchCT(0:0))
      call avCT(3768, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14604])

      allocate(vertices(3911)%branchCT(0:0))
      call avCT(3911, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15695])

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(1814)%branchCT(0:0))
      call avCT(1814, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13990])

      allocate(vertices(3776)%branchCT(0:0))
      call avCT(3776, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_14652])

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

      allocate(vertices(3779)%branchCT(0:0))
      call avCT(3779, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14405])

      allocate(vertices(1163)%branchCT(0:0))
      call avCT(1163, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14318])

      allocate(vertices(1924)%branchCT(0:1))
      call avCT(1924, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14580, nGC_14580])

      call avCT(1924, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14582, nGC_14582])

      allocate(vertices(3648)%branchCT(0:0))
      call avCT(3648, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14119])

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14026])

      allocate(vertices(3208)%branchCT(0:0))
      call avCT(3208, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_15449])

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

      allocate(vertices(3791)%branchCT(0:0))
      call avCT(3791, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_16016, nGC_16017])

      allocate(vertices(3811)%branchCT(0:0))
      call avCT(3811, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14156])

      allocate(vertices(3793)%branchCT(0:3))
      call avCT(3793, 0, 92, 2, 0, VFaF0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(3793, 1, 92, 2, 0, VFaF0, 0, [3, 0], [nGC_14146, nGC_14147])

      call avCT(3793, 2, 93, 3, 0, VFaF0, 0, [1, 2], [nGC_14143, nGC_14139])

      call avCT(3793, 3, 93, 3, 0, VFaF0, 0, [3, 0], [nGC_14146, nGC_14147])

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13997])

      allocate(vertices(1883)%branchCT(0:0))
      call avCT(1883, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14019])

      allocate(vertices(3798)%branchCT(0:1))
      call avCT(3798, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_15060, nGC_15061])

      call avCT(3798, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_15057, nGC_15054])

      allocate(vertices(62)%branchCT(0:3))
      call avCT(62, 0, 104, 2, 0, FVFa0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(62, 1, 104, 2, 0, FVFa0, 0, [3, 0], [nGC_14333, nGC_14334])

      call avCT(62, 2, 105, 3, 0, FVFa0, 0, [1, 2], [nGC_14329, nGC_14331])

      call avCT(62, 3, 105, 3, 0, FVFa0, 0, [3, 0], [nGC_14333, nGC_14334])

      allocate(vertices(3802)%branchCT(0:3))
      call avCT(3802, 0, 91, 3, 0, VFFa1, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(3802, 1, 91, 3, 0, VFFa1, 0, [3, 0], [nGC_15098, nGC_15099])

      call avCT(3802, 2, 90, 2, 0, VFFa1, 0, [1, 2], [nGC_15094, nGC_15096])

      call avCT(3802, 3, 90, 2, 0, VFFa1, 0, [3, 0], [nGC_15098, nGC_15099])

      allocate(vertices(3803)%branchCT(0:0))
      call avCT(3803, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14023])

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14859])

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_16918, nGC_16919])

      allocate(vertices(1918)%branchCT(0:0))
      call avCT(1918, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14047])

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_14635, nGC_14636,     &
      nGC_14635])

      allocate(vertices(3912)%branchCT(0:1))
      call avCT(3912, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_17549, nGC_17543,    &
      nGC_17551, nGC_17551])

      call avCT(3912, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_17550, nGC_17544,    &
      nGC_17552, nGC_17552])

      allocate(vertices(1305)%branchR2(0:0))
      call avR2(1305, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9589])

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9392, nGC_9393])

      allocate(vertices(1999)%branchR2(0:1))
      call avR2(1999, 0, 87, 1, 0, VFaF1, 0, [0, 3], [nGC_9496])

      call avR2(1999, 1, 87, 1, 0, VFaF1, 0, [2, 1], [nGC_9497])

      allocate(vertices(559)%branchR2(0:1))
      call avR2(559, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_9474, nGC_9474])

      call avR2(559, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_9472, nGC_9473])

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9586])

      allocate(vertices(2386)%branchR2(0:0))
      call avR2(2386, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(708)%branchR2(0:1))
      call avR2(708, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9421, nGC_9419])

      call avR2(708, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9433, nGC_9432])

      allocate(vertices(3363)%branchR2(0:0))
      call avR2(3363, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9585])

      allocate(vertices(175)%branchR2(0:1))
      call avR2(175, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9497])

      call avR2(175, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9498])

      allocate(vertices(3319)%branchR2(0:0))
      call avR2(3319, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(2213)%branchR2(0:0))
      call avR2(2213, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(191)%branchR2(0:1))
      call avR2(191, 0, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(191, 1, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(3793)%branchR2(0:3))
      call avR2(3793, 0, 93, 1, 0, VFaF0, 0, [1, 2], [nGC_9555, nGC_9554])

      call avR2(3793, 1, 93, 1, 0, VFaF0, 0, [3, 0], [nGC_9546, nGC_9546])

      call avR2(3793, 2, 92, 1, 0, VFaF0, 0, [1, 2], [nGC_9557, nGC_9556])

      call avR2(3793, 3, 92, 1, 0, VFaF0, 0, [3, 0], [nGC_9549, nGC_9549])

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(2389)%branchR2(0:0))
      call avR2(2389, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9383])

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_9491, nGC_9490])

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9401, nGC_9402])

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(1750)%branchR2(0:1))
      call avR2(1750, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9436, nGC_9438])

      call avR2(1750, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9437, nGC_9439])

      allocate(vertices(2408)%branchR2(0:0))
      call avR2(2408, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(1024)%branchR2(0:3))
      call avR2(1024, 0, 91, 1, 0, VFFa1, 0, [1, 2], [nGC_9539, nGC_9538])

      call avR2(1024, 1, 91, 1, 0, VFFa1, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(1024, 2, 90, 1, 0, VFFa1, 0, [1, 2], [nGC_9537, nGC_9536])

      call avR2(1024, 3, 90, 1, 0, VFFa1, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(2558)%branchR2(0:0))
      call avR2(2558, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9577, nGC_9575,        &
      nGC_9576])

      allocate(vertices(1978)%branchR2(0:1))
      call avR2(1978, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9496])

      call avR2(1978, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9497])

      allocate(vertices(2840)%branchR2(0:1))
      call avR2(2840, 0, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_9456, nGC_9458])

      call avR2(2840, 1, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_9457, nGC_9459])

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_9422])

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9577, nGC_9575, nGC_9576&
      ])

      allocate(vertices(1718)%branchR2(0:0))
      call avR2(1718, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(3906)%branchR2(0:0))
      call avR2(3906, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9394])

      allocate(vertices(3913)%branchR2(0:0))
      call avR2(3913, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9564])

      allocate(vertices(3715)%branchR2(0:0))
      call avR2(3715, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_9390, nGC_9391])

      allocate(vertices(3711)%branchR2(0:0))
      call avR2(3711, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_9423])

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9586])

      allocate(vertices(3914)%branchR2(0:1))
      call avR2(3914, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_9592])

      call avR2(3914, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_9593])

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_9520])

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9599])

      allocate(vertices(1441)%branchR2(0:0))
      call avR2(1441, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_21425])

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9577, nGC_9576,       &
      nGC_9575])

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9383])

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(3832)%branchR2(0:0))
      call avR2(3832, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_9394])

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_9422])

      allocate(vertices(3829)%branchR2(0:0))
      call avR2(3829, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_9342, nGC_9341,        &
      nGC_9343])

      allocate(vertices(2949)%branchR2(0:1))
      call avR2(2949, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_9410, nGC_9412])

      call avR2(2949, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_9411, nGC_9413])

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9560])

      allocate(vertices(235)%branchR2(0:1))
      call avR2(235, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_9413, nGC_9411])

      call avR2(235, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_9428, nGC_9427])

      allocate(vertices(3915)%branchR2(0:1))
      call avR2(3915, 0, 139, 1, 0, VVVV1, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      call avR2(3915, 1, 140, 1, 0, VVVV1, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      allocate(vertices(3403)%branchR2(0:0))
      call avR2(3403, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_9500])

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9583])

      allocate(vertices(2917)%branchR2(0:3))
      call avR2(2917, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9548, nGC_9547])

      call avR2(2917, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9549, nGC_9549])

      call avR2(2917, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9545, nGC_9544])

      call avR2(2917, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9546, nGC_9546])

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(3916)%branchR2(0:1))
      call avR2(3916, 0, 137, 1, 0, VVVV1, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      call avR2(3916, 1, 138, 1, 0, VVVV1, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      allocate(vertices(1577)%branchR2(0:0))
      call avR2(1577, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9495])

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9429])

      allocate(vertices(3917)%branchR2(0:0))
      call avR2(3917, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9573, nGC_9574,       &
      nGC_9574])

      allocate(vertices(1282)%branchR2(0:0))
      call avR2(1282, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(2174)%branchR2(0:1))
      call avR2(2174, 0, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(2174, 1, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_9516, nGC_9515])

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2485)%branchR2(0:0))
      call avR2(2485, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9466])

      allocate(vertices(3233)%branchR2(0:1))
      call avR2(3233, 0, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_9497])

      call avR2(3233, 1, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_9501])

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_9422])

      allocate(vertices(2005)%branchR2(0:0))
      call avR2(2005, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9594])

      allocate(vertices(1687)%branchR2(0:1))
      call avR2(1687, 0, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_9452, nGC_9454])

      call avR2(1687, 1, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_9453, nGC_9455])

      allocate(vertices(354)%branchR2(0:1))
      call avR2(354, 0, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(354, 1, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_9516, nGC_9515])

      allocate(vertices(2208)%branchR2(0:0))
      call avR2(2208, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9560])

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_9423])

      allocate(vertices(1125)%branchR2(0:0))
      call avR2(1125, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_9390, nGC_9391])

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_9423])

      allocate(vertices(3457)%branchR2(0:1))
      call avR2(3457, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_9436, nGC_9438])

      call avR2(3457, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_9437, nGC_9439])

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_9382])

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_9345, nGC_9344,        &
      nGC_9346])

      allocate(vertices(2463)%branchR2(0:0))
      call avR2(2463, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3083)%branchR2(0:0))
      call avR2(3083, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_21499])

      allocate(vertices(1582)%branchR2(0:0))
      call avR2(1582, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9384])

      allocate(vertices(3842)%branchR2(0:1))
      call avR2(3842, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_9333, nGC_9331,      &
      nGC_9329, nGC_9329])

      call avR2(3842, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_9330, nGC_9330,      &
      nGC_9332, nGC_9332])

      allocate(vertices(3839)%branchR2(0:0))
      call avR2(3839, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9385])

      allocate(vertices(3897)%branchR2(0:0))
      call avR2(3897, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_9358, nGC_9359,       &
      nGC_9373, nGC_9373])

      allocate(vertices(3798)%branchR2(0:1))
      call avR2(3798, 0, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(3798, 1, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(3549)%branchR2(0:0))
      call avR2(3549, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9570])

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_9423])

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9569])

      allocate(vertices(485)%branchR2(0:1))
      call avR2(485, 0, 85, 1, 0, FaFV0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(485, 1, 85, 1, 0, FaFV0, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(3620)%branchR2(0:0))
      call avR2(3620, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_9424])

      allocate(vertices(2469)%branchR2(0:1))
      call avR2(2469, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_9380, nGC_9379])

      call avR2(2469, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_9381, nGC_9381])

      allocate(vertices(3615)%branchR2(0:0))
      call avR2(3615, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9408])

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9567])

      allocate(vertices(1719)%branchR2(0:0))
      call avR2(1719, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9586])

      allocate(vertices(3647)%branchR2(0:0))
      call avR2(3647, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9386])

      allocate(vertices(3918)%branchR2(0:1))
      call avR2(3918, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_9610])

      call avR2(3918, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_9609])

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3788)%branchR2(0:1))
      call avR2(3788, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_9416, nGC_9414])

      call avR2(3788, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_9417, nGC_9415])

      allocate(vertices(3387)%branchR2(0:0))
      call avR2(3387, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9597])

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9409])

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9567])

      allocate(vertices(2882)%branchR2(0:1))
      call avR2(2882, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9404, nGC_9403])

      call avR2(2882, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9378, nGC_9378])

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9586])

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3414)%branchR2(0:0))
      call avR2(3414, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9589])

      allocate(vertices(2603)%branchR2(0:1))
      call avR2(2603, 0, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(2603, 1, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_9529, nGC_9528])

      allocate(vertices(3900)%branchR2(0:0))
      call avR2(3900, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(525)%branchR2(0:3))
      call avR2(525, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(525, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9531, nGC_9531])

      call avR2(525, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(525, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9534, nGC_9534])

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9583])

      allocate(vertices(2141)%branchR2(0:0))
      call avR2(2141, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9568])

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_9451, nGC_9450])

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9586])

      allocate(vertices(3919)%branchR2(0:1))
      call avR2(3919, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_9608])

      call avR2(3919, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_9607])

      allocate(vertices(1709)%branchR2(0:1))
      call avR2(1709, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9416, nGC_9414])

      call avR2(1709, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9417, nGC_9415])

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9561, nGC_9562,       &
      nGC_9563])

      allocate(vertices(3677)%branchR2(0:1))
      call avR2(3677, 0, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_9378, nGC_9378])

      call avR2(3677, 1, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_9377, nGC_9376])

      allocate(vertices(2432)%branchR2(0:0))
      call avR2(2432, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9594])

      allocate(vertices(3830)%branchR2(0:0))
      call avR2(3830, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_9395])

      allocate(vertices(3423)%branchR2(0:0))
      call avR2(3423, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9591])

      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(3920)%branchR2(0:0))
      call avR2(3920, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9574, nGC_9573,       &
      nGC_9574])

      allocate(vertices(2625)%branchR2(0:0))
      call avR2(2625, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(3272)%branchR2(0:1))
      call avR2(3272, 0, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_9477, nGC_9477])

      call avR2(3272, 1, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_9475, nGC_9476])

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_9500])

      allocate(vertices(3678)%branchR2(0:0))
      call avR2(3678, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9589])

      allocate(vertices(322)%branchR2(0:0))
      call avR2(322, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9560])

      allocate(vertices(973)%branchR2(0:1))
      call avR2(973, 0, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_9413, nGC_9411])

      call avR2(973, 1, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_9428, nGC_9427])

      allocate(vertices(3080)%branchR2(0:0))
      call avR2(3080, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9563, nGC_9562,       &
      nGC_9561])

      allocate(vertices(3128)%branchR2(0:1))
      call avR2(3128, 0, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(3128, 1, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9578])

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_9513, nGC_9514])

      allocate(vertices(3294)%branchR2(0:0))
      call avR2(3294, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9570])

      allocate(vertices(3335)%branchR2(0:1))
      call avR2(3335, 0, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_9512, nGC_9510])

      call avR2(3335, 1, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_9523, nGC_9522])

      allocate(vertices(1769)%branchR2(0:1))
      call avR2(1769, 0, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_9415, nGC_9417])

      call avR2(1769, 1, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_9430, nGC_9431])

      allocate(vertices(1423)%branchR2(0:1))
      call avR2(1423, 0, 87, 1, 0, SFaF0, 0, [0, 3], [nGC_9487, nGC_9488])

      call avR2(1423, 1, 87, 1, 0, SFaF0, 0, [2, 1], [nGC_9489, nGC_9489])

      allocate(vertices(3888)%branchR2(0:0))
      call avR2(3888, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9579])

      allocate(vertices(3921)%branchR2(0:1))
      call avR2(3921, 0, 141, 1, 0, VVVV1, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      call avR2(3921, 1, 142, 1, 0, VVVV1, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      allocate(vertices(2703)%branchR2(0:1))
      call avR2(2703, 0, 83, 1, 0, FVFa0, 0, [2, 1], [nGC_9378, nGC_9378])

      call avR2(2703, 1, 83, 1, 0, FVFa0, 0, [0, 3], [nGC_9404, nGC_9403])

      allocate(vertices(1615)%branchR2(0:0))
      call avR2(1615, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9471])

      allocate(vertices(3558)%branchR2(0:3))
      call avR2(3558, 0, 93, 1, 0, VFaF0, 0, [1, 2], [nGC_9535, nGC_9533])

      call avR2(3558, 1, 93, 1, 0, VFaF0, 0, [3, 0], [nGC_9534, nGC_9534])

      call avR2(3558, 2, 92, 1, 0, VFaF0, 0, [1, 2], [nGC_9532, nGC_9530])

      call avR2(3558, 3, 92, 1, 0, VFaF0, 0, [3, 0], [nGC_9531, nGC_9531])

      allocate(vertices(3640)%branchR2(0:0))
      call avR2(3640, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9569])

      allocate(vertices(3770)%branchR2(0:1))
      call avR2(3770, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9462, nGC_9464])

      call avR2(3770, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9463, nGC_9465])

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(3481)%branchR2(0:1))
      call avR2(3481, 0, 86, 1, 0, SFFa0, 0, [0, 3], [nGC_9418, nGC_9420])

      call avR2(3481, 1, 86, 1, 0, SFFa0, 0, [2, 1], [nGC_9419, nGC_9421])

      allocate(vertices(3922)%branchR2(0:1))
      call avR2(3922, 0, 144, 1, 0, VVVV1, 0, [2, 2], [nGC_9602, nGC_9602,     &
      nGC_9602])

      call avR2(3922, 1, 143, 1, 0, VVVV1, 0, [2, 2], [nGC_9601, nGC_9601,     &
      nGC_9601])

      allocate(vertices(744)%branchR2(0:1))
      call avR2(744, 0, 87, 1, 0, VFaF0, 0, [0, 3], [nGC_9507, nGC_9505])

      call avR2(744, 1, 87, 1, 0, VFaF0, 0, [2, 1], [nGC_9508, nGC_9506])

      allocate(vertices(2847)%branchR2(0:1))
      call avR2(2847, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_9400, nGC_9399])

      call avR2(2847, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_9378, nGC_9378])

      allocate(vertices(1872)%branchR2(0:1))
      call avR2(1872, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(1872, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9525, nGC_9524])

      allocate(vertices(526)%branchR2(0:0))
      call avR2(526, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_9435])

      allocate(vertices(2696)%branchR2(0:1))
      call avR2(2696, 0, 84, 1, 0, FaSF0, 0, [0, 3], [nGC_9452, nGC_9454])

      call avR2(2696, 1, 84, 1, 0, FaSF0, 0, [2, 1], [nGC_9453, nGC_9455])

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9583])

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_9504])

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_9504])

      allocate(vertices(1774)%branchR2(0:1))
      call avR2(1774, 0, 83, 1, 0, FVFa1, 0, [0, 3], [nGC_9496])

      call avR2(1774, 1, 83, 1, 0, FVFa1, 0, [2, 1], [nGC_9497])

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9408])

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9568])

      allocate(vertices(2660)%branchR2(0:1))
      call avR2(2660, 0, 85, 1, 0, FaFS0, 0, [0, 3], [nGC_9416, nGC_9414])

      call avR2(2660, 1, 85, 1, 0, FaFS0, 0, [2, 1], [nGC_9417, nGC_9415])

      allocate(vertices(3054)%branchR2(0:1))
      call avR2(3054, 0, 83, 1, 0, FSFa0, 0, [0, 3], [nGC_9416, nGC_9414])

      call avR2(3054, 1, 83, 1, 0, FSFa0, 0, [2, 1], [nGC_9417, nGC_9415])

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9566])

      allocate(vertices(2532)%branchR2(0:0))
      call avR2(2532, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_9401, nGC_9402])

      allocate(vertices(3687)%branchR2(0:1))
      call avR2(3687, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_9507, nGC_9505])

      call avR2(3687, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_9508, nGC_9506])

      allocate(vertices(1451)%branchR2(0:1))
      call avR2(1451, 0, 86, 1, 0, VFFa1, 0, [0, 3], [nGC_9398, nGC_9397])

      call avR2(1451, 1, 86, 1, 0, VFFa1, 0, [2, 1], [nGC_9381, nGC_9381])

      allocate(vertices(2574)%branchR2(0:0))
      call avR2(2574, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9585])

      allocate(vertices(2956)%branchR2(0:0))
      call avR2(2956, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9582])

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_21499])

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9599])

      allocate(vertices(3923)%branchR2(0:0))
      call avR2(3923, 0, 0, 1, 0, VVVV1, 0, [0, 4], [nGC_9590, nGC_9590,       &
      nGC_9590])

      allocate(vertices(3273)%branchR2(0:0))
      call avR2(3273, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_9449, nGC_9448])

      allocate(vertices(2982)%branchR2(0:0))
      call avR2(2982, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_9517, nGC_9518])

      allocate(vertices(2994)%branchR2(0:0))
      call avR2(2994, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9580])

      allocate(vertices(2316)%branchR2(0:0))
      call avR2(2316, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9589])

      allocate(vertices(2353)%branchR2(0:1))
      call avR2(2353, 0, 84, 1, 0, FaVF0, 0, [0, 3], [nGC_9511, nGC_9509])

      call avR2(2353, 1, 84, 1, 0, FaVF0, 0, [2, 1], [nGC_9512, nGC_9510])

      allocate(vertices(2834)%branchR2(0:0))
      call avR2(2834, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9594])

      allocate(vertices(1416)%branchR2(0:3))
      call avR2(1416, 0, 91, 1, 0, VFFa1, 0, [1, 2], [nGC_9545, nGC_9544])

      call avR2(1416, 1, 91, 1, 0, VFFa1, 0, [3, 0], [nGC_9546, nGC_9546])

      call avR2(1416, 2, 90, 1, 0, VFFa1, 0, [1, 2], [nGC_9548, nGC_9547])

      call avR2(1416, 3, 90, 1, 0, VFFa1, 0, [3, 0], [nGC_9549, nGC_9549])

      allocate(vertices(2903)%branchR2(0:1))
      call avR2(2903, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9508, nGC_9506])

      call avR2(2903, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9529, nGC_9528])

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9390, nGC_9391])

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9579])

    end subroutine fill_vertices_mdl8
end module vertices_info8
